package com.tofly.common.em;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 文件/数据表 类型
 *
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum FileTableEnum {
    /**
     * 合同模板
     */
    TF_CONTRACT_TEMPLATE_P("TF_CONTRACT_TEMPLATE_P","tfContractTemplatePService"),
    /**
     * 物资信息
     */
    TF_MATTER_P("TF_MATTER_P","tfMatterPServiceImpl"),
    /**
     * 物资出入库
     */
    TF_MATTER_ACCESS_P("TF_MATTER_ACCESS_P","tfMatterAccessPServiceImpl"),
    /**
     * 工程登记/立项
     */
    TF_REGISTER_ITEM_W("TF_REGISTER_ITEM_W","tfRegisterItemWServiceImpl"),
    /**
     * 工程勘察
     */
    TF_SURVEY_W("TF_SURVEY_W","tfSurveyWServiceImpl"),
    /**
     * 工程勘察
     */
    TF_DESIGN_BUDGET_W("TF_DESIGN_BUDGET_W","tfDesignBudgetWServiceImpl"),
    /**
     * 工程的合同
     */
    TF_CONTRACT_W("TF_CONTRACT_W","tfContractWServiceImpl"),
    /**
     * 收费/退费（与收款对接表另行设计）
     */
    TF_CHARGE_REFUND_W("TF_CHARGE_REFUND_W","tfChargeRefundWServiceImpl"),
    /**
     * 工程派工
     */
    TF_PROJECT_DISPATCH_W("TF_PROJECT_DISPATCH_W","tfProjectDispatchWServiceImpl"),
	    /**
     * 工程的合同
     */
    TF_PROCESS_NODE_L("TF_PROCESS_NODE_L","tfProcessNodeLServiceImpl"),
    /**
     * 转入固定资产 （单独填报)
     */
    TF_TRANSFER_FIXED_ASSETS_W("TF_TRANSFER_FIXED_ASSETS_W","tfTransferFixedAssetsWServiceImpl"),
    /**
     * 工程结算
     */
    TF_PAY_BILL_W("TF_PAY_BILL_W","TfPayBillWServiceImpl"),
    /**
     * 工程结算
     */
    TF_CONSTRUCTION_TEAM_W("TF_CONSTRUCTION_TEAM_W","tfConstructionTeamWService"),
    /**
     * 验收申请
     */
    TF_ACCEPTANCE_APPLICATION_W("TF_ACCEPTANCE_APPLICATION_W","tfAcceptanceApplicationWServiceImpl"),
    ;

    /**
     * 内容
     */
    private String tableName;

    /**
     * 注入服务名称
     */
    private String injectionServerType;

    public static String getCodeForValue(String tableName) {
        String path = "";
        if (StringUtils.isEmpty(tableName)) {
            return path;
        }

        for (FileTableEnum e : FileTableEnum.values()) {
            if (e.tableName.equalsIgnoreCase(tableName)) {
                path = e.injectionServerType;
                break;
            }
        }
        return path;
    }

}
