package com.tofly.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统任务待办
 * @TableName SYS_TASK
 */
@TableName(value ="SYS_TASK",resultMap = "BaseResultMap")
@Data
public class SysTask implements Serializable {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 名称描述
     */
    @ApiModelProperty(value = "名称描述")
    private String describe;

    /**
     * 待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务
     */
    @ApiModelProperty(value = "待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务")
    private String maxType;

    /**
     * 待办任务子类，如：1_1管线巡查
     */
    @ApiModelProperty(value = "待办任务子类，如：1_1管线巡查")
    private Integer minType;

    /**
     * 级别：0一般、1紧急
     */
    @ApiModelProperty(value = "级别：0一般、1紧急")
    private Integer rank;

    /**
     * 任务链接表名
     */
    @ApiModelProperty(value = "任务链接表名")
    private String tableName;

    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long tableId;

    /**
     * 路由地址进行跳转
     */
    @ApiModelProperty(value = "路由地址进行跳转")
    private String routeIp;

    /**
     * 处理状态：0待完成，1已完成
     */
    @ApiModelProperty(value = "处理状态：0待完成，1已完成")
    private Integer status;

    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    private Date handleTime;

    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;

    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    private Date startTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    private Date endTime;

    /**
     * APP路由地址进行跳转
     */
    @ApiModelProperty(value = "APP路由地址进行跳转")
    private String routeAppIp;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}