package com.tofly.common.mapper;

import org.apache.ibatis.annotations.Mapper;

/**
 * @author haiqiu
 * @date 2022/8/10
 * 公共sql操作mapper
 */
@Mapper
public interface SysCommonMapper {

    /**
     * 根据用户ID获取用户名
     * @param userId 用户ID
     * @return 用户名
     */
    String getUserName(Long userId);

    /**
     * 根据用户ID获取用户姓名
     * @param userId 用户ID
     * @return 用户姓名
     */
    String getRealName(Long userId);

    /**
     * 根据用户ID获取用户姓名
     * @param userId 用户ID
     * @return 用户姓名
     */
    String getUserPhone(Long userId);

    /**
     * 根据租户id（公司ID）查询公司名称
     * @param id 租户ID(公司ID)
     * @return 公司名称
     */
    String getTenantName(Long id);

    /**
     * 根据部门ID查询部门名称
     * @param id 部门ID
     * @return 部门名称
     */
    String getDeptName(Long id);

    /**
     * 根据岗位ID查询岗位名称
     * @param id 岗位ID
     * @return 岗位名称
     */
    String getPostName(Long id);

    /**
     * 根据字典ID获取字典名称
     * @param dictId 字典ID
     * @return 字典名称
     */
    String getDictName(Long dictId);

    /**
     * 根据字典ID获取字典值 Value
     * @param dictId 字典ID
     * @return 字典值 Value
     */
    String getDictValue(Long dictId);
}
