package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * App发布范围表
 * @TableName SYS_APP_PERMISSION
 */
@TableName(value ="SYS_APP_PERMISSION")
@Data
public class SysAppPermission implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户ID，多个逗号隔开
     */
    private String userId;

    /**
     * App ID
     */
    private String appId;

    /**
     * 部门ID，多个逗号隔开
     */
    private String deptId;

    /**
     * 公司ID，多个逗号隔开
     */
    private String tenantId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}