package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统部门组织
 * @TableName SYS_DEPT
 */
@TableName(value ="SYS_DEPT",resultMap = "BaseResultMap")
@Data
public class SysDept implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")
    private Long pid;

    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long tenantId;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 类型：0缺省值，暂时无意义表示，1建设单位，2施工单位，3监理单位
     */
    @ApiModelProperty(value = "类型：0缺省值，暂时无意义表示，1建设单位，2施工单位，3监理单位")
    private Integer type;

    /**
     * 组织全称
     */
    @ApiModelProperty(value = "组织全称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;

    /**
     * 组织简称
     */
    @ApiModelProperty(value = "组织简称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String simpleName;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String code;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;


    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}