package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 菜单组织权限关联
 * @TableName SYS_MENU_TENANT
 */
@TableName(value ="SYS_MENU_TENANT",resultMap = "BaseResultMap")
@Data
public class SysMenuTenant implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 菜单ID
     */
    private Long menuId;

    /**
     * 租户ID，0代表全部
     */
    private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}