package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息通知
 * @TableName SYS_MESSAGE
 */
@TableName(value ="SYS_MESSAGE",resultMap = "BaseResultMap")
@Data
public class SysMessage implements Serializable {
    /**
     * 唯一编码
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 消息主题
     */
    @ApiModelProperty(value = "消息主题")
    private String topic;

    /**
     * 回复的原消息ID
     */
    @ApiModelProperty(value = "回复的原消息ID")
    private Long replyId;

    /**
     * 消息类型：0普通消息,...待定义
     */
    @ApiModelProperty(value = "消息类型：0普通消息,...待定义")
    private String type;

    /**
     * 消息链接表名
     */
    @ApiModelProperty(value = "消息链接表名")
    private String tableName;

    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long tableId;

    /**
     * 路由地址进行跳转
     */
    @ApiModelProperty(value = "路由地址进行跳转")
    private String routeIp;

    /**
     * APP跳转路由
     */
    @ApiModelProperty(value = "APP跳转路由")
    private String routeIpApp;

    /**
     * 消息发送者
     */
    @ApiModelProperty(value = "消息发送者")
    private Long userPushId;

    /**
     * 消息接收者
     */
    @ApiModelProperty(value = "消息接收者")
    private Long userPullId;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    /**
     * 消息是否接收，0：未接收，1：已接收
     */
    @ApiModelProperty(value = " 消息是否接收，0：未接收，1：已接收")
    private Integer flag;

    /**
     * 消息接收时间
     */
    @ApiModelProperty(value = "消息接收时间")
    private Date recipientTime;

    /**
     * 消息详情
     */
    @ApiModelProperty(value = "消息详情")
    private String message;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}