package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统岗位
 * @TableName SYS_POST
 */
@TableName(value ="SYS_POST",resultMap = "BaseResultMap")
@Data
public class SysPost implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long tenantId;

    /**
     * 岗位名称
     */
    @ApiModelProperty(value = "岗位名称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String code;

    /**
     * 岗位职责描述
     */
    @ApiModelProperty(value = "岗位职责描述")
    private String describe;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}