package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统角色
 * @TableName SYS_ROLE
 */
@TableName(value ="SYS_ROLE",resultMap = "BaseResultMap")
@Data
public class SysRole implements Serializable {
    /**
     * 角色ID
     */
    @ApiModelProperty(value = "角色ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 角色名字
     */
    @ApiModelProperty(value = "角色名字")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;

    /**
     * 角色标识
     */
    @ApiModelProperty(value = "角色标识")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String code;

    /**
     * 角色描述
     */
    @ApiModelProperty(value = "角色描述")
    private String describe;

    /**
     * 是否启用禁用 1启用 0禁用
     */
    @ApiModelProperty(value = "是否启用禁用 1启用 0禁用")
    private Integer active;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;


    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称",hidden = true)
    private String tenantName;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @ApiModelProperty(value = "角色菜单集合")
    @TableField(exist = false)
    private List<SysRoleMenu> roleMenus;

    @ApiModelProperty(value = "角色菜单集合")
    @TableField(exist = false)
    private List<SysRolePermission> rolePermissions;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}