package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Size;

/**
 * 系统公司表
 * @TableName SYS_TENANT
 */
@TableName(value ="SYS_TENANT",resultMap = "BaseResultMap")
@Data
public class SysTenant implements Serializable {
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String code;

    /**
     * 域名
     */
    @ApiModelProperty(value = "域名")
    private String realm;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String addr;

    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;

    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")
    private Long parentId;

    @ApiModelProperty(value = "父级名称",hidden = true)
    @TableField(exist = false)
    private String parentName;

    /**
     * 是否启用禁用 1启用 0禁用
     */
    @ApiModelProperty(value = "是否启用禁用 1启用 0禁用")
    private Integer active;

    /**
     * 公司简称
     */
    @ApiModelProperty(value = "公司简称")
    private String simpleName;

    /**
     * 开户行
     */
    @ApiModelProperty(value = "开户行")
    private String bankAccount;

    /**
     * 银行卡号
     */
    @ApiModelProperty(value = "银行卡号")
    private String bankNumber;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}