package com.tofly.system.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 系统用户
 *
 * @TableName SYS_USER
 */
@TableName(value = "SYS_USER", resultMap = "BaseResultMap")
@Data
public class SysUser implements Serializable {
    /**
     * 用户ID，主键
     */
    @ApiModelProperty(value = "用户ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;

    /**
     * 随机数
     */
    @ApiModelProperty(value = "随机数")
    private String salt;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private String avatar;

    /**
     * 是否锁定，1正常，0锁定
     */
    @ApiModelProperty(value = "是否锁定，1正常，0锁定")
    private Integer lockFlag;

    /**
     * 是否启用禁用，1启用，0禁用
     */
    @ApiModelProperty(value = "是否启用禁用，1启用，0禁用")
    private Integer active;

    /**
     * 扩展功能，微信openid
     */
    @ApiModelProperty(value = "扩展功能，微信openid")
    private String wxOpenid;

    /**
     * 扩展功能，QQ openid
     */
    @ApiModelProperty(value = "扩展功能，QQ openid")
    private String qqOpenid;

    /**
     * 用户email
     */
    @ApiModelProperty(value = "用户email")
    private String email;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String realName;

    /**
     * 最后一次登录时间
     */
    @ApiModelProperty(value = "最后一次登录时间")
    private Date loginTime;

    /**
     * 最后一次访问IP
     */
    @ApiModelProperty(value = "最后一次访问IP")
    private String loginIp;

    /**
     * 密码错误次数
     */
    @ApiModelProperty(value = "密码错误次数")
    private Integer loginFail;

    /**
     * 工号
     */
    @ApiModelProperty(value = "工号")
    private String jobNumber;

    /**
     * 找回密码关键字
     */
    @ApiModelProperty(value = "找回密码关键字")
    private String passwordCrux;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名")
    private String aliasName;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private Date birthday;

    /**
     * 用户级别  用于超级管理员与其他用户区分等  。0 超级管理员,1普通管理员,2其他公司超级管理员,3其他公司管理员
     */
    @ApiModelProperty(value = "用户级别  用于超级管理员与其他用户区分等  。0 超级管理员,1普通管理员,2其他公司超级管理员,3其他公司管理员")
    private Integer userLevel;

    /**
     * 首次登陆状态,1 首次登录,0 非首次登录
     */
    @ApiModelProperty(value = "首次登陆状态,1 首次登录,0 非首次登录")
    private Integer firstLogin;

    /**
     * 用户账号详情
     */
    @ApiModelProperty(value = "用户账号详情")
    private String details;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;

    /**
     * 原始密码
     */
    @ApiModelProperty(value = "原始密码")
    private String originalPassword;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 租户名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "租户名称", hidden = true)
    private String tenantName;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;

    /**
     * 逻辑删除，1删除，0不删除
     */
    @TableLogic
    @ApiModelProperty(value = "逻辑删除，1删除，0不删除")
    private Integer deleted;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}