package com.tofly.system.entity.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import com.tofly.common.entity.dto.BaseDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
* 系统公司表
* @TableName SYS_TENANT
*/
@Data
public class TenantDto extends BaseDto implements Serializable {

    /**
     * 主键ID
     */
    @NotNull(message="[ID]不能为空",groups = Update.class)
    @ApiModelProperty("主键ID")
    private Long id;
    /**
    * 公司名称
    */
    @NotBlank(message="[公司名称]不能为空")
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("公司名称")
    @Length(max= 100,message="编码长度不能超过100")
    private String name;
    /**
    * 描述
    */
    @Size(max= 500,message="编码长度不能超过500")
    @ApiModelProperty("描述")
    @Length(max= 500,message="编码长度不能超过500")
    private String describe;
    /**
    * 编码
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("编码")
    @Length(max= 100,message="编码长度不能超过100")
    private String code;
    /**
    * 域名
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("域名")
    @Length(max= 100,message="编码长度不能超过100")
    private String realm;
    /**
    * 地址
    */
    @Size(max= 500,message="编码长度不能超过500")
    @ApiModelProperty("地址")
    @Length(max= 500,message="编码长度不能超过500")
    private String addr;
    /**
    * 类型
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("类型")
    @Length(max= 255,message="编码长度不能超过255")
    private String type;
    /**
    * 父级ID
    */
    @NotNull(message="[父级ID]不能为空")
    @ApiModelProperty("父级ID")
    private Long parentId;
    /**
    * 是否启用禁用 1启用 0禁用
    */
    @ApiModelProperty("是否启用禁用 1启用 0禁用")
    private Integer active;
    /**
    * 公司简称
    */
    @Size(max= 100,message="编码长度不能超过100")
    @ApiModelProperty("公司简称")
    @Length(max= 100,message="编码长度不能超过100")
    private String simpleName;
    /**
    * 开户行
    */
    @Size(max= 500,message="编码长度不能超过500")
    @ApiModelProperty("开户行")
    @Length(max= 500,message="编码长度不能超过500")
    private String bankAccount;
    /**
    * 银行卡号
    */
    @Size(max= 200,message="编码长度不能超过200")
    @ApiModelProperty("银行卡号")
    @Length(max= 200,message="编码长度不能超过200")
    private String bankNumber;

    /**
     * 联系电话
     */
    @Size(max= 200,message="编码长度不能超过200")
    @ApiModelProperty("联系电话")
    @Length(max= 200,message="编码长度不能超过200")
    private String phone;

    /**
    * 排序
    */
    @ApiModelProperty("排序")
    private Long sort;

}
