package com.tofly.system.entity.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.system.entity.SysDept;
import com.tofly.system.entity.SysPost;
import com.tofly.system.entity.SysRole;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author haiqiu
 * @date 2022/8/4
 */
@Data
public class UserQuery {
    /**
     * 用户ID，主键
     */
    @ApiModelProperty(value = "用户ID")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    /**
     * 是否锁定，1正常，0锁定
     */
    @ApiModelProperty(value = "是否锁定，1正常，0锁定")
    private Integer lockFlag;

    /**
     * 是否启用禁用，1启用，0禁用
     */
    @ApiModelProperty(value = "是否启用禁用，1启用，0禁用")
    private Integer active;

    /**
     * 用户email
     */
    @ApiModelProperty(value = "用户email")
    private String email;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String realName;
    /**
     * 工号
     */
    @ApiModelProperty(value = "工号")
    private String jobNumber;

    /**
     * 别名
     */
    @ApiModelProperty(value = "别名")
    private String aliasName;

    /**
     * 用户级别  用于超级管理员与其他用户区分等  。0 超级管理员1普通管理员,2其他公司管理员
     */
    @ApiModelProperty(value = "用户级别  用于超级管理员与其他用户区分等  。0 超级管理员1普通管理员,2其他公司管理员")
    private Integer userLevel;


    /**
     * 用户账号详情
     */
    @ApiModelProperty(value = "用户账号详情")
    private String details;

    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long tenantId;

    /**
     * 公司ID,支持查询下级和本身
     */
    @ApiModelProperty(value = "公司ID,支持查询下级和本身")
    private Long tenantIdChildren;

    /**
     * 公司
     */
    @ApiModelProperty(value = "公司")
    private String tenantName;

    /**
     * 角色集合
     */
    @ApiModelProperty(value = "角色集合")
    private List<Long> roles;

    /**
     * 岗位集合
     */
    @ApiModelProperty(value = "岗位集合")
    private List<Long> posts;

    /**
     * 部门集合
     */
    @ApiModelProperty(value = "部门集合")
    private List<Long> depts;

    /**
     * 是否为管理员，true是，false不是
     */
    @ApiModelProperty(value = "是否为管理员，true是，false不是")
    private Boolean isManage;
}
