package com.tofly.system.entity.vo.user;

import com.haiqiu.tools.excel.annotation.HqExcel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author haiqiu
 * @date 2022/8/1
 */
@Data
public class UserExcelExportVo implements Serializable {

    /**
     * 用户名
     */
    @HqExcel(name = "用户名")
    private String username;


    /**
     * 电话
     */
    @HqExcel(name = "电话")
    private String phone;

    /**
     * 用户email
     */
    @HqExcel(name = "邮箱")
    private String email;

    /**
     * 用户姓名
     */
    @HqExcel(name = "用户姓名")
    private String realName;


    /**
     * 工号
     */
    @HqExcel(name = "工号")
    private String jobNumber;

    /**
     * 别名
     */
    @HqExcel(name = "别名")
    private String aliasName;

    /**
     * 生日
     */
    @HqExcel(name = "生日",dateFormat = "yyyy年m月d日")
    private Date birthday;

    /**
     * 用户级别  用于超级管理员与其他用户区分等  。0 超级管理员1_普通用户,2其他公司管理员
     */
    @HqExcel(name = "用户级别",replace = {"0_超级管理员","1_普通用户","2_子公司管理员"})
    private Integer userLevel;


    /**
     * 用户账号详情
     */
    @HqExcel(name = "账号详情")
    private String details;

    /**
     * 备注
     */
    @HqExcel(name = "备注")
    private String note;

    /**
     * 公司
     */
    @HqExcel(name = "公司")
    private String tenantName;

    /**
     * 角色集合
     */
    @HqExcel(name = "角色")
    private String roles;

    /**
     * 岗位集合
     */
    @HqExcel(name = "岗位")
    private String  posts;

    /**
     * 部门集合
     */
    @HqExcel(name = "部门")
    private String  depts;
}
