package com.tofly.system.entity.vo.user;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.system.entity.SysDept;
import com.tofly.system.entity.SysPost;
import com.tofly.system.entity.SysRole;
import com.tofly.system.entity.SysRolePermission;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author haiqiu
 * @date 2022/8/1
 */
@Data
public class UserVo  implements Serializable {

    /**
     * 用户ID，主键
     */
    private Long id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 随机数
     */
    private String salt;

    /**
     * 电话
     */
    private String phone;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 是否锁定，1正常，0锁定
     */
    private Integer lockFlag;

    /**
     * 是否启用禁用，1启用，0禁用
     */
    private Integer active;

    /**
     * 扩展功能，微信openid
     */
    private String wxOpenid;

    /**
     * 扩展功能，QQ openid
     */
    private String qqOpenid;

    /**
     * 用户email
     */
    private String email;

    /**
     * 用户姓名
     */
    private String realName;

    /**
     * 最后一次登录时间
     */
    private Date loginTime;

    /**
     * 最后一次访问IP
     */
    private String loginIp;

    /**
     * 密码错误次数
     */
    private Integer loginFail;

    /**
     * 工号
     */
    private String jobNumber;

    /**
     * 找回密码关键字
     */
    private String passwordCrux;

    /**
     * 别名
     */
    private String aliasName;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 用户级别  用于超级管理员与其他用户区分等  。0 超级管理员1普通管理员,2其他公司管理员
     */
    private Integer userLevel;

    /**
     * 首次登陆状态,1 首次登录,0 非首次登录
     */
    private Integer firstLogin;

    /**
     * 用户账号详情
     */
    private String details;

    /**
     * 备注
     */
    private String note;

    /**
     * 原始密码
     */
    private String originalPassword;

    /**
     * 公司ID
     */
    private Long tenantId;

    /**
     * 公司
     */
    private String tenantName;

    /**
     * 排序
     */
    private Long sort;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;

    /**
     * 角色集合
     */
    private List<SysRole> roles;

    /**
     * 岗位集合
     */
    private List<SysPost> posts;

    /**
     * 部门集合
     */
    private List<SysDept> depts;

    /**
     * 角色权限范围
     */
    List<SysRolePermission> sysRolePermissions;
}
