package com.tofly.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.system.entity.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_MENU(系统菜单)】的数据库操作Mapper
* @createDate 2022-08-01 14:51:16
* @Entity com.tofly.system.entity.SysMenu
*/
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    /**
     * 根据用户ID和公司ID获取对应的菜单权限
     * @param userId 用户ID
     * @param tenantId 公司ID
     * @return 菜单集合
     */
    List<SysMenu> selectListByUserIdAndTenantId(@Param("userId") Long userId,@Param("tenantId") Long tenantId,
                                                @Param("sysMenu") SysMenu sysMenu,@Param("types") List<Integer> types);

    /**
     * 根据用户ID获取对应的菜单权限
     * @param userId 用户ID
     * @return 菜单集合
     */
    List<SysMenu> selectListByUserId(@Param("userId") Long userId,
                                                @Param("sysMenu") SysMenu sysMenu,@Param("types") List<Integer> types);
}




