package com.tofly.system.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.tofly.system.entity.SysTenant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.system.entity.query.UserQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_TENANT(系统公司表)】的数据库操作Mapper
* @createDate 2022-08-01 14:52:51
* @Entity com.tofly.system.entity.SysTenant
*/
public interface SysTenantMapper extends BaseMapper<SysTenant> {

    /**
     * 查询公司和下级公司
     * @param sysTenantQueryWrapper 查询参数
     * @param meId 本级公司ID
     * @return 公司和下级公司
     */
    List<SysTenant> allListByChildren(@Param(Constants.WRAPPER) QueryWrapper<SysTenant> sysTenantQueryWrapper,Long meId);
}




