package com.tofly.system.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.system.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.system.entity.query.UserQuery;
import com.tofly.system.entity.vo.user.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_USER(系统用户)】的数据库操作Mapper
* @createDate 2022-07-29 14:23:51
* @Entity com.tofly.system.entity.SysUser
*/
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 分页查询
     * @param page 分页
     * @param sysUserQueryWrapper 查询wrapper
     * @return 数据集合
     */
    Page<UserVo> pageList(Page<UserVo> page,@Param(Constants.WRAPPER) QueryWrapper<UserQuery> sysUserQueryWrapper);

    /**
     * 分页总数
     * @param sysUserQueryWrapper 查询wrapper
     * @return 数据集合总数
     */
    long countList(@Param(Constants.WRAPPER) QueryWrapper<UserQuery> sysUserQueryWrapper);


    /**
     * @param sysUserQueryWrapper 查询wrapper
     * @return 数据集合
     */
    List<UserVo> pageList(@Param(Constants.WRAPPER) QueryWrapper<UserQuery> sysUserQueryWrapper);
}




