package com.tofly.system.service;

import com.tofly.system.entity.SysApp;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.dto.AppDto;
import com.tofly.system.entity.dto.DictDto;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_APP(系统App管理)】的数据库操作Service
* @createDate 2022-08-01 14:50:59
*/
public interface SysAppService extends IService<SysApp> {

    /**
     * 新增
     * @param appDto 实体
     * @param fileList 文件
     */
    void insert(AppDto appDto,List<MultipartFile> fileList);

    /**
     * 修改
     * @param appDto 实体
     */
    void edit(AppDto appDto, List<MultipartFile> fileList);

    /**
     * 获取App更新版本
     * @return 获取App更新版本
     */
    SysApp getUpdateApp();

    /**
     * 删除数据
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 根据ID查询输一局
     * @param id 数据ID
     * @return 数据
     */
    SysApp get(Serializable id);
}
