package com.tofly.system.service;

import com.tofly.system.entity.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.SysTenant;
import com.tofly.system.entity.dto.DeptDto;
import com.tofly.system.entity.vo.dept.DeptVo;
import com.tofly.system.entity.vo.tenant.TenantVo;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_DEPT(系统部门组织)】的数据库操作Service
* @createDate 2022-08-01 14:50:48
*/
public interface SysDeptService extends IService<SysDept> {
    /**
     * 新增
     * @param deptDto 实体
     */
    void insert(DeptDto deptDto);

    /**
     * 修改
     * @param deptDto 实体
     */
    void edit(DeptDto deptDto);

    /**
     * 删除
     * @param idList 数据集合
     */
    void delete(List<Long> idList);

    /**
     * 根据父级ID获取子集数据
     * @param treeId 父级ID
     * @return 根据父级ID获取子集数据
     */
    List<DeptVo> getChildren(Long treeId);
}
