package com.tofly.system.service;

import com.tofly.system.entity.SysMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.dto.DictDto;
import com.tofly.system.entity.dto.MenuDto;
import com.tofly.system.entity.vo.menu.MenuVo;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_MENU(系统菜单)】的数据库操作Service
* @createDate 2022-08-01 14:51:16
*/
public interface SysMenuService extends IService<SysMenu> {
    /**
     * 新增
     * @param menuDto 实体
     */
    void insert(MenuDto menuDto);

    /**
     * 修改
     * @param menuDto 实体
     */
    void edit(MenuDto menuDto);

    /**
     * 根据登录用户获取菜单
     * @return 根据登录用户获取菜单
     */
    List<MenuVo> treeMenu(SysMenu sysMenu);

    /**
     * 根据登录用户获取菜单列表
     * @return 根据登录用户获取菜单列表
     */
    List<SysMenu> listMenu(SysMenu sysMenu);

    /**
     * 根据登录用户获取菜单列表
     * @return 根据登录用户获取菜单列表
     */
    List<SysMenu> getUserNameMenu(SysMenu sysMenu,String username);

    /**
     * 删除
     * @param idList 数据集合
     */
    void delete(List<Long> idList);

}
