package com.tofly.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.SysResource;
import com.tofly.system.entity.dto.DictDto;
import com.tofly.system.entity.dto.ResourceDto;
import com.tofly.system.entity.vo.resource.ResourceVo;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_DICT(系统字典)】的数据库操作Service
* @createDate 2022-08-01 14:50:28
*/
public interface SysResourceService extends IService<SysResource> {

    /**
     * 新增
     * @param resourceDto 实体
     */
    void insert(ResourceDto resourceDto);

    /**
     * 修改
     * @param resourceDto 实体
     */
    void edit(ResourceDto resourceDto);

    /**
     * 树型结构全部数据
     *
     * @param sysResource 查询参数
     * @return 树型结构全部数据
     */
    List<ResourceVo> tree(SysResource sysResource);

}
