package com.tofly.system.service;

import com.tofly.system.entity.SysRole;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.dto.RoleDto;

import java.io.Serializable;
import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_ROLE(系统角色)】的数据库操作Service
* @createDate 2022-08-01 14:52:14
*/
public interface SysRoleService extends IService<SysRole> {

    /**
     * 新增
     * @param roleDto 实体
     */
    void insert(RoleDto roleDto);

    /**
     * 修改
     * @param roleDto 实体
     */
    void edit(RoleDto roleDto);

    /**
     * 删除
     * @param idList 数据集合
     */
    void delete(List<Long> idList);

    /**
     * 通过主键查询单条数据
     * @param id id
     * @return 角色绑定的数据
     */
    SysRole get(Serializable id);
}
