package com.tofly.system.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.SysTenantResource;

import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
/**
 * 公司资源关联表(SysTenantResource)表服务接口
 *
 * @author HaiQiu
 * @since 2022-09-09 17:26:47
 */
public interface SysTenantResourceService extends IService<SysTenantResource> {

    /**
     * 根据ID查询
     * @param id id
     * @return 数据
     */
    SysTenantResource get(Serializable id);

    /**
     * 新增
     * @param sysTenantResource 实体
     */
    void insert(SysTenantResource sysTenantResource);

    /**
     * 修改
     * @param sysTenantResource 实体
     */
    void edit(SysTenantResource sysTenantResource);

    /**
     * 批量删除
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     * @param page 分页
     * @param sysTenantResource 查询wrapper
     * @return 数据集合
     */
    Page<SysTenantResource> pageList(Page<SysTenantResource> page, SysTenantResource sysTenantResource);

    /**
     * 数据导出
     * @param page 分页
     * @param sysTenantResource 查询模型
     * @param isAll 是否导出全部数据，true是，false否
     */
    void export(Page<SysTenantResource> page, SysTenantResource sysTenantResource, Boolean isAll);

    /**
     * 查询所有数据
     * @param sysTenantResource 查询条件
     * @return 查询所有数据
     */
    List<SysTenantResource> all(SysTenantResource sysTenantResource);
}

