package com.tofly.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.system.entity.SysTenant;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.system.entity.dto.TenantDto;
import com.tofly.system.entity.vo.tenant.TenantVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_TENANT(系统公司表)】的数据库操作Service
* @createDate 2022-08-01 14:52:51
*/
public interface SysTenantService extends IService<SysTenant> {
    /**
     * 新增
     * @param tenantDto 实体
     */
    void insert(TenantDto tenantDto);

    /**
     * 修改
     * @param tenantDto 实体
     */
    void edit(TenantDto tenantDto);

    /**
     * 数据导入
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 数据导出
     * @param page 分页
     * @param sysTenant 查询实体
     * @param isAll 是否导出全部，true是，false否
     */
    void export(Page<SysTenant> page, SysTenant sysTenant, Boolean isAll);

    /**
     * 模板下载
     */
    void template();

    /**
     * 公司组织架构树形结构
     * @param sysTenant 查询条件
     * @param isHaveDept 是否包含部门,默认不包含false
     * @return 公司组织架构树形结构
     */
    List<TenantVo> treeTenant(SysTenant sysTenant,boolean isHaveDept);

    /**
     * 查询公司和下级公司
     * @param sysTenant 查询参数
     * @return 公司和下级公司
     */
    List<SysTenant> allList(SysTenant sysTenant);
}
