package com.tofly.system.service.impl;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.system.entity.SysMenu;
import com.tofly.system.entity.SysMenuTenant;
import com.tofly.system.service.SysMenuTenantService;
import com.tofly.system.mapper.SysMenuTenantMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【SYS_MENU_TENANT(菜单组织权限关联)】的数据库操作Service实现
* @createDate 2022-08-01 14:51:48
*/
@Service
public class SysMenuTenantServiceImpl extends ServiceImpl<SysMenuTenantMapper, SysMenuTenant>
    implements SysMenuTenantService{

    /**
     * 根据菜单Id查询关联的公司集合
     * @param menus 菜单集合
     * @return 菜单集合
     */
    @Override
    public List<SysMenu> getMenuTenantsByMenuId(List<SysMenu> menus){
        if (CollectionUtils.isEmpty(menus)){
            return null;
        }
        for (SysMenu menu : menus) {
            List<SysMenuTenant> list = list(Wrappers.<SysMenuTenant>lambdaQuery()
                    .eq(SysMenuTenant::getMenuId, menu.getId()));
            if (!CollectionUtils.isEmpty(list)){
                menu.setMenuTenants(list);
            }
        }
        return menus;
    }
}




