package com.tofly.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.result.ResultEnum;
import com.tofly.common.entity.dto.MessageDto;
import com.tofly.system.entity.SysMessage;
import com.tofly.system.mapper.SysMessageMapper;
import com.tofly.system.service.SysMessageService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
* @author haiqiu
* @description 针对表【SYS_MESSAGE(消息通知)】的数据库操作Service实现
* @createDate 2022-08-01 14:51:55
*/
@Service
public class SysMessageServiceImpl extends ServiceImpl<SysMessageMapper, SysMessage>
    implements SysMessageService{

    @Override
    public void insert(MessageDto messageDto) {
        SysMessage sysMessage = new SysMessage();
        BeanUtils.copyProperties(messageDto, sysMessage);
        if (!save(sysMessage)) {
            throw new RuntimeException(ResultEnum.ADD_FAIL.getMessage());
        }
    }

    @Override
    public void edit(MessageDto messageDto) {
        SysMessage sysMessage = new SysMessage();
        BeanUtils.copyProperties(messageDto, sysMessage);
        if (!updateById(sysMessage)) {
            throw new RuntimeException(ResultEnum.UPDATE_FAIL.getMessage());
        }
    }
}




