package com.tofly.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.result.ResultEnum;
import com.tofly.common.entity.SysTask;
import com.tofly.common.entity.dto.TaskDto;
import com.tofly.system.mapper.SysTaskMapper;
import com.tofly.system.service.SysTaskService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

/**
* @author haiqiu
* @description 针对表【SYS_TASK(系统任务待办)】的数据库操作Service实现
* @createDate 2022-08-01 14:52:44
*/
@Service
public class SysTaskServiceImpl extends ServiceImpl<SysTaskMapper, SysTask>
    implements SysTaskService{
    @Override
    public void insert(TaskDto taskDto) {
        SysTask sysTask = new SysTask();
        BeanUtils.copyProperties(taskDto, sysTask);
        if (!save(sysTask)) {
            throw new RuntimeException(ResultEnum.ADD_FAIL.getMessage());
        }
    }

    @Override
    public void edit(TaskDto taskDto) {
        SysTask sysTask = new SysTask();
        BeanUtils.copyProperties(taskDto, sysTask);
        if (!updateById(sysTask)) {
            throw new RuntimeException(ResultEnum.UPDATE_FAIL.getMessage());
        }
    }
}




