/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.baseconf.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.baseconf.entity.TfMatterNumberP;
import com.tofly.workflow.baseconf.service.TfMatterNumberPService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.Arrays;
/**
 * 物资出入库数量
 *
 * @author JF
 * @date Wed Aug 10 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfmatternumberp")
@Api(tags="物资出入库数量接口")
public class TfMatterNumberPController {

    private final  TfMatterNumberPService tfMatterNumberPService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfMatterNumberP 物资出入库数量
    * @return
    */
    @ToFlyAppLog(title="分页查询" )
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfMatterNumberPPage(Page page, @ModelAttribute TfMatterNumberP tfMatterNumberP) {
      return ResultData.ok(tfMatterNumberPService.page(page, Wrappers.query(tfMatterNumberP)));
    }

    /**
     * 列表查询
     * @param tfMatterNumberP 物资出入库数量
     * @return
     */
    @ToFlyAppLog(title="列表查询" )
    @GetMapping("/list" )
    @ApiOperation(value = "列表查询")
    public ResultData getTfMatterNumberPList(@ModelAttribute TfMatterNumberP tfMatterNumberP) {
        return ResultData.ok(tfMatterNumberPService.getTfMatterNumberPList(tfMatterNumberP));
    }


    /**
     * 通过id查询物资出入库数量
     * @param id id
     * @return ResultData
     */
    @ToFlyAppLog(title="通过ID查询" )
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultData getById(@PathVariable("id" ) Long id) {
      return ResultData.ok(tfMatterNumberPService.getById(id));
    }


    /**
     * 通过id删除物资出入库数量
     * @param id id
     * @return ResultData
     */
    @ToFlyAppLog(title="通过id删除物资出入库数量" )
    @ApiOperation(value = "通过ID删除物资出入库数量")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultData removeById(@PathVariable Long id) {
      return ResultData.ok(tfMatterNumberPService.removeById(id));
    }

}
