/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 合同计算配置信息
 *
 * @author WANGZHUN
 * @date Tue Apr 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONTRACT_CONFIG_W",resultMap = "contractConfigMap")
@KeySequence("TF_CONTRACT_CONFIG_W")
@ApiModel
public class ContractConfig extends Model<ContractConfig> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 关联SYS_TENANT表
     */
            @ApiModelProperty(value = "关联SYS_TENANT表")
                private Long tenantId;
            @ApiModelProperty(value = "tenant名称")
            @TableField(exist = false)
            private String tenantName;
                /**
     * 合同类型
     */
            @ApiModelProperty(value = "合同类型")
                private Long contractType;
            @ApiModelProperty(value = "合同类型名称")
            @TableField(exist = false)
                private String contractTypeName;
                /**
     * 合同模板id  tf_contract_template_p
     */
            @ApiModelProperty(value = "合同模板id  tf_contract_template_p")
                private Long templateFieldId;
                /**
     * 合同分类
     */
            @ApiModelProperty(value = "合同分类")
                private Long classification;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
    @ApiModelProperty(value = "公式名称")
            private String name;
            
}
