/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 合同字段取值配置表
 *
 * @author WANGZHUN
 * @date Tue Apr 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONTRACT_CONFIG_FIELD_W",resultMap = "contractConfigFieldMap")
@KeySequence("TF_CONTRACT_CONFIG_FIELD_W")
@ApiModel
public class ContractConfigField extends Model<ContractConfigField> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "$column.comments")
                private Long id;

    @ApiModelProperty(value = "源字段 字段名")
        private  String sourceFieldName;
    @ApiModelProperty(value = "源字段 表名")
        private String sourceTable;

                /**
     * 源字段  关联tf_contract_field_p
     */
            @ApiModelProperty(value = "源字段  关联tf_contract_field_p")
                private Long fieldId;
                /**
     * 1定值默认值 2获取固定字段 3大写转换 4自定义公式计算
     */
            @ApiModelProperty(value = "1定值默认值 2获取固定字段 3大写转换 4自定义公式计算")
                private Short type;
                /**
     * 目标字段 关联tf_contract_field_p
     */
            @ApiModelProperty(value = "目标字段 关联tf_contract_field_p")
                private Long targetFieldId;
                /**
     * 默认值
     */
            @ApiModelProperty(value = "默认值")
                private String defaultValue;
                /**
     * 公式
     */
            @ApiModelProperty(value = "公式")
                private String formula;

    @ApiModelProperty(value = "合同计算配置id")
            private Long contractConfigId;
}
