/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 合同模板公用字段
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONTRACT_FIELD_P",resultMap = "tfContractFieldPMap")
@KeySequence("TF_CONTRACT_FIELD_P")
@ApiModel
public class TfContractFieldP extends Model<TfContractFieldP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 名称
     */
            @NotNull
            @TableField(condition = ToflySqlCondition.LIKE)
            @ApiModelProperty(value = "名称")
                private String name;
                /**
     * 字段名
     */
            @NotNull
            @TableField(condition = ToflySqlCondition.LIKE)
            @ApiModelProperty(value = "字段名")
                private String fieldName;
                /**
     * 字段类型(1文本;2整数;3小数;4文本框)
     */
            @NotNull
            @ApiModelProperty(value = "字段类型(1文本;2整数;3小数;4文本框)")
                private Short fieldType;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String fieldTypeName;
                /**
     * 特殊类型(1预付款;2单列费用;3总价)
     */
            @ApiModelProperty(value = "特殊类型(1预付款;2单列费用;3总价)")
                private Short specialType;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String specialTypeName;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
    /**
     * 标记
     */
    @ApiModelProperty(value = "标记")
    private String sign;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private Long templateFieldId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private Integer sort;
            
}
