/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


/**
 * 合同模板
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONTRACT_TEMPLATE_P",resultMap = "tfContractTemplatePMap")
@KeySequence("TF_CONTRACT_TEMPLATE_P")
@ApiModel
public class TfContractTemplateP extends Model<TfContractTemplateP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 合同类型
     */
            @NotNull
            @ApiModelProperty(value = "合同类型")
                private Long contractType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String contractTypeName;
                /**
     * 合同名称
     */
            @NotNull
            @TableField(condition = ToflySqlCondition.LIKE)
            @ApiModelProperty(value = "合同名称")
                private String name;
                /**
     * 租户ID
     */
            @NotNull
            @ApiModelProperty(value = "租户ID")
                private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantName;
                /**
     * 合同附件id
     */
            @ApiModelProperty(value = "合同附件id")
                private String contractAnnex;
                /**
     * 合同模板附件id
     */
            @ApiModelProperty(value = "合同模板附件id")
                private String annex;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
    /**
     * 合同模板信息列表
     */
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<TfContractFieldP> contractFieldList;
            
}
