/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 物资出入库
 *
 * @author JF
 * @date Wed Aug 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATTER_ACCESS_P", resultMap = "tfMatterAccessPMap")
@KeySequence("TF_MATTER_ACCESS_P")
@ApiModel
public class TfMatterAccessP extends Model<TfMatterAccessP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 租户ID
     */
    @NotNull
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 仓库名称
     */
    @NotNull
    @ApiModelProperty(value = "仓库名称")
    private String warehouseName;
    /**
     * 责任人
     */
    @ApiModelProperty(value = "责任人")
    private Long dutyUser;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 出入库时间
     */

    @ApiModelProperty(value = "出入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateTime;
    /**
     * 出入库类型 1入;0出
     */
    @NotNull
    @ApiModelProperty(value = "出入库类型 1小仓库;0大仓库")
    private Short accessType;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    @TableLogic(delval = "0")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用友仓库ID
     */
    @ApiModelProperty(value = "用友仓库ID")
    private Long yyWzId;
    /**
     * 用友仓库code
     */
    @ApiModelProperty(value = "用友仓库code")
    private String yyCode;

    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String address;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String linkman;
    /**
     * 联系电话 PHONE
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;


    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TfMatterNumberP matterNumberP;

}
