/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 物资出入库数量
 *
 * @author JF
 * @date Wed Aug 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATTER_NUMBER_P", resultMap = "tfMatterNumberPMap")
@KeySequence("TF_MATTER_NUMBER_P")
@ApiModel
public class TfMatterNumberP extends Model<TfMatterNumberP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long matterId;
    /**
     * 出入库ID(TF_MATTER_ACCESS_P)
     */
    @ApiModelProperty(value = "出入库ID(TF_MATTER_ACCESS_P)")
    private Long accessId;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long quantity;

    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Long inQuantity;

    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Long outQuantity;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TfMatterP matterP;

}
