/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 物资信息表
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATTER_P", resultMap = "tfMatterPMap")
@KeySequence("TF_MATTER_P")
@ApiModel
public class TfMatterP extends Model<TfMatterP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @NotNull
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String categoryName;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @NotNull
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String matterTypeName;
    /**
     * 物资名称
     */
    @NotNull
    @ApiModelProperty(value = "物资名称")
    private String matterName;
    /**
     * 别名（简称）
     */
    @ApiModelProperty(value = "别名（简称）")
    private String alias;
    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称")
    private String englishName;
    /**
     * 规格型号
     */
    @NotNull
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @NotNull
    @ApiModelProperty(value = "计量单位")
    private String unit;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用友类别
     */
    @ApiModelProperty(value = "用友类别")
    private Long transType;

    /**
     * 用友类别名称
     */
    @ApiModelProperty(value = "用友类别名称")
    private String transTypeName;

    /**
     * 规格描述
     */
    @ApiModelProperty(value = "规格描述")
    private String specs;

    /**
     * 用友ID
     */
    @ApiModelProperty(value = "用友ID")
    private Long yyId;
    @ApiModelProperty(value = "适用范围id")
    private  Long productApplyRangeId;
    @ApiModelProperty(value = "使用组织id")
    private  Long productApplyRangeOrgId;
    /**
     * 用友计量单位ID
     */
    @ApiModelProperty(value = "用友计量单位ID")
    private Long unitId;

    /**
     * 库存单位id
     */
    @ApiModelProperty(value = "库存单位id")
    private Long stockUnit;
    /**
     * 库存单位名称
     */
    @ApiModelProperty(value = "库存单位名称")
    private String stockUnitName;
    /**
     * 实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡
     */
    @ApiModelProperty(value = "实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡")
    private Short yyType;

    /**
     * 用友类型ID
     */
    @ApiModelProperty(value = "用友类型ID")
    private Long yyTypeId;
    /**
     * 时间戳
     */
    @ApiModelProperty(value = "时间戳")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pubts;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TfMatterPriceP matterPrice;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TfMatterNumberP matterNumberP;

}
