/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 物资价格
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATTER_PRICE_P", resultMap = "tfMatterPricePMap")
@KeySequence("TF_MATTER_PRICE_P")
@ApiModel
public class TfMatterPriceP extends Model<TfMatterPriceP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long matterId;
    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private Double price;
    /**
     * 安装价格
     */
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用友ID
     */
    @ApiModelProperty(value = "用友ID")
    private Long yyId;

    /**
     * 用友物料ID
     */
    @ApiModelProperty(value = "用友物料ID")
    private Long yyMatterId;

    /**
     * 批发价
     */
    @ApiModelProperty(value = "批发价")
    private Double batchPrice;

    /**
     * 成本-按费用核算;1:是,0:否
     */
    @ApiModelProperty(value = "成本-按费用核算;1:是,0:否")
    private Short checkByCost;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
