/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 合作伙伴/协作单位（设计院）
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PARTNER_P",resultMap = "tfPartnerPMap")
@KeySequence("TF_PARTNER_P")
@ApiModel
public class TfPartnerP extends Model<TfPartnerP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 单位名称
     */
            @ApiModelProperty(value = "单位名称")
                private String name;
                /**
     * 地址
     */
            @ApiModelProperty(value = "地址")
                private String address;
                /**
     * 联系人
     */
            @ApiModelProperty(value = "联系人")
                private String contacts;
                /**
     * 电话
     */
            @ApiModelProperty(value = "电话")
                private String telephone;
                /**
     * 等级
     */
            @ApiModelProperty(value = "等级")
                private String level;
                /**
     * 合作单位类型
     */
            @ApiModelProperty(value = "合作单位类型")
                private Short type;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
            
}
