/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工程工序/工程管控
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PROJECT_PROCESS_P",resultMap = "tfProjectProcessPMap")
@KeySequence("TF_PROJECT_PROCESS_P")
@ApiModel
public class TfProjectProcessP extends Model<TfProjectProcessP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 工程性质（来源字典ID）
     */
            @ApiModelProperty(value = "工程性质（来源字典ID）")
                private Long nature;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String natureName;
                /**
     * 工序ID(TF_YWPN_WORK_PROCESS_W)
     */
            @ApiModelProperty(value = "工序ID(TF_YWPN_WORK_PROCESS_W)")
                private Long processId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String processName;
                /**
     * 是否强制1强制;0不强制
     */
            @ApiModelProperty(value = "是否强制1强制;0不强制")
                private Short isForce;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isForceName;
                /**
     * 可填报岗位多个用逗号分隔
     */
            @ApiModelProperty(value = "可填报岗位多个用逗号分隔")
                private String posts;
                /**
     * 租户ID
     */
            @ApiModelProperty(value = "租户ID")
                private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantName;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
            
}
