/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 待办信息
 *
 * @author xqf
 * @date Mon Sep 19 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_TASK_P", resultMap = "tfTaskPMap")
@KeySequence("TF_TASK_P")
@ApiModel
public class TfTaskP extends Model<TfTaskP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 名称描述
     */
    @ApiModelProperty(value = "名称描述")
    private String describe;
    /**
     * 待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务
     */
    @ApiModelProperty(value = "待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务")
    private String maxType;
    /**
     * 待办任务子类，如：1_1管线巡查
     */
    @ApiModelProperty(value = "待办任务子类，如：1_1管线巡查")
    private Long minType;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 级别：0一般、1紧急
     */
    @ApiModelProperty(value = "级别：0一般、1紧急")
    private Short rank;
    /**
     * 任务链接表名
     */
    @ApiModelProperty(value = "任务链接表名")
    private String tableName;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long linkeId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 节点名称
     */
    @ApiModelProperty(value = "节点名称")
    private String nodeName;
    /**
     * 处理状态：0待完成，1已完成
     */
    @ApiModelProperty(value = "处理状态：0待完成，1已完成")
    private Short status;
    /**
     * 节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回
     */
    @ApiModelProperty(value = "节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回")
    private Integer nodeState;

    /**
     * 节点状态：1:填充；2审核；3驳回
     */
    @ApiModelProperty(value = "节点状态：1:填充；2审核；3驳回")
    private Short nodeType;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;
    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;
    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;
    /**
     * 路由地址进行跳转
     */
    @ApiModelProperty(value = "路由地址进行跳转")
    private String routeIp;
    /**
     * APP路由地址进行跳转
     */
    @ApiModelProperty(value = "APP路由地址进行跳转")
    private String routeAppIp;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * APP标签
     */
    @ApiModelProperty(value = "APP标签")
    private Long appLabe;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;

    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
}
