/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 施工班组人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_TEAM_STAFF_P",resultMap = "tfTeamStaffPMap")
@KeySequence("TF_TEAM_STAFF_P")
@ApiModel
public class TfTeamStaffP extends Model<TfTeamStaffP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 施工班组ID
     */
            @ApiModelProperty(value = "施工班组ID")
                private Long teamId;
                /**
     * 所属部门公司
     */
            @ApiModelProperty(value = "所属部门公司")
                private Long deptId;
                /**
     * 用户ID(施工人员)
     */
            @ApiModelProperty(value = "用户ID(施工人员)")
            @TableField(value = "USER_ID",fill = FieldFill.INSERT)
            private Long userId;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String userIdName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String userPhone;
            /**
     * 施工人员类型0普通工人;1组长负责人
     */
            @ApiModelProperty(value = "施工人员类型0普通工人;1组长负责人")
                private Short type;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String typeName;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
//            /**
//    * 部门名称
//     */
//            @ApiModelProperty(hidden = true)
//            @TableField(exist = false)
//                private String deptName;
//            /**
//     * 公司地址
//     */
//            @ApiModelProperty(hidden = true)
//            @TableField(exist = false)
//                private String companyAddress;
//            /**
//     * 公司名称
//     */
//            @ApiModelProperty(hidden = true)
//            @TableField(exist = false)
//                private String companyName;
//            /**
//     * 公司组织
//     */
//            @ApiModelProperty(hidden = true)
//            @TableField(exist = false)
//                private TfBuildUnitP tfBuildUnitP;
//            /**
//     * 施工班组
//     */
//            @ApiModelProperty(hidden = true)
//            @TableField(exist = false)
//                private TfConstructionTeamP tfConstructionTeamP;
            
}
