/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.baseconf.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 工序管理（工序名称）/工程管控管理
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_WORK_PROCESS_P",resultMap = "tfWorkProcessPMap")
@KeySequence("TF_WORK_PROCESS_P")
@ApiModel
public class TfWorkProcessP extends Model<TfWorkProcessP> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 工序名称
     */
                @NotNull
            @ApiModelProperty(value = "工序名称")
                private String name;
                /**
     * 附件id用逗号分隔
     */
            @ApiModelProperty(value = "附件id用逗号分隔")
                private String annex;
                /**
     * 是否删除1删除；0未删除
     */
            @ApiModelProperty(value = "是否删除1删除；0未删除")
                private Short isDel;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
                private String isDelName;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 修改人
     */
            @ApiModelProperty(value = "修改人")
            @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
            private Long updateUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
    private String updateUserName;
            /**
     * 修改时间
     */
            @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
            private Date updateTime;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantName;
//    /**
//     * 工程工序列表
//     */
//    @ApiModelProperty(hidden = true)
//    @TableField(exist = false)
//    private List<TfProjectProcessP> projectProcessPList;
            
}
