package com.tofly.workflow.baseconf.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class BaseTypeDto implements Serializable {

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    /**
     * 父级ID默认0
     */
    @ApiModelProperty(value = "父级ID默认0")
    private Long parentId;
    /**
     * 区分类别1:办公；2:物料流程；3:工程...10物料;11设备;12建筑;13:无形资产
     */
    @ApiModelProperty(value = "区分类别1:办公；2:物料流程；3:工程...10物料;11设备;12建筑;13:无形资产")
    private Long dataType;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 类型CODE
     */
    @ApiModelProperty(value = "类型CODE")
    private String typeCode;

    /**
     * 是否强制保存，不判断编码重复，默认不强制
     */
    @ApiModelProperty(value = "是否强制保存,true是，false否，不判断编码重复，默认不强制")
    private Boolean force;

}
