package com.tofly.workflow.baseconf.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class MatterDto implements Serializable {
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;

    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资名称、别名、简称、物资编码模糊查询
     */
    @ApiModelProperty(value = "物资名称、别名、简称、物资编码模糊查询")
    private String name;

    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String standards;
    /**
     * 计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用友类别
     */
    @ApiModelProperty(value = "用友类别")
    private Long transType;

    /**
     * 用友类别名称
     */
    @ApiModelProperty(value = "用友类别名称")
    private String transTypeName;

    /**
     * 规格描述
     */
    @ApiModelProperty(value = "规格描述")
    private String specs;

    /**
     * 用友ID
     */
    @ApiModelProperty(value = "用友ID")
    private Long yyId;

    /**
     * 用友计量单位ID
     */
    @ApiModelProperty(value = "用友计量单位ID")
    private Long unitId;

    /**
     * 库存单位id
     */
    @ApiModelProperty(value = "库存单位id")
    private Long stockUnit;
    /**
     * 库存单位名称
     */
    @ApiModelProperty(value = "库存单位名称")
    private String stockUnitName;
    /**
     * 实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡
     */
    @ApiModelProperty(value = "实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡")
    private Short yyType;

    /**
     * 用友类型ID
     */
    @ApiModelProperty(value = "用友类型ID")
    private Long yyTypeId;
    /**
     * 时间戳
     */
    @ApiModelProperty(value = "时间戳")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pubts;


}
