package com.tofly.workflow.baseconf.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProjectTaskDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long linkeId;

    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private List<Long> configId;

    /**
     * 主流程配置ID
     */
    @ApiModelProperty(value = "主流程配置ID")
    private List<Long> zConfigId;

    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;

    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;

    /**
     * 主流程类别
     */
    @ApiModelProperty(value = "主流程类别")
    private Long zCategory;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private List<Long> processType;
    /**
     * 主流程类型类型表ID
     */
    @ApiModelProperty(value = "主流程类型类型表ID")
    private List<Long> zProcessType;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 节点状态：1:填充；2审核；3驳回
     */
    @ApiModelProperty(value = "节点状态：1:填充；2审核；3驳回")
    private Short nodeType;

    /**
     * 标签类型 0:label; 1:applabel
     */
    @ApiModelProperty(value = "标签类型 0:label; 1:applabel")
    private Integer labelType;


    /**
     * 超时状态：1:超时；0未超时
     */
    @ApiModelProperty(value = "超时状态：1:超时；0未超时")
    private Integer timeout;

    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;

}
