package com.tofly.workflow.baseconf.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 获取序列条件
 */
@Data
@EqualsAndHashCode
public class SequenceDto implements Serializable {
    /**
     * 名称（仅包含数字和字母)
     */
    @NotEmpty(message = "sName 不能为空")
    @ApiModelProperty(value = "名称（仅包含数字和字母)")
    private String sName;
    /**
     * 类型0永久;1小时;2天;3月;4年
     */
    @NotNull(message = "headleState"+ FlowConstant.ISNOTNUL)
    @Min(value = 0,message = "sType" + FlowConstant.NOT_LESS_THAN+1 )
    @Max(value = 4,message = "sType" + FlowConstant.NOT_GREATER_THAN+4)
    @ApiModelProperty(value = "类型0永久;1小时;2天;3月;4年")
    private Short sType;

}
