package com.tofly.workflow.baseconf.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 查询sql执行的具体条件
 */
@Data
@EqualsAndHashCode
public class SqlConditionDto implements Serializable {

    /**
     * 字段名称集合，判断对应条件不为空执行sql，为空执行elsesql
     */
    @ApiModelProperty(value = "字段名称集合，判断对应条件不为空执行sql，为空执行elsesql")
    private List<String> names;
    /**
     * names 都不为空执行的sql
     */
    @ApiModelProperty(value = "需要的sql")
    private String sql;
    /**
     * names 都不为空执行的elsesql
     */
    @ApiModelProperty(value = "names 都不为空执行的elsesql")
    private String elsesql;

}
