package com.tofly.workflow.baseconf.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 项目待办信息
 */
@Data
@EqualsAndHashCode
public class ProjectTaskInfoVo  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String tenantIdName;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long linkeId;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;
    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称")
    private String categoryName;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;

    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private Long region;

    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private String regionName;
    /**
     * 地址(详细地址)
     */
    @ApiModelProperty(value = "地址(详细地址)")
    private String addre;

    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;

    private String dutyUserName;

    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    @ApiModelProperty(value = "步骤类型1:填充；2审核")
    private Short stepType;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 节点名称
     */
    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    /**
     * 节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回
     */
    @ApiModelProperty(value = "节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回")
    private Integer nodeState;

    /**
     * 节点状态：1:填充；2审核；3驳回
     */
    @ApiModelProperty(value = "节点状态：1:填充；2审核；3驳回")
    private Short nodeType;

    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    private String labelName;

    /**
     * APP标签
     */
    @ApiModelProperty(value = "APP标签")
    private Long appLabe;

    private String appLabeName;

    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 超时状态：1:超时；0未超时
     */
    @ApiModelProperty(value = "超时状态：1:超时；0未超时")
    private Short ount;

    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;

    private String handleUserName;

    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;

    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;

    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String pName;
    /**
     * 业务类型
     */
    @ApiModelProperty(value = "业务类型")
    private Long ywType;

}
