package com.tofly.workflow.baseconf.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 待办
 */
@Data
@EqualsAndHashCode
public class TaskVo  implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 名称描述
     */
    @ApiModelProperty(value = "名称描述")
    private String describe;
    /**
     * 待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务
     */
    @ApiModelProperty(value = "待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务")
    private String maxType;
    /**
     * 待办任务子类，如：1_1管线巡查
     */
    @ApiModelProperty(value = "待办任务子类，如：1_1管线巡查")
    private Long minType;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 级别：0一般、1紧急
     */
    @ApiModelProperty(value = "级别：0一般、1紧急")
    private Short rank;
    /**
     * 任务链接表名
     */
    @ApiModelProperty(value = "任务链接表名")
    private String tableName;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 链接ID
     */
    @ApiModelProperty(value = "链接ID")
    private Long linkeId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 节点名称
     */
    @ApiModelProperty(value = "节点名称")
    private String nodeName;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleTime;
    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;
    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;
    /**
     * 路由地址进行跳转
     */
    @ApiModelProperty(value = "路由地址进行跳转")
    private String routeIp;
    /**
     * APP路由地址进行跳转
     */
    @ApiModelProperty(value = "APP路由地址进行跳转")
    private String routeAppIp;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
}
