/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.baseconf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.baseconf.entity.TfBaseTypeP;
import com.tofly.workflow.baseconf.entity.vo.BaseTypeVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 基础类型表
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfBaseTypePMapper extends BaseMapper<TfBaseTypeP> {
    List<Long> getTopToBottomId(@Param("id") Long id);

    List<Long> getTopToBottomIds(@Param("ids") List<Long> ids);

    List<Long> getBottomToTopId(@Param("id")Long id);

    List<BaseTypeVo> getBaseTypeId(@Param("lids") List<Long> lids, @Param("id") Long id,@Param("orgCodes") List<String> orgCodes);

    List<BaseTypeVo> getBaseTypeDataType(@Param("lids") List<Long> lids,@Param("orgCodes") List<String> orgCodes);

    List<BaseTypeVo> getDataTypeNode(@Param("dataType") Long dataType,@Param("id") Long id,@Param("orgCodes") List<String> orgCodes);

    /**
     * 根据父级ID查询本身和拥有的子集ID
     * @param id 父级ID
     * @return ID集合
     */
    @Select("SELECT ID FROM TF_YWPN_BASE_TYPE_W  " +
            "START WITH ID = #{id} " +
            "CONNECT BY PRIOR  ID = PARENT_ID ")
    List<Long> selectTypeChildById(Long id);

    /**
     * 根据子集ID查询本身和拥有的父级ID
     * @param id 父级ID
     * @return ID集合
     */
    @Select("SELECT * FROM TF_YWPN_BASE_TYPE_W  " +
            "START WITH ID = #{id} " +
            "CONNECT BY PRIOR  PARENT_ID = ID ")
    List<TfBaseTypeP> selectTypeParentById(Long id);
}
