/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfBaseTypeP;
import com.tofly.workflow.baseconf.entity.dto.BaseTypeDto;
import com.tofly.workflow.baseconf.entity.dto.UpdateBaseTypeDto;

import java.util.List;

/**
 * 基础类型表
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfBaseTypePService extends IService<TfBaseTypeP> {

    /**
     * 保存基础类型
     * @param dto 类型信息
     * @return
     */
    Object saveBaseType(BaseTypeDto dto);

    /**
     * 修改基础类型
     * @param dto 类型信息
     * @return
     */
    Object updateBaseType(UpdateBaseTypeDto dto);

    /**
     * 根据ID删除基础类型
     * @param id 类型id
     * @return
     */
    boolean removeUpdateById(Long id);

    /**
     * 根据ID集合批量删除基础类型
     * @param ids 类型id集合字符串
     * @return
     */
    Object removeUpdateByIds(String ids);

    /**
     * 获取基础类型树
     * @param datatypes 类别 0 基础区分类别; 类别id
     * @param id 类型id
     * @param type
     * @return
     */
    Object getTypeTree(String datatypes, Long id, Integer type,List<String> orgCodes);

    Object updateValid(Long id, Short valid);

    /**
     * 根据父级ID查询本身和拥有的子集ID
     * @param id 父级ID
     * @return ID集合
     */
    List<Long> selectTypeChildById(Long id);

    /**
     * 根据子集ID查询本身和拥有的父级ID
     * @param id 父级ID
     * @return ID集合
     */
    List<TfBaseTypeP> selectTypeParentById(Long id);
}
