/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfProcessSqlP;
import com.tofly.workflow.baseconf.entity.dto.PSqlPageDto;
import com.tofly.workflow.baseconf.entity.dto.ProcessLDto;

/**
 * 流程查询sql
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessSqlPService extends IService<TfProcessSqlP> {
    /**
     * 逻辑删除sql查询
     * @param id 主键ID
     * @return 修改结果
     */
    boolean removeUpdateById(Long id);

    /**
     * 根据id查询数据列表
     * @param page 分页
     * @param dto sql的ID及查询条件
     * @return 数据列表
     */
    Object getProcesssData(Page page, ProcessLDto dto);

    /**
     * 分页查询sql 语句
     * @param page 分页
     * @param dto 查询条件
     * @return
     */
    Page<TfProcessSqlP> pageProcessSql(Page page, PSqlPageDto dto);
}
