/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.baseconf.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.TfTaskP;
import com.tofly.workflow.baseconf.entity.dto.ProjectTaskDto;
import com.tofly.workflow.baseconf.entity.vo.ProjectTaskInfoVo;
import com.tofly.workflow.baseconf.entity.vo.TaskCountVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 待办信息
 *
 * @author xqf
 * @date Mon Sep 19 00:00:00 CST 2022
 */
public interface TfTaskPService extends IService<TfTaskP> {

    /**
     * 工程待办信息
     * @param page 分页
     * @param dto 待办条件
     * @return 工程待办信息
     */
    Page<ProjectTaskInfoVo> pageTask(Page page, ProjectTaskDto dto);

    /**
     * 待办统计
     * @param dto 待办条件
     * @return
     */
    List<TaskCountVo> taskCount(ProjectTaskDto dto);

    String testfileSave(MultipartFile file);
}
