/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfConstructionTeamP;
import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import com.tofly.workflow.baseconf.mapper.TfConstructionTeamPMapper;
import com.tofly.workflow.baseconf.service.TfConstructionTeamPService;
import com.tofly.workflow.baseconf.service.TfTeamStaffPService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 施工班组
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfConstructionTeamPService")
public class TfConstructionTeamPServiceImpl extends ServiceImpl<TfConstructionTeamPMapper, TfConstructionTeamP> implements TfConstructionTeamPService {

    @Autowired
    private TfTeamStaffPService tfTeamStaffPService;

    @Override
    public List<TfConstructionTeamP> getConstructionTeamList(Long buildUnitId) {
        List<TfConstructionTeamP> constructionTeamPList = this.list(new QueryWrapper<TfConstructionTeamP>().eq(buildUnitId != null,"BUILD_UNIT_ID",buildUnitId));
        for(TfConstructionTeamP one : constructionTeamPList){
            one.setTeamStaffP(tfTeamStaffPService.getOne(new QueryWrapper<TfTeamStaffP>()
                    .eq("TEAM_ID",one.getId())
                    .eq("TYPE",1)));
            one.setTeamStaffPList(tfTeamStaffPService.list(new QueryWrapper<TfTeamStaffP>()
                    .eq("TEAM_ID",one.getId())
                    .eq("TYPE",0)));
        }
        return constructionTeamPList;
    }

}
