/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfContractFieldP;
import com.tofly.workflow.baseconf.service.TfContractFieldPService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper;

/**
 * 合同模板公用字段
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfContractFieldPService")
public class TfContractFieldPServiceImpl extends ServiceImpl<TfContractFieldPMapper, TfContractFieldP> implements TfContractFieldPService {

    @Override
    public Object saveContractField(TfContractFieldP tfContractFieldP) {
        tfContractFieldP.setId(null);
        String check = checkContractField(tfContractFieldP);
        if (StringUtils.isNotEmpty(check)) return check;
        return this.save(tfContractFieldP);
    }

    @Override
    public Object updateContractField(TfContractFieldP tfContractFieldP) {
        if(tfContractFieldP.getId()==null){
            return "修改ID不能为空！";
        }
        String check = checkContractField(tfContractFieldP);
        if (StringUtils.isNotEmpty(check)) return check;
        return this.updateById(tfContractFieldP);
    }

    /**
     * 字段校验
     * @param tfContractFieldP 合同字段
     * @return 校验结果
     */
    private String checkContractField(TfContractFieldP tfContractFieldP) {
        if(StringUtils.isEmpty(tfContractFieldP.getFieldName())){
            return "字段名 FieldName 不能为空！";
        }
        if(StringUtils.isEmpty(tfContractFieldP.getName())){
            return "名称 Name 不能为空！";
        }
        if(tfContractFieldP.getFieldType()==null){
            return "字段类型 FieldType 不能为空！";
        }
        int count = this.count(new QueryWrapper<TfContractFieldP>().lambda().eq(TfContractFieldP::getFieldName, tfContractFieldP.getFieldName())
                .eq(TfContractFieldP::getName, tfContractFieldP.getName()).eq(TfContractFieldP::getFieldType, tfContractFieldP.getFieldType())
                .ne(tfContractFieldP.getId()!=null,TfContractFieldP::getId, tfContractFieldP.getId()));
        if(count > 0){
            return "字段名称、类型重复";
        }
        return null;
    }
}
