/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.em.FileTableEnum;
import com.tofly.common.entity.vo.FileInfo;
import com.tofly.common.oauth.exception.ToflyDeniedException;
import com.tofly.common.oauth.util.SecurityUtils;
import com.tofly.common.service.IFileInfoService;
import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import com.tofly.workflow.baseconf.entity.dto.TfMatterPDto;
import com.tofly.workflow.baseconf.mapper.TfMatterPMapper;
import com.tofly.workflow.baseconf.service.TfMatterAccessPService;
import com.tofly.workflow.baseconf.service.TfMatterNumberPService;
import com.tofly.workflow.baseconf.service.TfMatterPService;
import com.tofly.workflow.baseconf.service.TfMatterPricePService;
import com.tofly.workflow.common.FlowConstant;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 物资信息表
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfMatterPService")
public class TfMatterPServiceImpl extends ServiceImpl<TfMatterPMapper, TfMatterP> implements TfMatterPService {

    @Autowired
    private TfMatterPricePService matterPricePService;
    @Autowired
    private TfMatterNumberPService matterNumberPService;
    @Autowired
    private TfMatterAccessPService matterAccessPService;
    @Autowired
    private TfMatterPricePService tfMatterPricePService;
    @Autowired
    private IFileInfoService iFileInfoService;
    @Value("${zmrq.ftp.matter}")
    private String matterPath;

    @Override
    public List<TfMatterP> getTfMatterPList(TfMatterP matterP) {
        List<TfMatterP> matterPList = this.list(Wrappers.query(matterP));
        for(TfMatterP one : matterPList){
            one.setMatterPrice(matterPricePService.getOne(Wrappers.<TfMatterPriceP>lambdaQuery().eq(TfMatterPriceP::getMatterId,one.getId()).eq(TfMatterPriceP::getIsValid,1)));
        }
        return matterPList;
    }

    @Override
    public void saveMatterAndPrice(TfMatterPDto matterPDto, List<MultipartFile> annexList) {
        if(matterPDto == null){
            return;
        }
//        if(matterPDto.getMatterAccessP() == null){
//            throw new ToflyDeniedException("仓库信息不能为空，请重新输入");
//        }
//        if(matterPDto.getMatterInfoList() == null || matterPDto.getMatterInfoList().size() == 0){
//            throw new ToflyDeniedException("物资信息不能为空，请重新输入");
//        }
//        TfMatterAccessP matterAccessP = matterPDto.getMatterAccessP();
//        List<MatterInfo> matterInfoList = matterPDto.getMatterInfoList();

        //添加仓库信息
//        matterAccessPService.save(matterAccessP);
//        TfMatterAccessP matterAccessPQuery = matterAccessPService.getOne(Wrappers.<TfMatterAccessP>lambdaQuery()
//                .eq(TfMatterAccessP::getWarehouseName,matterAccessP.getWarehouseName())
//                .eq(TfMatterAccessP::getDateTime,matterAccessP.getDateTime())
//                .eq(TfMatterAccessP::getAccessType,matterAccessP.getAccessType()));
//
//        for(MatterInfo matterInfo : matterInfoList){
//            //添加物资基本信息
//            TfMatterP matterP = matterInfo.getMatterP();
//            if(matterP == null){
//                continue;
//            }
//            if(annexList != null && annexList.size() != 0){
//                List<FileInfo> annexFileInfo = iFileInfoService.saveFileList(annexList, matterPath, FileTableEnum.TF_MATTER_P.getTableName());;
//                matterP.setAnnex(JSON.toJSONString(annexFileInfo));
//            }
//            this.save(matterP);
//            TfMatterP matterPQuery = this.getOne(new QueryWrapper<TfMatterP>()
//                    .eq("MATTER_NUMBER",matterP.getMatterNumber())
//                    .eq("MATTER_NAME",matterP.getMatterName())
//                    .eq("STANDARDS",matterP.getStandards()));
//            //添加物资价格
//            if(matterInfo.getMatterPriceP() != null){
//                TfMatterPriceP matterPriceP = new TfMatterPriceP();
//                matterPriceP.setMatterId(matterPQuery.getId());
//                matterPricePService.save(matterPriceP);
//            }
//            //添加物资出入库数量
//            if(matterInfo.getMatterNumberP() != null){
//                TfMatterNumberP matterNumberP = new TfMatterNumberP();
//                matterNumberP.setMatterId(matterPQuery.getId());
//                matterNumberP.setAccessId(matterAccessPQuery.getId());
//                matterNumberPService.save(matterNumberP);
//            }
//        }

        if(matterPDto.getMatterP() == null){
            throw new ToflyDeniedException("物资信息为空，请重新输入");
        }
        if(matterPDto.getMatterPrice() == null){
            throw new ToflyDeniedException("物资价格为空，请重新输入");
        }
        TfMatterP matterP = matterPDto.getMatterP();
        if(annexList != null && annexList.size() != 0){
            List<FileInfo> annexFileInfo = iFileInfoService.saveFileList(annexList, matterPath, FileTableEnum.TF_MATTER_P.getTableName());
            matterP.setAnnex(JSON.toJSONString(annexFileInfo));
        }
        this.save(matterP);
        TfMatterP matterPQuery = this.getOne(new QueryWrapper<TfMatterP>()
                .eq("MATTER_NAME",matterP.getMatterName())
                .eq("STANDARDS",matterP.getStandards())
                .eq("UNIT",matterP.getUnit())
                .eq("CATEGORY",matterP.getCategory())
                .eq("MATTER_TYPE",matterP.getMatterType()));
        TfMatterPriceP matterPrice = matterPDto.getMatterPrice();
        matterPrice.setMatterId(matterPQuery.getId());
        matterPricePService.save(matterPrice);

    }

    @Override
    public void updateTfMatterP(TfMatterPDto matterPDto, List<MultipartFile> annexList) {
        if(matterPDto == null){
            return;
        }
        if(matterPDto.getMatterP() == null){
            throw new ToflyDeniedException("物资信息为空，请重新输入");
        }
        if(matterPDto.getMatterPrice() == null){
            throw new ToflyDeniedException("物资价格为空，请重新输入");
        }
        TfMatterP matterP = matterPDto.getMatterP();
        List<FileInfo> nowAnnexFileInfos = null;
        List<FileInfo> agoAnnexFileInfos = null;
        List<FileInfo> upAnnexFileInfos = new ArrayList<>();
        if(StringUtils.isNotBlank(matterP.getAnnex())){
            nowAnnexFileInfos = JSON.parseArray(matterP.getAnnex(),FileInfo.class);
        }
        if (null != annexList && annexList.size() > 0) {
            upAnnexFileInfos = iFileInfoService.saveFileList(annexList, matterPath, FileTableEnum.TF_MATTER_P.getTableName());
        }
        TfMatterP matterPQuery = this.getById(matterP.getId());
        String agoAnnexFileInfo = matterPQuery.getAnnex();

        if(StringUtils.isNotBlank(agoAnnexFileInfo)){
            agoAnnexFileInfos = JSON.parseArray(agoAnnexFileInfo,FileInfo.class);
        }
        if(agoAnnexFileInfos != null && nowAnnexFileInfos != null){
//            List<FileInfo> ords = Stream.of(agoAnnexFileInfos, nowAnnexFileInfos)
//                    .flatMap(Collection::stream)
//                    .distinct()
//                    .collect(Collectors.toList());
            List<FileInfo> finalNowAnnexFileInfos = nowAnnexFileInfos;
            List<FileInfo> reduce = agoAnnexFileInfos.stream().filter(item -> !finalNowAnnexFileInfos.contains(item)).collect(Collectors.toList());
            iFileInfoService.removeFileList(reduce);
            upAnnexFileInfos.addAll(nowAnnexFileInfos);
        }
        if(upAnnexFileInfos.size() != 0){
            matterP.setAnnex(JSON.toJSONString(upAnnexFileInfos));
        }
        this.updateById(matterP);
        TfMatterPriceP matterPriceUp = new TfMatterPriceP();
        matterPriceUp.setIsValid((short) 0);
        matterPricePService.update(matterPriceUp,
                new QueryWrapper<TfMatterPriceP>()
                .eq("MATTER_ID",matterP.getId())
                .eq("IS_VALID",(short) 1));
        TfMatterPriceP matterPrice = matterPDto.getMatterPrice();
        matterPrice.setMatterId(matterP.getId());
        matterPricePService.save(matterPrice);
    }

    @Override
    public void deleteTfMatterP(List<Long> idList) {
        idList.forEach(info ->{
            TfMatterP matterP = this.getById(info);
            String annex = matterP.getAnnex();
            if(StringUtils.isNotBlank(annex)){
                List<FileInfo> fileInfoList = JSON.parseArray(annex,FileInfo.class);
                iFileInfoService.removeFileList(fileInfoList);
            }
            matterPricePService.remove(new QueryWrapper<TfMatterPriceP>().eq("MATTER_ID",info));
        });
        this.removeByIds(idList);
    }

    /**
     * 根据Ids查询 物资信息
     * @param ids
     * @return
     */
    @Override
    public Object getByIds(String ids,Long tenantId) {
        if(StringUtils.isEmpty(ids)){
            return "ids 不能为空！";
        }
        String[] strs = ids.split(FlowConstant.CSV);
        for (String str:strs) {
            if(!str.matches("^[0-9]+")){
                return "传入的id异常";
            }
        }
        Set<Long> list = Arrays.stream(strs).map(r->Long.parseLong(r)).collect(Collectors.toSet());
        List<TfMatterP> mlist = this.list(new QueryWrapper<TfMatterP>().lambda().in(TfMatterP::getId,list));
        if(CollUtil.isNotEmpty(mlist)) {
            for (TfMatterP one : mlist) {
                one.setMatterPrice(tfMatterPricePService.getOne(new QueryWrapper<TfMatterPriceP>()
                        .eq("MATTER_ID", one.getId())
                        .eq("TENANT_ID", tenantId)
                        .eq("IS_VALID", 1)));
            }
        }
        return mlist;
    }

}
