/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.constant.Constant;
import com.tofly.common.ftp.config.FtpUtil;
import com.tofly.workflow.baseconf.entity.TfTaskP;
import com.tofly.workflow.baseconf.entity.dto.ProjectTaskDto;
import com.tofly.workflow.baseconf.entity.vo.ProjectTaskInfoVo;
import com.tofly.workflow.baseconf.entity.vo.TaskCountVo;
import com.tofly.workflow.baseconf.service.TfTaskPService;
import org.springframework.stereotype.Service;
import com.tofly.workflow.baseconf.mapper.TfTaskPMapper;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 待办信息
 *
 * @author xqf
 * @date Mon Sep 19 00:00:00 CST 2022
 */
@Service("tfTaskPService")
public class TfTaskPServiceImpl extends ServiceImpl<TfTaskPMapper, TfTaskP> implements TfTaskPService {
    /**
     * 工程待办信息
     * @param page 分页
     * @param dto 待办条件
     * @return 工程待办信息
     */
    @Override
    public Page<ProjectTaskInfoVo> pageTask(Page page, ProjectTaskDto dto) {
        return this.baseMapper.pageTask(page,dto);
    }
    /**
     * 待办统计
     * @param dto 待办条件
     * @return
     */
    @Override
    public List<TaskCountVo> taskCount(ProjectTaskDto dto) {
        return this.baseMapper.getTaskCount(dto);
    }

    @Override
    public String testfileSave(MultipartFile file) {
        String fileName = file.getOriginalFilename();
        String suffix = fileName.substring(fileName.lastIndexOf(Constant.POINT));
        String filePath ="/zmrq/test/file" + IdWorker.getIdStr() + suffix;
        FtpUtil.uploadFile2Ftp(file, filePath);
        return null;
    }
}
