/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import com.tofly.workflow.baseconf.entity.dto.TfBuildUnitPDto;
import com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper;
import com.tofly.workflow.baseconf.service.TfBuildUnitPService;
import com.tofly.workflow.baseconf.service.TfConstructionTeamPService;
import com.tofly.workflow.baseconf.service.TfTeamStaffPService;
import com.tofly.workflow.common.FlowConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 施工班组人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfTeamStaffPService")
public class TfTeamStaffPServiceImpl extends ServiceImpl<TfTeamStaffPMapper, TfTeamStaffP> implements TfTeamStaffPService {

    @Autowired
    private TfBuildUnitPService tfBuildUnitPService;

    @Autowired
    private TfConstructionTeamPService tfConstructionTeamPService;

    @Override
    public Page<TfTeamStaffP> getTfTeamStaffPPage(Page page, TfBuildUnitPDto teamStaffPDto) {
        return this.baseMapper.getTfTeamStaffPPage(page, teamStaffPDto);
    }

    @Override
    public List<TfTeamStaffP> getByTeamId(Long teamId) {
        return list(new QueryWrapper<TfTeamStaffP>().lambda().eq(TfTeamStaffP::getTeamId,teamId)
                .eq(TfTeamStaffP::getIsDel, FlowConstant.SHORT_ZERO));
    }

}
