/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.baseconf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.baseconf.entity.TfWorkProcessP;
import com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper;
import com.tofly.workflow.baseconf.service.TfProjectProcessPService;
import com.tofly.workflow.baseconf.service.TfWorkProcessPService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 工序管理（工序名称）/工程管控管理
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfWorkProcessPService")
public class TfWorkProcessPServiceImpl extends ServiceImpl<TfWorkProcessPMapper, TfWorkProcessP> implements TfWorkProcessPService {

    @Override
    public Object saveWorkProcess(TfWorkProcessP tfWorkProcessP) {
        TfWorkProcessP tp = this.getOne(new QueryWrapper<TfWorkProcessP>().lambda().eq(TfWorkProcessP::getName,tfWorkProcessP.getName()));
        if(tp!=null){
            return "名称已存在";
        }
        return this.save(tfWorkProcessP);
    }

    @Override
    public Object updateWorkProcess(TfWorkProcessP tfWorkProcessP) {
        if(tfWorkProcessP.getId()!=null){
            return "修改ID 不能为空！";
        }
        TfWorkProcessP tp = this.getOne(new QueryWrapper<TfWorkProcessP>().lambda().eq(TfWorkProcessP::getName,tfWorkProcessP.getName())
                .ne(TfWorkProcessP::getId,tfWorkProcessP.getId()));
        if(tp!=null){
            return "名称已存在";
        }
        return this.updateById(tfWorkProcessP);
    }

//    @Override
//    public void saveWorkProjectProcess(TfProjectProcessDto dto) {
//        if(dto == null){
//            return;
//        }
//        if(dto.get() == null){
//            throw new ToflyDeniedException("工序管理（工序名称）/工程管控管理为空，请重新输入");
//        }
//        if(dto.getProjectProcessList() == null || dto.getProjectProcessList().size() == 0){
//            throw new ToflyDeniedException("工程工序/工程管控列表为空，请重新输入");
//        }
//        TfWorkProcessP workProcessP = dto.getWorkProcessP();
//        TfWorkProcessP workProcessPQ = this.getOne(new QueryWrapper<TfWorkProcessP>()
//                .eq("NAME",workProcessP.getName()));
//        if(workProcessPQ != null) {
//            projectProcessPService.remove(new QueryWrapper<TfProjectProcessP>().eq("PROCESS_ID",workProcessPQ.getId()));
//            this.removeById(workProcessPQ.getId());
//        }
//        this.save(workProcessP);
//        TfWorkProcessP calendarYearPQuery = this.getOne(new QueryWrapper<TfWorkProcessP>()
//                .eq("NAME",workProcessP.getName()));
//        for(TfProjectProcessP projectProcessP : dto.getProjectProcessList()){
//            projectProcessP.setProcessId(calendarYearPQuery.getId());
//            projectProcessPService.save(projectProcessP);
//        }
//    }
}
