package com.tofly.workflow.buss.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.workflow.buss.entity.TfAlterBuildUnit;
import com.tofly.workflow.buss.entity.TfAlterDutyW;
import com.tofly.workflow.buss.service.TfAlterBuildUnitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author sheldon
 * @Description
 * @create 2024-02-22 9:45
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfAlterBuildUnit")
@Api(tags="施工班组变更流程的接口")
public class TfAlterBuildUnitController {
    private final TfAlterBuildUnitService tfAlterBuildUnitService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param tfAlterBuildUnit  施工班组变更
     * @return
     */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfAlterBuildUnitPage(Page page, @ModelAttribute TfAlterBuildUnit tfAlterBuildUnit) {
        return ResultData.ok(tfAlterBuildUnitService.page(page, Wrappers.query(tfAlterBuildUnit)));
    }


    /**
     * 通过id查询施工班组变更
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
    })
    public ResultData getById(@PathVariable("id" ) Long id) {
        return ResultData.ok(tfAlterBuildUnitService.getById(id));
    }

}
