/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.buss.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.workflow.buss.entity.TfAlterDutyW;
import com.tofly.workflow.buss.service.TfAlterDutyWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
/**
 * 负责人变更(同时需要变更流程中的负责人)
 *
 * @author xqf
 * @date Thu Sep 15 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfalterdutyw")
@Api(tags="负责人变更(同时需要变更流程中的负责人)接口")
public class TfAlterDutyWController {

    private final  TfAlterDutyWService tfAlterDutyWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfAlterDutyW 负责人变更(同时需要变更流程中的负责人)
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfAlterDutyWPage(Page page, @ModelAttribute TfAlterDutyW tfAlterDutyW) {
      return ResultData.ok(tfAlterDutyWService.page(page, Wrappers.query(tfAlterDutyW)));
    }


    /**
     * 通过id查询负责人变更(同时需要变更流程中的负责人)
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
    })
    public ResultData getById(@PathVariable("id" ) Long id) {
      return ResultData.ok(tfAlterDutyWService.getById(id));
    }

    /**
     * 新增负责人变更(同时需要变更流程中的负责人)
     * @param dto 负责人变更(同时需要变更流程中的负责人)
     * @return ResultRespone
     */
//    @ToFlyAppLog(title="新增负责人变更(同时需要变更流程中的负责人)" )
//    @ApiOperation(value = "新增负责人变更(同时需要变更流程中的负责人)")
//    @PostMapping
//    public ResultData save(@RequestBody PNodeUpdateDto dto) {
//        Object obj = ResultData.ok(tfAlterDutyWService.saveAlterDutyUser(dto));
//        if(obj instanceof String){
//            return ResultData.fail(obj.toString());
//        }
//        return ResultData.ok(obj);
//    }


}
