/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.buss.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.common.service.IFileInfoService;
import com.tofly.workflow.buss.entity.dto.TfChargeRefundDto;
import com.tofly.workflow.buss.service.TfChargeRefundWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 收费/退费（与收款对接表另行设计）
 *
 * @author JF
 * @date Mon Aug 29 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfchargerefundw")
@Api(tags="收费/退费（与收款对接表另行设计）接口")
public class TfChargeRefundWController {

    private final  TfChargeRefundWService tfChargeRefundWService;
    private final IFileInfoService iFileInfoService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param tfChargeRefundW 收费/退费（与收款对接表另行设计）
//    * @return
//    */
//    @ToFlyAppLog(title="分页查询" )
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultData getTfChargeRefundWPage(Page page, @ModelAttribute TfChargeRefundW tfChargeRefundW) {
//      return ResultData.ok(tfChargeRefundWService.page(page, Wrappers.query(tfChargeRefundW)));
//    }

    /**
     * 分页查询
     * * @param page 分页对象
     * @param dto 收费/退费（与收款对接表另行设计）DTO
     * @return
     */
    @ToFlyAppLog(title="分页查询" )
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfChargeRefundPage(Page page, @ModelAttribute TfChargeRefundDto dto) {
        return ResultData.ok(tfChargeRefundWService.getTfChargeRefundPage(page,dto));
    }


//    /**
//     * 通过id查询收费/退费（与收款对接表另行设计）
//     * @param id id
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="通过ID查询" )
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultData getById(@PathVariable("id" ) Long id) {
//      return ResultData.ok(tfChargeRefundWService.getById(id));
//    }
//
//    /**
//     * 新增收费/退费（与收款对接表另行设计）
//     * @param tfChargeRefundW 收费/退费（与收款对接表另行设计）
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="新增收费/退费（与收款对接表另行设计）" )
//    @ApiOperation(value = "新增收费/退费（与收款对接表另行设计）")
//    @PostMapping
//    public ResultData save(@RequestBody TfChargeRefundW tfChargeRefundW) {
//      return ResultData.ok(tfChargeRefundWService.save(tfChargeRefundW));
//    }
//
//    /**
//     * 修改收费/退费（与收款对接表另行设计）
//     * @param tfChargeRefundW 收费/退费（与收款对接表另行设计）
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="修改收费/退费（与收款对接表另行设计）" )
//    @ApiOperation(value = "修改收费/退费（与收款对接表另行设计）")
//    @PutMapping
//    public ResultData updateById(@RequestBody TfChargeRefundW tfChargeRefundW) {
//      return ResultData.ok(tfChargeRefundWService.updateById(tfChargeRefundW));
//    }
//
//    /**
//     * 通过id删除收费/退费（与收款对接表另行设计）
//     * @param id id
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="通过id删除收费/退费（与收款对接表另行设计）" )
//    @ApiOperation(value = "通过ID删除收费/退费（与收款对接表另行设计）")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultData removeById(@PathVariable Long id) {
//      return ResultData.ok(tfChargeRefundWService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除收费/退费（与收款对接表另行设计）
//     * @param ids id
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="通过id批量删除收费/退费（与收款对接表另行设计）" )
//    @ApiOperation(value = "通过ID批量删除收费/退费（与收款对接表另行设计）")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultData removeById(String ids) {
//        if(StringUtils.isBlank(ids)){
//            return ResultData.fail("ids为空");
//        }
//        List<Long> idList = Arrays.stream(ids.split(Constant.CSV)).map(s -> Long.parseLong(s.trim()))
//                .collect(Collectors.toList());
//        idList.forEach(info ->{
//            TfChargeRefundW entity = tfChargeRefundWService.getById(info);
//            if(entity == null){
//                entity = new TfChargeRefundW();
//            }
//            String annex = entity.getAnnex();
//            if(StringUtils.isNotBlank(annex)){
//                List<FileInfo> fileInfoList = JSON.parseArray(annex,FileInfo.class);
//                iFileInfoService.removeFileList(fileInfoList);
//            }
//            tfChargeRefundWService.remove(new QueryWrapper<TfChargeRefundW>().eq("ID",info));
//        });
//        tfChargeRefundWService.removeByIds(idList);
//        return ResultData.ok();
//    }
}
