/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.buss.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.buss.entity.TfConstructionTeamW;
import com.tofly.workflow.buss.service.TfConstructionTeamWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
/**
 * 施工班组信息
 *
 * @author xqf
 * @date Thu Sep 15 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfconstructionteamw")
@Api(tags="施工班组信息接口")
public class TfConstructionTeamWController {

    private final  TfConstructionTeamWService tfConstructionTeamWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfConstructionTeamW 施工班组信息
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfConstructionTeamWPage(Page page, @ModelAttribute TfConstructionTeamW tfConstructionTeamW) {
      return ResultData.ok(tfConstructionTeamWService.page(page, Wrappers.query(tfConstructionTeamW)));
    }


    /**
     * 通过id查询施工班组信息
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultData getById(@PathVariable("id" ) Long id) {
      return ResultData.ok(tfConstructionTeamWService.getById(id));
    }

    /**
     * 新增施工班组信息
     * @param tfConstructionTeamW 施工班组信息
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增施工班组信息" )
    @ApiOperation(value = "新增施工班组信息")
    @PostMapping
    public ResultData save(@RequestBody TfConstructionTeamW tfConstructionTeamW) {
      return ResultData.ok(tfConstructionTeamWService.save(tfConstructionTeamW));
    }

}
