/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.buss.controller;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tofly.common.constant.Constant;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.entity.vo.FileInfo;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.common.service.IFileInfoService;
import com.tofly.workflow.baseconf.service.TfContractTemplatePService;
import com.tofly.workflow.buss.entity.TfContractInfoW;
import com.tofly.workflow.buss.entity.TfContractW;
import com.tofly.workflow.buss.entity.dto.GenerateContractDto;
import com.tofly.workflow.buss.service.TfContractInfoWService;
import com.tofly.workflow.buss.service.TfContractWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 工程的合同
 *
 * @author JF
 * @date Wed Aug 24 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfcontractw")
@Api(tags="工程的合同接口")
public class TfContractWController {

    private final  TfContractWService tfContractWService;
    private final TfContractInfoWService contractInfoWService;
    private final TfContractTemplatePService contractTemplatePService;
    private final IFileInfoService iFileInfoService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param tfContractW 工程的合同
//    * @return
//    */
//    @ToFlyAppLog(title="分页查询" )
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultData getTfContractWPage(Page page, @ModelAttribute TfContractW tfContractW) {
//      return ResultData.ok(tfContractWService.page(page, Wrappers.query(tfContractW)));
//    }

    /**
     * 生成合同
     * @param dto
     * @return
     */
    @ToFlyAppLog(title="生成合同" )
    @PostMapping("/generateContract" )
    @ApiOperation(value = "生成合同")
    public ResultData generateContract(@RequestBody GenerateContractDto dto) {
      return ResultData.ok(tfContractWService.generateContract(dto));
    }

//    /**
//     * 通过id查询工程的合同
//     * @param id id
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="通过ID查询" )
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
//    })
//    public ResultData getById(@PathVariable("id" ) Long id) {
//      return ResultData.ok(tfContractWService.getById(id));
//    }

//    /**
//     * 新增工程的合同
//     * @param contract 工程的合同
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="新增工程的合同" )
//    @ApiOperation(value = "新增工程的合同")
//    @PostMapping
//    public ResultData save(@RequestBody TfContractW contract) {
//        return ResultData.ok(tfContractWService.save(contract));
//    public ResultData save(@Valid TfContractW contract, @RequestParam(value = "fileList", required = false) List<MultipartFile> fileList) {
//        if(contract == null){
//            return ResultData.fail("实体对象为空");
//        }
//        List<TfContractInfoW> contractInfoList = contract.getContractInfoList();
//
//        if(contract.getContractType() == null){
//            return ResultData.fail("合同类型为空");
//        }
//
//        if(contract.getContractType() != 0 && contract.getSignMode() == 1){
//            if(contract.getTemplateId() == null){
//                return ResultData.fail("模板ID为空");
//            }
//            if(contractInfoList == null || contractInfoList.size() == 0){
//                return ResultData.fail("字段列表为空");
//            }
//            Map<String,Object> map = new HashMap<>();
//            for (TfContractInfoW contractInfo : contractInfoList){
//                map.put(contractInfo.getFieldName(),contractInfo.getDataValue());
//            }
//            TfContractTemplateP contractTemplateP = contractTemplatePService.getOne(Wrappers.<TfContractTemplateP>lambdaQuery().eq(TfContractTemplateP::getId,contract.getTemplateId()));
//            String annex = contractTemplateP.getAnnex();
//            if (StringUtils.isBlank(annex)){
//                return ResultData.fail("合同模板附件为空");
//            }
//            List<FileInfo> fileInfoList = JSON.parseArray(annex,FileInfo.class);
//            List<FileInfo> fileInfos = new ArrayList<>();
//            for(FileInfo fileInfo : fileInfoList){
//                if(fileInfo == null){
//                    continue;
//                }
//                String filePath = fileInfo.getFilePath();
//                try {
//                    fileInfos.add(POIUtil.templateWrite(filePath,map));
//                } catch (Exception e) {
//                    e.printStackTrace();
//                }
//            }
//            if(fileInfos.size() != 0 ){
//                contract.setContractFile(JSON.toJSONString(fileInfos));
//            }else {
//                return ResultData.fail("合同附件生成失败");
//            }
//            tfContractWService.save(contract);
//            TfContractW contractQ = tfContractWService.getOne(new QueryWrapper<TfContractW>()
//                    .eq("NODE_ID",contract.getNodeId())
//                    .eq("PROCESS_ID",contract.getProcessId()));
//            if(contractQ == null){
//                return ResultData.fail("工程的合同信息新增失败");
//            }
//            //新增合同字段列表
//            for (TfContractInfoW contractInfo : contractInfoList){
//                contractInfo.setContractId(contractQ.getId());
//                contractInfoWService.save(contractInfo);
//            }
//        }else {
//            if(fileList != null && fileList.size() != 0){
//                return ResultData.fail("上传文件为空");
//            }
//            FileInfoDto fileInfoDto = new FileInfoDto();
//            fileInfoDto.setFileList(fileList);
//            fileInfoDto.setPath("/zmrq/contract/");
//            fileInfoDto.setTableName(FileTableEnum.TF_CONTRACT_W.getTableName());
//            FIleInfoUtils fIleInfoUtils = new FIleInfoUtils();
//            fileInfoDto.setFileNameList(contract.getAnnexNameList());
//            contract.setAnnex(fIleInfoUtils.getFileInfo(fileInfoDto));
//
//            fileInfoDto.setFileNameList(contract.getContractFileNameList());
//            contract.setContractFile(fIleInfoUtils.getFileInfo(fileInfoDto));
//            // 对象入库
//            tfContractWService.save(contract);
//        }
//        return ResultData.ok();
//    }

//    /**
//     * 修改工程的合同
//     * @param tfContractW 工程的合同
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="修改工程的合同" )
//    @ApiOperation(value = "修改工程的合同")
//    @PutMapping
//    public ResultData updateById(@RequestBody TfContractW tfContractW) {
//      return ResultData.ok(tfContractWService.updateById(tfContractW));
//    }

//    /**
//     * 通过id删除工程的合同
//     * @param id id
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="通过id删除工程的合同" )
//    @ApiOperation(value = "通过ID删除工程的合同")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultData removeById(@PathVariable Long id) {
//      return ResultData.ok(tfContractWService.removeById(id));
//    }

    /**
     * 通过id批量删除工程的合同
     * @param ids id
     * @return ResultData
     */
    @ToFlyAppLog(title="通过id批量删除工程的合同" )
    @ApiOperation(value = "通过ID批量删除工程的合同")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultData removeById(String ids) {
        if(StringUtils.isBlank(ids)){
            return ResultData.fail("ids为空");
        }
        List<Long> idList = Arrays.stream(ids.split(Constant.CSV)).map(s -> Long.parseLong(s.trim()))
                .collect(Collectors.toList());
        idList.forEach(info ->{
            TfContractW contractW = tfContractWService.getById(info);
            if(contractW == null){
                contractW = new TfContractW();
            }
            String contractAnnex = contractW.getContractFile();
            String annex = contractW.getAnnex();
            if(StringUtils.isNotBlank(contractAnnex)){
                List<FileInfo> fileInfoList = JSON.parseArray(contractAnnex,FileInfo.class);
                iFileInfoService.removeFileList(fileInfoList);
            }
            if(StringUtils.isNotBlank(annex)){
                List<FileInfo> fileInfoList = JSON.parseArray(annex,FileInfo.class);
                iFileInfoService.removeFileList(fileInfoList);
            }
            tfContractWService.remove(new QueryWrapper<TfContractW>().eq("ID",info));
            contractInfoWService.remove(new QueryWrapper<TfContractInfoW>().eq("CONTRACT_ID",info));
        });
        tfContractWService.removeByIds(idList);
        return ResultData.ok();
    }
}
