/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.buss.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.workflow.buss.entity.TfPayBillW;
import com.tofly.workflow.buss.service.TfPayBillWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
/**
 * 工程支出账单(支付给第三方公司)
 *
 * @author xqf
 * @date Tue Sep 06 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfpaybillw")
@Api(tags="工程支出账单(支付给第三方公司)接口")
public class TfPayBillWController {

    private final  TfPayBillWService tfPayBillWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfPayBillW 工程支出账单(支付给第三方公司)
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfPayBillWPage(Page page, @ModelAttribute TfPayBillW tfPayBillW) {
      return ResultData.ok(tfPayBillWService.page(page, Wrappers.query(tfPayBillW)));
    }


    /**
     * 通过id查询工程支出账单(支付给第三方公司)
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Integer")
    })
    public ResultData getById(@PathVariable("id" ) Integer id) {
      return ResultData.ok(tfPayBillWService.getById(id));
    }


}
