/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 验收申请
 *
 * @author JF
 * @date Tue Sep 20 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_ACCEPTANCE_APPLICATION_W", resultMap = "tfAcceptanceApplicationWMap")
@KeySequence("TF_ACCEPTANCE_APPLICATION_W")
@ContractConfigInfo(tableName = "TF_ACCEPTANCE_APPLICATION_W",note = "验收申请")
@ApiModel
public class TfAcceptanceApplicationW extends Model<TfAcceptanceApplicationW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 是否逾期 1是;0否
     */
    @ApiModelProperty(value = "是否逾期 1是;0否")
    private Short isOverdue;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isOverdueName;
    /**
     * 逾期原因
     */
    @ApiModelProperty(value = "逾期原因")
    private String reason;
    /**
     * 是否遗留问题 1是;0否
     */
    @ApiModelProperty(value = "是否遗留问题 1是;0否")
    private Short isExistProblem;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isExistProblemName;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String explain;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 申请验收日期
     */
    @ApiModelProperty(value = "申请验收日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;
    /**
     * 申请人
     */
    @ApiModelProperty(value = "申请人")
    private Long applyUser;
    /**
     * 申请人姓名
     */
    @ApiModelProperty(value = "申请人姓名")
    private String applyUserName;
    /**
     * 是否有阀井 1是 0否
     */
    @ApiModelProperty(value = "是否有阀井 1是 0否")
    private Short isValvePit;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValvePitName;
    /**
     * 测试附件ID用逗号分隔
     */
    @ApiModelProperty(value = "测试附件ID用逗号分隔")
    private String testAnnex;
    @TableField(exist = false)
    private List<String> testAnnexList;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<TfProjectMaterialW> materialList;

    /**
     * 施工班组
     */
    @ApiModelProperty(value = "施工班组")
    private Long teamId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String teamIdName;

    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private Long buildUserId;

    /**
     * 施工负责人名称
     */
    @ApiModelProperty(value = "施工负责人名称")
    private String buildUserName;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String contactPhone;


    /**
     * 施工人员
     */
    @ApiModelProperty(value = "施工人员")
    private String builder;
    /**
     * 是否补充材料 1是 0否
     */
    @ApiModelProperty(value = "是否补充材料 1是 0否")
    private Short isRestock;

}
