package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author sheldon
 * @Description
 * @create 2024-02-01 16:08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CHANGE_BUILD_UNIT_W")
@KeySequence("TF_CHANGE_BUILD_UNIT_W")
@ApiModel
public class TfAlterBuildUnit extends Model<TfAlterBuildUnit> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 原来的施工班组ID
     */
    @ApiModelProperty(value = "施工班组ID")
    private Long oldTeamId;
    @ApiModelProperty(value = "施工班组名称")
    @TableField(exist = false)
    private String oldTeamName;
    /**
     * 变更后的施工班组所有施工人员信息
     */
    @TableField(exist = false)
    private List<TfTeamStaffP> oldTss;
    /**
     * 原来的施工班组所属部门公司
     */
    @ApiModelProperty(value = "所属部门公司")
    private Long oldDeptId;
    /**
     * 原来的施工班组人员id
     */
    @ApiModelProperty(value = "施工班组人员id")
    private String oldConUserIds;
    /**
     * 原来的施工班组人员姓名
     */
    @ApiModelProperty(value = "施工班组人员姓名")
    private String oldConUserNames;
    /**
     * 变更后的施工班组人员id
     */
    @ApiModelProperty(value = "施工班组人员id")
    private String conUserIds;
    /**
     * 变更后的施工班组人员姓名
     */
    @ApiModelProperty(value = "施工班组人员姓名")
    private String conUserNames;
    /**
     * 变更后的施工班组ID
     */
    @ApiModelProperty(value = "施工班组ID")
    private Long teamId;

    @ApiModelProperty(value = "施工班组名称")
    @TableField(exist = false)
    private String teamName;
    /**
     * 变更后的施工班组所有施工人员信息
     */
    @TableField(exist = false)
    private List<TfTeamStaffP> tss;
    /**
     * 变更后的施工班组所属部门公司
     */
    @ApiModelProperty(value = "所属部门公司")
    private Long deptId;
    /**
     * 变更理由
     */
    @ApiModelProperty(value = "变更理由")
    private String reason;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "施工负责人名称")
    private String leaderName;

    @ApiModelProperty(value = "施工负责人id")
    private Long leaderId;

    @ApiModelProperty(value = "施工负责人电话")
    private String leaderPhone;


    @ApiModelProperty(value = "原来的施工负责人名称")
    private String oldLeaderName;
    @ApiModelProperty(value = "原来的施工负责人电话")
    private String oldLeaderPhone;
}
