/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 负责人变更(同时需要变更流程中的负责人)
 *
 * @author xqf
 * @date Thu Sep 15 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_ALTER_DUTY_W", resultMap = "tfAlterDutyWMap")
@KeySequence("TF_ALTER_DUTY_W")
@ApiModel
public class TfAlterDutyW extends Model<TfAlterDutyW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 原负责部门
     */
    @ApiModelProperty(value = "原负责部门")
    private Long billDutyDept;
    /**
     * 原负责岗位
     */
    @ApiModelProperty(value = "原负责岗位")
    private Long billDutyPost;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String billDutyPostName;
    /**
     * 原电话
     */
    @ApiModelProperty(value = "原电话")
    private String billTelephone;
    /**
     * 原负责人
     */
    @ApiModelProperty(value = "原负责人")
    private Long billDutyUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String billDutyUserName;
    /**
     * 负责部门
     */
    @ApiModelProperty(value = "负责部门")
    private Long dutyDept;
    /**
     * 负责岗位
     */
    @ApiModelProperty(value = "负责岗位")
    private Long dutyPost;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String dutyPostName;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String telephone;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String dutyUserName;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
