package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 工程用户账单/管道--费用支持账单
 * @TableName TF_BILL_W
 */
@TableName(value ="TF_BILL_W",resultMap = "BaseResultMap")
@ContractConfigInfo(tableName = "TF_BILL_W",note = "程用户账单/管道--费用支持账单")
@Data
public class TfBillW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 费用类型
     */
    @ApiModelProperty(value = "费用类型")
    private Long typeId;
    @ApiModelProperty(value = "费用类型字典名名")
    @TableField(exist = false)
    private String typeIdName;

    /**
     * 费用类型名
     */
    @ApiModelProperty(value = "费用类型名")
    private String typeName;

    /**
     * 金额
     */
    @ApiModelProperty(value = "金额")
    private BigDecimal amountMoney;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}