/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 收费/退费（与收款对接表另行设计）
 *
 * @author JF
 * @date Mon Aug 29 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CHARGE_REFUND_W",resultMap = "tfChargeRefundWMap")
@KeySequence("TF_CHARGE_REFUND_W")
@ContractConfigInfo(tableName ="TF_CHARGE_REFUND_W"  ,note ="收费/退费" )
@ApiModel
public class TfChargeRefundW extends Model<TfChargeRefundW> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(type = IdType.ASSIGN_ID)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 流程ID
     */
            @ApiModelProperty(value = "流程ID")
                private Long processId;
                /**
     * 步骤节点ID
     */
            @ApiModelProperty(value = "步骤节点ID")
                private Long nodeId;
                /**
     * 结算单位名称
     */
            @ApiModelProperty(value = "结算单位名称")
                private String deptNane;
                /**
     * 结算单位
     */
            @ApiModelProperty(value = "结算单位")
                private Long dept;
                /**
     * 收款单号
     */
            @ApiModelProperty(value = "收款单号")
                private String orderNumber;
                /**
     * 应收金额
     */
            @ApiModelProperty(value = "应收金额")
                private Double amountPayable;
                /**
     * 收费金额
     */
            @ApiModelProperty(value = "收费金额")
                private Double amount;

    /**
     * 实退金额
     */
    @ApiModelProperty(value = "实退金额")
    private Double realAmount;
                /**
     * 收付日期
     */
            @ApiModelProperty(value = "收付日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date paymentDate;
                /**
     * 收付人
     */
            @ApiModelProperty(value = "收付人")
                private String paymentUser;
                /**
     * 收费方式(字典)
     */
            @ApiModelProperty(value = "收费方式(字典)")
                private Long chargeMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String chargeModeName;
                /**
     * 收付类型 1收款;0付款;2退费
     */
            @ApiModelProperty(value = "收付类型 1收款;0付款;2退费")
                private Short paymentType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String paymentTypeName;
                /**
     * 确认收费 1已收;0未收
     */
            @ApiModelProperty(value = "确认收费 1已收;0未收")
                private Short confirmPayment;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String confirmPaymentName;
                /**
     * 附件id用逗号分隔
     */
            @ApiModelProperty(value = "附件id用逗号分隔")
                private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String remark;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;


}
