package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.workflow.common.ContractConfigInfo;
import com.tofly.workflow.utils.compute.MoneyToChineseUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 结算费用相关
 * @TableName TF_CHARGE_w
 */
@TableName(value ="TF_CHARGE_W",resultMap = "BaseResultMap")
@ContractConfigInfo(tableName = "TF_CHARGE_W",note = "结算费用相关")
@Data
public class TfChargeW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    @ApiModelProperty(value = "工程结算")
    private BigDecimal chargeAmount;
    //设计费费率
    @ApiModelProperty(value = "设计费费率")
    private String designRate;
    //设计费
    @ApiModelProperty(value = "设计费费率")
    private BigDecimal designAmount;
    //监理费费率
    @ApiModelProperty(value = "监理费费率")
    private String spvRate;
    //监理费
    @ApiModelProperty(value = "监理费费率")
    private Double spvAmount;
    //合计
    @ApiModelProperty(value = "合计")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "实际结算")
    private BigDecimal realAmount;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String totalAmountStr;

    public String getTotalAmountStr() {
        if(totalAmount!=null){
         return    MoneyToChineseUtils.convert(totalAmount.doubleValue());
        }else{
            return  "零元整";
        }
    }
}