/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 施工班组信息
 *
 * @author xqf
 * @date Thu Sep 15 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CONSTRUCTION_TEAM_W", resultMap = "tfConstructionTeamWMap")
@KeySequence("TF_CONSTRUCTION_TEAM_W")
@ApiModel
public class TfConstructionTeamW extends Model<TfConstructionTeamW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 施工班组ID(TF_CONSTRUCTION_TEAM_P)
     */
    @ApiModelProperty(value = "施工班组ID(TF_CONSTRUCTION_TEAM_P)")
    private Long teamId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String teamIdName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String leaderName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String leaderPhone;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<String> workerList;
    /**
     * 注意事项
     */
    @ApiModelProperty(value = "注意事项")
    private String pointsAttention;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "施工人员id")
    private String conUserIds;
    @ApiModelProperty(value = "施工人员姓名")
    private String conUserNames;
}
