/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.workflow.common.ContractConfigInfo;
import com.tofly.workflow.utils.compute.MoneyToChineseUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 工程的合同
 *
 * @author JF
 * @date Wed Aug 24 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CONTRACT_W", resultMap = "tfContractWMap")
@KeySequence("TF_CONTRACT_W")
@ContractConfigInfo(tableName ="TF_CONTRACT_W"  ,note ="工程的合同" )
@ApiModel
public class TfContractW extends Model<TfContractW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @NotNull
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @NotNull
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 是否签订合同 1是;0否
     */
    @ApiModelProperty(value = "是否签订合同 1是;0否")
    private Short signContract;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String signContractName;
    /**
     * 合同签订方式 1正常;2延期（字典类型表）
     */
    @ApiModelProperty(value = "合同签订方式 1正常;0延期（字典类型表）")
    private Long signMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String signModeName;
    /**
     * 合同类型0自定义
     */
    @ApiModelProperty(value = "合同类型0自定义")
    private Long contractType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String contractTypeName;
    /**
     * 结算方式
     */
    @ApiModelProperty(value = "结算方式")
    private Long settlementMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String settlementModeName;
    /**
     * 是否包含土建
     */
    @ApiModelProperty(value = "是否包含土建")
    private Short isBuild;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isBuildName;
    /**
     * 合同模板ID 0非模板
     */
    @ApiModelProperty(value = "合同模板ID 0非模板")
    private Long templateId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String templateIdName;
    /**
     * 合同编号
     */
    @ApiModelProperty(value = "合同编号")
    private String contractNo;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;
    /**
     * 工程地址(地区+地址)
     */
    @ApiModelProperty(value = "工程地址(地区+地址)")
    private String projectAdder;
    /**
     * 用户名称(甲方名称)
     */
    @ApiModelProperty(value = "用户名称(甲方名称)")
    private String aName;
    /**
     * 用户联系人(甲方代表)
     */
    @ApiModelProperty(value = "用户联系人(甲方代表)")
    private String aContacts;
    /**
     * 用户电话(甲方电话)
     */
    @ApiModelProperty(value = "用户电话(甲方电话)")
    private String aTelephone;
    /**
     * 本公司名称(乙方名称)
     */
    @ApiModelProperty(value = "本公司名称(乙方名称)")
    private String bName;
    /**
     * 本公司联系人(乙方代表)
     */
    @ApiModelProperty(value = "本公司联系人(乙方代表)")
    private String bContacts;
    /**
     * 本公司联系人电话(乙方电话)
     */
    @ApiModelProperty(value = "本公司联系人电话(乙方电话)")
    private String bTelephone;
    /**
     * 乙方地址
     */
    @ApiModelProperty(value = "乙方地址")
    private String bAdder;
    /**
     * 乙方电话
     */
    @ApiModelProperty(value = "乙方电话")
    private String bPhone;
    /**
     * 开户银行
     */
    @ApiModelProperty(value = "开户银行")
    private String bankAccount;
    /**
     * 银行卡号
     */
    @ApiModelProperty(value = "银行卡号")
    private String bankNumber;
    /**
     * 工程内容
     */
    @ApiModelProperty(value = "工程内容")
    private String content;
    /**
     * 合同总价/(单户价格)
     */
    @ApiModelProperty(value = "合同总价/(单户价格)")
    private Double totalContract;
    /**
     * 预付款
     */
    @ApiModelProperty(value = "预付款")
    private Double advancePayment;


    /**
     * 水电费用
     */
    @ApiModelProperty(value = "水电费用")
    private Double waterElectricity;
    /**
     * 预付款比例
     */
    @ApiModelProperty(value = "预付款比例")
    private Double paymentRatio;
    /**
     * 进度款
     */
    @ApiModelProperty(value = "进度款")
    private Double ratePayment;

    /**
     * 是否扣除单例费用1是;0否
     */
    @ApiModelProperty(value = "是否扣除单例费用1是;0否")
    private Short isDeduct;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDeductName;
    /**
     * 扣除单例费用
     */
    @ApiModelProperty(value = "扣除单例费用")
    private Double deductExpenses;
    /**
     * 合同文件ID多个用逗号分隔
     */
    @ApiModelProperty(value = "合同文件ID多个用逗号分隔")
    private String contractFile;
    @TableField(exist = false)
    private List<String> contractFileNameList;

    /**
     * 合同PDF文件ID多个用逗号分隔
     */
    @ApiModelProperty(value = "合同PDF文件ID多个用逗号分隔")
    private String contractPdfFile;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 工程性质
     */
    @ApiModelProperty(value = "工程性质")
    private Long projectNature;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String projectNatureName;
    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private Long userType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String userTypeName;
//    /**
//     * 甲方份数
//     */
//    @ApiModelProperty(value = "甲方份数")
//    private Long aCopies;
//    /**
//     * 乙方份数
//     */
//    @ApiModelProperty(value = "乙方份数")
//    private Long bCopies;
//    /**
//     * 合同性质
//     */
//    @ApiModelProperty(value = "合同性质")
//    private Long contractNature;
    /**
     * 合同详情信息列表
     */
    @TableField(exist = false)
    private List<TfContractInfoW> contractInfoList;

    @TableField(exist = false)
    private String  totalAmountStr;


    public String getTotalAmountStr() {
        try {
            if(totalContract==null){
                totalContract =0d;
            }
            if(deductExpenses==null){
                deductExpenses=0d;
            }
            if(waterElectricity==null){
                waterElectricity=0d;
            }
            Double  total =   totalContract+deductExpenses-waterElectricity;
            if(total!=null){
                return    MoneyToChineseUtils.convert(total);
            }else{
                return  "零元整";
            }
        }catch (Exception e){
            return  "零元整";
        }

    }
}
