/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 费用汇总
 *
 * @author xqf
 * @date Wed Feb 15 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_COST_SUMS_W", resultMap = "tfCostSumsWMap")
@KeySequence("TF_COST_SUMS_W")
@ContractConfigInfo(tableName ="TF_COST_SUMS_W"  ,note ="费用汇总" )
@ApiModel
public class TfCostSumsW extends Model<TfCostSumsW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 户数
     */
    @ApiModelProperty(value = "户数")
    private Integer households;
    /**
     * 总价
     */
    @ApiModelProperty(value = "总价")
    private Double totalPrice;
    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private Float taxRate;
    /**
     * 不含税
     */
    @ApiModelProperty(value = "不含税")
    private Double excludingTax;
    /**
     * 户单价
     */
    @ApiModelProperty(value = "户单价")
    private Double unitPrice;
    /**
     * 材料总价
     */
    @ApiModelProperty(value = "材料总价")
    private Double materialPrice;
    /**
     * 其它总价
     */
    @ApiModelProperty(value = "其它总价")
    private Double otherPrice;
    /**
     * 总成本
     */
    @ApiModelProperty(value = "总成本")
    private Double totalCost;
    /**
     * 毛利
     */
    @ApiModelProperty(value = "毛利")
    private Double grossProfit;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 是否完成1完成；0未完成
     */
    @ApiModelProperty(value = "是否完成1完成；0未完成")
    private Short isComplete;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建岗位
     */
    @ApiModelProperty(value = "创建岗位")
    private Long createPost;
    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
