/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 设计预算
 *
 * @author JF
 * @date Mon Aug 22 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DESIGN_BUDGET_W", resultMap = "tfDesignBudgetWMap")
@KeySequence("TF_DESIGN_BUDGET_W")
@ContractConfigInfo(tableName ="TF_DESIGN_BUDGET_W"  ,note ="设计预算" )
@ApiModel
public class TfDesignBudgetW extends Model<TfDesignBudgetW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 设计单位ID(TF_YWPN_PARTNER_W)
     */
    @ApiModelProperty(value = "设计单位ID(TF_YWPN_PARTNER_W)")
    private Long designUnit;
    /**
     * 设计日期
     */
    @ApiModelProperty(value = "设计日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date designDate;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 预算方式（类型表或字典表）
     */
    @ApiModelProperty(value = "预算方式（类型表或字典表）")
    private Long budgetMode;
    /**
     * 是否选材1是;0否
     */
    @ApiModelProperty(value = "是否选材1是;0否")
    private Short isMaterial;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isMaterialName;

    @ApiModelProperty(value = "是否有设计监理费用 1是;0否")
    private Short hasDesignAndSpv;
    /**
     * 工程预算
     */
    @ApiModelProperty(value = "工程预算")
    private Double projectBudget;
    /**
     * 设计预算
     */
    @ApiModelProperty(value = "设计预算")
    private Float design;
    /**
     * 设计预算
     */
    @ApiModelProperty(value = "设计费率")
    private Float designRate;
    /**
     * 监理预算
     */
    @ApiModelProperty(value = "监理预算")
    private Float supervisor;
    /**
     * 监理费率
     */
    @ApiModelProperty(value = "监理费率")
    private Float supervisorRate;
    /**
     * 预算合计
     */
    @ApiModelProperty(value = "预算合计")
    private Double budget;
    /**
     * 材料费用
     */
    @ApiModelProperty(value = "材料费用")
    private Double materialCost;
    /**
     * 人工费用
     */
    @ApiModelProperty(value = "人工费用")
    private Double laborCost;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String explain;
    /**
     * 图纸附件ID用逗号分隔
     */
    @ApiModelProperty(value = "图纸附件ID用逗号分隔")
    private String drawingAnnex;
    @TableField(exist = false)
    private List<String> drawingAnnexNameList;
    /**
     * 费用附件ID用逗号分隔
     */
    @ApiModelProperty(value = "费用附件ID用逗号分隔")
    private String costAnnex;
    @TableField(exist = false)
    private List<String> costAnnexNameList;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 户均单价
     */
    @ApiModelProperty(value = "户均单价")
    private Double unitPrice;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<TfProjectMaterialW> projectMaterialList;

}
