package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 技术交底
 * @TableName TF_DISCLOSURE_W
 */
@TableName(value ="TF_DISCLOSURE_W",resultMap = "BaseResultMap")
@Data
public class TfDisclosureW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 交底日期
     */
    @ApiModelProperty(value = "交底日期")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date disclosureDate;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String adder;

    /**
     * 项目方人员多个用逗号分隔
     */
    @ApiModelProperty(value = "项目方人员多个用逗号分隔")
    private String projectUsers;

    /**
     * 施工方人员多个用逗号分隔
     */
    @ApiModelProperty(value = "施工方人员多个用逗号分隔")
    private String buildersUsers;

    /**
     * 监理方人员多个用逗号分隔
     */
    @ApiModelProperty(value = "监理方人员多个用逗号分隔")
    private String supervisor;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;
    @TableField(exist = false)
    private String dutyUserName;

    /**
     * 记录人
     */
    @ApiModelProperty(value = "记录人")
    private Long recorder;
    @TableField(exist = false)
    private String recorderName;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}