/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 监检提交上报登记(监检上报、监检登记）
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MONITORING_REPORT_W", resultMap = "tfMonitoringReportWMap")
@KeySequence("TF_MONITORING_REPORT_W")
@ApiModel
public class TfMonitoringReportW extends Model<TfMonitoringReportW> {
    private static final long serialVersionUID = 1L;

    /**
     * 报告附件 用逗号分隔
     */
    @ApiModelProperty(value = "报告附件 用逗号分隔")
    private String reportAnnex;
    @TableField(exist = false)
    private List<String> reportAnnexList;
    /**
     * 探伤附件 用逗号分隔
     */
    @ApiModelProperty(value = "探伤附件 用逗号分隔")
    private String checkAnnex;
    @TableField(exist = false)
    private List<String> checkAnnexList;
    /**
     * 附件id 用逗号分隔
     */
    @ApiModelProperty(value = "附件id 用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 上报/提交时间
     */
    @ApiModelProperty(value = "上报/提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateTime;
    /**
     * 监检单位
     */
    @ApiModelProperty(value = "监检单位")
    private String monitoringUnit;

    private String monitoringUnitName;
    /**
     * 监检人员
     */
    @ApiModelProperty(value = "监检人员")
    private String monitoringUser;

    private String monitoringUserName;
    /**
     * 是否回执1是;0否
     */
    @ApiModelProperty(value = "是否回执1是;0否")
    private Short isReceipt;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isReceiptName;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 注意事项
     */
    @ApiModelProperty(value = "注意事项")
    private String pointsAttention;

}
