/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.buss.entity.vo.PMaterialVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 工程派工
 *
 * @author JF
 * @date Mon Aug 29 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROJECT_DISPATCH_W", resultMap = "tfProjectDispatchWMap")
@KeySequence("TF_PROJECT_DISPATCH_W")
@ApiModel
public class TfProjectDispatchW extends Model<TfProjectDispatchW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 工程性质(字典)
     */
    @ApiModelProperty(value = "工程性质(字典)")
    private Long projectType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String projectTypeName;
    /**
     * 日期时间
     */
    @ApiModelProperty(value = "日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 完工日期时间
     */
    @ApiModelProperty(value = "完工日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishDate;

    /**
     * 周期
     */
    @ApiModelProperty(value = "周期")
    private Long cycle;
    /**
     * 施工单位
     */
    @ApiModelProperty(value = "施工单位")
    private Long buildUnit;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String buildUnitName;
    /**
     * 监理单位
     */
    @ApiModelProperty(value = "监理单位")
    private Long supervisor;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String supervisorName;
    /**
     * 工程内容
     */
    @ApiModelProperty(value = "工程内容")
    private String content;
    /**
     * 是否领料 1是;0否
     */
    @ApiModelProperty(value = "是否领料 1是;0否")
    private Short isSupply;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isSupplyName;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<PMaterialVo> materialList;

}
