/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 工程材料(设计预算、领料出库)
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROJECT_MATERIAL_W", resultMap = "tfProjectMaterialWMap")
@KeySequence("TF_PROJECT_MATERIAL_W")
@ContractConfigInfo(tableName ="TF_PROJECT_MATERIAL_W"  ,note ="工程材料" )
@ApiModel
public class TfProjectMaterialW extends Model<TfProjectMaterialW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 关联流程ID（无关联值与流程ID一致）
     */
    @ApiModelProperty(value = "关联流程ID（无关联值与流程ID一致）")
    private Long likeProcessId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 物资材料ID(TF_YWPN_MATTER_W)
     */
    @ApiModelProperty(value = "物资材料ID(TF_YWPN_MATTER_W)")
    private Long matterId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private TfMatterP matterP;
    /**
     * 物资类型 1预算;2开工;3领料;4补料;5退料;6其它;7验收申请
     */
    @ApiModelProperty(value = "物资类型 1预算;2开工;3领料;4补料;5退料;6其它;7验收申请;8入库;9核销")
    private Short materialType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String materialTypeName;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Double quantity;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private Double budgetQuantity;
    /**
     * 剩余量
     */
    @ApiModelProperty(value = "剩余量")
    private Long surplus;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private Double price;
    /**
     * 安装价格
     */
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;

    @ApiModelProperty(value = "单据编号")
    @TableField(exist = false)
    private String code;

}
