package com.tofly.workflow.buss.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目移交 (主要潼南应用项目移交登记--单独填报)(TfProjectTransferW)表实体类
 *
 * @author HaiQiu
 * @since 2022-09-19 17:52:12
 */
@ApiModel(value = "项目移交 (主要潼南应用项目移交登记--单独填报)")
@Data
@TableName(value = "TF_PROJECT_TRANSFER_W", resultMap = "TfProjectTransferWMap")
public class TfProjectTransferW extends Model<TfProjectTransferW> implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    /**
     * 交出部门
     */
    @ApiModelProperty(value = "交出部门")
    private Long handOverDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverDeptName;

    /**
     * 交出岗位
     */
    @ApiModelProperty(value = "交出岗位")
    private Long handOverPost;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverPostName;

    /**
     * 交出人
     */
    @ApiModelProperty(value = "交出人")
    private Long handOverUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverUserName;

    /**
     * 接收部门
     */
    @ApiModelProperty(value = "接收部门")
    private Long receiveDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receiveDeptName;

    /**
     * 接收岗位
     */
    @ApiModelProperty(value = "接收岗位")
    private Long receivePost;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receivePostName;

    /**
     * 接收人
     */
    @ApiModelProperty(value = "接收人")
    private Long receiveUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receiveUserName;

    /**
     * 移交户数
     */
    @ApiModelProperty(value = "移交户数")
    private Integer transferNumber;

    /**
     * 维保费用
     */
    @ApiModelProperty(value = "维保费用")
    private BigDecimal maintenance;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    //@TableLogic
    private Short isDel;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createDeptName;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改部门
     */
    @ApiModelProperty(value = "修改部门")
    private Long updateDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String updateDeptName;


    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改人")
    private Long updateUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String updateUserName;


    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}

