/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 工程登记/立项
 *
 * @author JF
 * @date Tue Aug 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_REGISTER_ITEM_W", resultMap = "tfRegisterItemWMap")
@KeySequence("TF_REGISTER_ITEM_W")
@ContractConfigInfo(tableName ="TF_REGISTER_ITEM_W"  ,note ="工程等级/立项" )
@ApiModel
public class TfRegisterItemW extends Model<TfRegisterItemW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;
    /**
     * 用户名称(甲方名称)
     */
    @ApiModelProperty(value = "用户名称(甲方名称)")
    private String userName;
    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private Long region;
    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private String regionList;
    /**
     * 地区名称
     */
    @ApiModelProperty(value = "地区名称")
    private String regionName;
    /**
     * 地址(详细地址)
     */
    @ApiModelProperty(value = "地址(详细地址)")
    private String addre;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private Long userType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String userTypeName;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacts;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String telephone;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String explain;
    /**
     * 是否户主1是。0否
     */
    @ApiModelProperty(value = "是否户主1是。0否")
    private Short isHead;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isHeadName;
    /**
     * 户数
     */
    @ApiModelProperty(value = "户数")
    private Integer householdNumber;
    /**
     * 证件类型
     */
    @ApiModelProperty(value = "证件类型")
    private Long documentType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String documentTypeName;
    /**
     * 证件号码
     */
    @ApiModelProperty(value = "证件号码")
    private String documentNumber;
    /**
     * 紧急等级
     */
    @ApiModelProperty(value = "紧急等级")
    private Long urgentLevel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String urgentLevelName;
    /**
     * 投资
     */
    @ApiModelProperty(value = "投资")
    private Double invest;
    /**
     * 是否市场部 1是;0否
     */
    @ApiModelProperty(value = "是否市场部 1是;0否")
    private Short isMarketing;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isMarketingName;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 日期时间
     */
    @ApiModelProperty(value = "日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

}
