package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 开工报告条目(多条)
 * @TableName TF_REPORT_ENTRY_W
 */
@TableName(value ="TF_REPORT_ENTRY_W",resultMap = "BaseResultMap")
@Data
public class TfReportEntryW implements Serializable {
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 条目ID(TF_REPORT_ENTRY_P)
     */
    @ApiModelProperty(value = "条目ID(TF_REPORT_ENTRY_P)")
    private Long entryId;
    @ApiModelProperty(value = "条目名称",hidden = true)
    @TableField(exist = false)
    private String entryName;

    /**
     * 状态/完成情况1完成2不适用
     */
    @ApiModelProperty(value = "状态/完成情况1完成2不适用")
    private Integer status;
    @TableField(exist = false)
    @ApiModelProperty(value = "状态/完成情况1完成2不适用")
    private String statusStr;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}