package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* 安全检查(单独填报)
* @TableName TF_SAFETY_CHECK_W
*/
@ApiModel(value = "安全检查(单独填报)")
@Data
@TableName(value = "TF_SAFETY_CHECK_W",resultMap = "BaseResultMap")
public class TfSafetyCheckW implements Serializable {

    /**
    * ID
    */
    @NotNull(message="[ID]不能为空",groups = Update.class)
    @ApiModelProperty("ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
    * 部门
    */
    @ApiModelProperty("部门")
    private Long dept;
    @TableField(exist = false)
    private String deptName;
    /**
    * 时间
    */
    @ApiModelProperty("时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date dataTime;
    /**
    * 
    */
    @Size(max= 300,message="编码长度不能超过300")
    @ApiModelProperty("")
    @Length(max= 300,message="编码长度不能超过300")
    private String adder;
    /**
    * 内容
    */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("内容")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String content;
    /**
    * 是否存在问题1是;0否
    */
    @ApiModelProperty("是否存在问题1是;0否")
    private Integer isProblem;
    /**
    * 说明
    */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("说明")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String explain;
    /**
    * 备注
    */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("备注")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String remark;
    /**
    * 附件id用逗号分隔
    */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("附件id用逗号分隔")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String annex;
    /**
    * 创建部门
    */
    @ApiModelProperty("创建部门")
    private Long createDept;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createDeptName;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 修改部门
    */
    @ApiModelProperty("修改部门")
    private Long updateDept;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateDeptName;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
    * 是否删除1删除；0未删除
    */
    @TableLogic
    @ApiModelProperty("是否删除1删除；0未删除")
    private Integer isDel;
    /**
    * 流程ID
    */
    @ApiModelProperty("流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 问题记录
     */
    @ApiModelProperty("问题记录")
    private String problemRecord;

    /**
     * 检查部门
     */
    @ApiModelProperty("检查部门")
    private Long inspectDept;
    /**
     * 检查人员
     */
    @ApiModelProperty("检查人员")
    private Long inspectUser;
    /**
     * 检查时间
     */
    @ApiModelProperty("检查时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date inspectTime;


    public interface Update{}
}
