package com.tofly.workflow.buss.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 安全监护 (单独填报)(TfSafetyMonitorW)表实体类
 *
 * @author HaiQiu
 * @since 2022-09-20 10:10:23
 */
@ApiModel(value = "安全监护 (单独填报)")
@Data
@TableName(value = "TF_SAFETY_MONITOR_W", resultMap = "TfSafetyMonitorWMap")
public class TfSafetyMonitorW extends Model<TfSafetyMonitorW> implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 管道压力
     */
    @ApiModelProperty(value = "管道压力")
    private Double pipePressure;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间")
    private Date dataTime;

    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long deptId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String deptIdName;

    /**
     * 岗位
     */
    @ApiModelProperty(value = "岗位")
    private Long postId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String postIdName;

    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long userId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String userIdName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createDeptName;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    @TableLogic
    private Short isDel;

}

