/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 工程勘察
 *
 * @author JF
 * @date Mon Aug 22 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SURVEY_W", resultMap = "tfSurveyWMap")
@KeySequence("TF_SURVEY_W")
@ContractConfigInfo(tableName ="TF_SURVEY_W"  ,note ="工程勘察" )
@ApiModel
public class TfSurveyW extends Model<TfSurveyW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 是否符合 1是;0否
     */
    @ApiModelProperty(value = "是否符合 1是;0否")
    private Short isTally;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isTallyName;
    /**
     * 工程范围;多个用逗号分隔
     */
    @ApiModelProperty(value = "工程范围;多个用逗号分隔")
    private String range;

    /**
     * 工程范围其它填报内容
     */
    @ApiModelProperty(value = "工程范围其它填报内容")
    private String rangeOther;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 设计单位ID 组织表
     */
    @ApiModelProperty(value = "设计单位ID 组织表 ")
    private Long designUnit;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String designUnitName;
    /**
     * 勘察人
     */
    @ApiModelProperty(value = "勘察人")
    private Long surveyUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String surveyUserName;

    /**
     * 是否签订合同 1是;0否
     */
    @ApiModelProperty(value = "是否签订合同 1是;0否")
    private Short signContract;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String signContractName;
    /**
     * 勘察日期
     */
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveyDate;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
