package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 移交文件列表
 * @TableName TF_TRANSFER_FILE_W
 */
@TableName(value ="TF_TRANSFER_FILE_W",resultMap = "BaseResultMap")
@Data
public class TfTransferFileW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 移交ID(TF_TRANSFER_W)
     */
    @ApiModelProperty(value = "移交ID(TF_TRANSFER_W)")
    private Long transferId;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private Long fileType;

    /**
     * 文件数量
     */
    @ApiModelProperty(value = "文件数量")
    private Integer fileNumber;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}