package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 移交的项目列表
 * @TableName TF_TRANSFER_PROJECT_W
 */
@TableName(value ="TF_TRANSFER_PROJECT_W",resultMap = "BaseResultMap")
@Data
public class TfTransferProjectW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 项目移交ID(TF_PROJECT_TRANSFER_W)
     */
    @ApiModelProperty(value = "项目移交ID(TF_PROJECT_TRANSFER_W)")
    private Long transferId;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Integer isDel;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 流程ID(TF_PROCESS_L)
     */
    @ApiModelProperty(value = "流程ID(TF_PROCESS_L)")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}