package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 资料移交
 * @TableName TF_TRANSFER_W
 */
@TableName(value ="TF_TRANSFER_W",resultMap = "BaseResultMap")
@Data
public class TfTransferW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 流程ID
     */
    private Long processId;

    /**
     * 步骤节点ID
     */
    private Long nodeId;

    /**
     * 时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    /**
     * 交出部门
     */
    private Long handOverDept;
    @TableField(exist = false)
    private String handOverDeptName;

    /**
     * 交出岗位
     */
    private Long handOverPost;
    @TableField(exist = false)
    private String handOverPostName;

    /**
     * 交出人
     */
    private Long handOverUser;
    @TableField(exist = false)
    private String handOverUserName;

    private String handOverName;

    /**
     * 接收部门
     */
    private Long receiveDept;
    @TableField(exist = false)
    private String receiveDeptName;

    /**
     * 接收岗位
     */
    private Long receivePost;
    @TableField(exist = false)
    private String receivePostName;

    /**
     * 接收人
     */
    private Long receiveUser;
    @TableField(exist = false)
    private String receiveUserName;

    private String receiveName;
    /**
     * 验收人员
     */
    private String accepter;

    /**
     * 监理人员
     */
    private String supervisor;

    /**
     * 附件id用逗号分隔
     */
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 备注
     */
    private String remark;

    /**
     * 移交文件列表
     */
    @TableField(exist = false)
    private List<TfTransferFileW> tfTransferFileWS;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}