package com.tofly.workflow.buss.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tofly.workflow.common.ContractConfigInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 工程用户结算
 * @TableName TF_USER_SETTLEMENT_W
 */
@TableName(value ="TF_USER_SETTLEMENT_W",resultMap = "BaseResultMap")
@ContractConfigInfo(tableName ="TF_USER_SETTLEMENT_W"  ,note ="工程勘察" )
@Data
public class TfUserSettlementW implements Serializable {
    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 实际户数
     */
    @ApiModelProperty(value = "实际户数")
    private Integer households;

    /**
     * 总价
     */
    @ApiModelProperty(value = "总价")
    private Double totalPrice;

    /**
     * 已收金额
     */
    @ApiModelProperty(value = "已收金额")
    private Double amountReceived;

    /**
     * 应缴金额
     */
    @ApiModelProperty(value = "应缴金额")
    private Double payableAmount;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    @TableField(exist = false)
    private List<String> annexNameList;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}