package com.tofly.workflow.buss.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 费用汇总dto
 */
@Data
@EqualsAndHashCode
public class CostSumsDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 流程ID
     */
    @NotNull(message = "processId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 户数
     */
    @ApiModelProperty(value = "户数")
    private Integer households;
    /**
     * 总价
     */
    @NotNull(message = "totalPrice"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "总价")
    private Double totalPrice;
    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private Float taxRate;
    /**
     * 不含税
     */
    @ApiModelProperty(value = "不含税")
    private Double excludingTax;
    /**
     * 户单价
     */
    @ApiModelProperty(value = "户单价")
    private Double unitPrice;
    /**
     * 材料总价
     */
    @NotNull(message = "materialPrice"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "材料总价")
    private Double materialPrice;
    /**
     * 其它总价
     */
    @ApiModelProperty(value = "其它总价")
    private Double otherPrice;
    /**
     * 总成本
     */
    @ApiModelProperty(value = "总成本")
    private Double totalCost;
    /**
     * 毛利
     */
    @ApiModelProperty(value = "毛利")
    private Double grossProfit;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 是否完成1完成；0未完成
     */
    @NotNull(message = "materialPrice"+ FlowConstant.ISNOTNUL)
    @Min(0)
    @Max(1)
    @ApiModelProperty(value = "是否完成1完成；0未完成")
    private Short isComplete;
    /**
     * 其它费用项
     */
    @Valid
    @ApiModelProperty(value = "其它费用项")
    private List<SumsOtherItemDto> otherItem;

}
