package com.tofly.workflow.buss.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 工程支出账单(支付给第三方公司)
 */
@Data
@EqualsAndHashCode
public class PayBillDto implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 结算单位
     */
    @ApiModelProperty(value = "结算单位")
    private String settlementUnit;
    /**
     * 单位ID
     */
    @ApiModelProperty(value = "单位ID")
    private Long unitId;
    /**
     * 金额
     */
    @ApiModelProperty(value = "金额")
    private Double amountMoney;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String explain;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 文件名称集合
     */
    @ApiModelProperty(value = "文件名称集合")
    private List<String> fileName;
}
