package com.tofly.workflow.buss.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProjectBaseDto implements Serializable {
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;

    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;

    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 工程性质
     */
    @ApiModelProperty(value = "工程性质")
    private Long projectNature;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 工单状态
     */
    @ApiModelProperty(value = "工单状态")
    private List<Short> processState;

}
