package com.tofly.workflow.buss.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
@EqualsAndHashCode
public class SafetyCheckDto implements Serializable {


    /**
     * 部门
     */
    @ApiModelProperty("部门")
    private Long dept;
    /**
     * 时间
     */
    @ApiModelProperty("时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date dataTime;
    /**
     *
     */
    @Size(max= 300,message="编码长度不能超过300")
    @ApiModelProperty("地址")
    @Length(max= 300,message="编码长度不能超过300")
    private String adder;
    /**
     * 内容
     */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("内容")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String content;
    /**
     * 是否存在问题1是;0否
     */
    @ApiModelProperty("是否存在问题1是;0否")
    private Integer isProblem;
    /**
     * 说明
     */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("说明")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String explain;
    /**
     * 备注
     */
    @Size(max= 3000,message="编码长度不能超过3000")
    @ApiModelProperty("备注")
    @Length(max= 3000,message="编码长度不能超过3,000")
    private String remark;
    /**
     * 附件id用逗号分隔
     */
    private String annex;
    /**
     * 创建部门
     */
    @ApiModelProperty("创建部门")
    private Long createDept;

    /**
     * 修改部门
     */
    @ApiModelProperty("修改部门")
    private Long updateDept;

    /**
     * 问题记录
     */
    @ApiModelProperty("问题记录")
    private String problemRecord;

    /**
     * 检查部门
     */
    @ApiModelProperty("检查部门")
    private Long inspectDept;
    /**
     * 检查人员
     */
    @ApiModelProperty("检查人员")
    private Long inspectUser;
    /**
     * 检查时间
     */
    @ApiModelProperty("检查时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date inspectTime;


    /**
     * 文件名称集合
     */
    @ApiModelProperty(value = "文件名称集合")
    private List<String> fileName;


}
