package com.tofly.workflow.buss.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 安全监护
 */
@Data
@EqualsAndHashCode
public class SafetyMonitorDto  implements Serializable {

    /**
     * 管道压力
     */
    @ApiModelProperty(value = "管道压力")
    private Double pipePressure;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间")
    private Date dataTime;

    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long deptId;

    /**
     * 岗位
     */
    @ApiModelProperty(value = "岗位")
    private Long postId;

    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long userId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 文件名称集合
     */
    @ApiModelProperty(value = "文件名称集合")
    private List<String> fileName;
}
