package com.tofly.workflow.buss.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 计算日期传入参数
 */
@Data
@EqualsAndHashCode
public class TallyDateDto implements Serializable {


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date time;


    /**
     * 数量 天
     */
    @NotNull(message = "number"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "数量 天")
    private Integer number;


    /**
     * 是否工作日 0否，1是
     */
    @Min(value = 0,message = "number" + FlowConstant.NOT_LESS_THAN+0 )
    @Max(value = 1,message = "number" + FlowConstant.NOT_GREATER_THAN+1)
    @NotNull(message = "number"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "是否工作日 0否，1是")
    private Short isWork;

}
