package com.tofly.workflow.buss.entity.vo;

import com.tofly.workflow.baseconf.entity.TfTeamStaffP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class ConstructionTeamVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 施工班组ID(TF_CONSTRUCTION_TEAM_P)
     */
    @ApiModelProperty(value = "施工班组ID(TF_CONSTRUCTION_TEAM_P)")
    private Long teamId;
    private String teamIdName;
    @ApiModelProperty(hidden = true)
    private String leaderName;
    @ApiModelProperty(hidden = true)
    private String leaderPhone;
    @ApiModelProperty(hidden = true)
    private List<String> workerList;
    /**
     * 注意事项
     */
    @ApiModelProperty(value = "注意事项")
    private String pointsAttention;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 施工人员信息
     */
    private List<TfTeamStaffP> tss;

    @ApiModelProperty(value = "施工人员id")
    private String conUserIds;
    @ApiModelProperty(value = "施工人员姓名")
    private String conUserNames;
}
