package com.tofly.workflow.buss.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 物资信息
 */
@Data
@EqualsAndHashCode
public class MaterialItemVo implements Serializable {

    /**
     * 物资材料ID(TF_YWPN_MATTER_W)
     */
    @ApiModelProperty(value = "物资材料ID(TF_YWPN_MATTER_W)")
    private Long matterId;
    /**
     * 物资编码
     */
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 物资名称
     */
    @NotNull
    @ApiModelProperty(value = "物资名称")
    private String matterName;

    /**
     * 用友ID
     */
    @ApiModelProperty(value = "用友ID")
    private Long product;

    /**
     * 用友计量单位ID
     */
    @ApiModelProperty(value = "用友计量单位ID")
    private Long unit;

    /**
     * 库存单位id
     */
    @ApiModelProperty(value = "库存单位id")
    private Long stockUnitId;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Double qty;

}
