package com.tofly.workflow.buss.entity.vo;

import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class PMaterialVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 关联流程ID（无关联值与流程ID一致）
     */
    @ApiModelProperty(value = "关联流程ID（无关联值与流程ID一致）")
    private Long likeProcessId;

    /**
     * 物资材料ID(TF_YWPN_MATTER_W)
     */
    @ApiModelProperty(value = "物资材料ID(TF_YWPN_MATTER_W)")
    private Long matterId;

    private TfMatterP matterP;
    /**
     * 物资类型 1预算;2开工;3领料;4补料;5退料;6其它;7验收申请
     */
    @ApiModelProperty(value = "物资类型 1预算;2开工;3领料;4补料;5退料;6其它;7验收申请")
    private Short materialType;

    private String materialTypeName;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Double quantity;
    /**
     * 剩余量
     */
    @ApiModelProperty(value = "剩余量")
    private Long surplus;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private TfMatterPriceP price;

    private Long tenantId;

}
