package com.tofly.workflow.buss.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 流程基础信息
 */
@Data
@EqualsAndHashCode
public class ProjectBaseVo implements Serializable {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String tenantIdName;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;

    /**
     * 流程配置版本
     */
    @ApiModelProperty(value = "流程配置版本")
    private Integer edition;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;
    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称")
    private String categoryName;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 类型名称
     */
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 地区
     */
    @ApiModelProperty(value = "地区")
    private Long region;

    private String regionName;
    /**
     * 地址(详细地址)
     */
    @ApiModelProperty(value = "地址(详细地址)")
    private String addre;
    /**
     * 地址信息
     */
    @ApiModelProperty(value = "地址信息")
    private String adderInfo;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 用户名称(甲方名称)
     */
    @ApiModelProperty(value = "用户名称(甲方名称)")
    private String userName;
    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private Long userType;

    private String userTypeName;
    /**
     * 用户数
     */
    @ApiModelProperty(value = "用户数")
    private Integer householdNumber;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacts;
    /**
     * 用户电话
     */
    @ApiModelProperty(value = "用户电话")
    private String userPhone;
    /**
     * 负责部门
     */
    @ApiModelProperty(value = "负责部门")
    private Long dutyDept;

    private String dutyDeptName;
    /**
     * 负责岗位
     */
    @ApiModelProperty(value = "负责岗位")
    private Long dutyPost;

    private String dutyPostName;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String dutyPhone;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;

    private String dutyUserName;
    /**
     * 施工单位
     */
    @ApiModelProperty(value = "施工单位")
    private Long buildUnit;

    private String buildUnitName;
    /**
     * 监理单位
     */
    @ApiModelProperty(value = "监理单位")
    private Long supervisor;

    private String supervisorName;

    /**
     * 施工负责人
     */
    @ApiModelProperty(value = "施工负责人")
    private Long buildUserId;

    private String buildUserIdName;

    private String buildPHone;


    /**
     * 工程性质
     */
    @ApiModelProperty(value = "工程性质")
    private Long projectNature;

    private String projectNatureName;

    private String gcxz;

    /**
     * 勘察日期
     */
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date surveyDate;


    /**
     * 预算合计
     */
    @ApiModelProperty(value = "预算合计")
    private Double budget;

    /**
     * 合同总价/(单户价格)
     */
    @ApiModelProperty(value = "合同总价/(单户价格)")
    private Double totalContract;

    /**
     * 结算方式
     */
    @ApiModelProperty(value = "结算方式")
    private Long settlementMode;

    /**
     * 预付款
     */
    @ApiModelProperty(value = "预付款")
    private Double advancePayment;


    /**
     * 派工日期时间
     */
    @ApiModelProperty(value = "派工日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    /**
     * 完工日期时间
     */
    @ApiModelProperty(value = "完工日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishDate;

    /**
     * 是否符合 1是;0否
     */
    @ApiModelProperty(value = "是否符合 1是;0否")
    private Short isTally;
    /**
     * 合同签订方式 1正常;2延期（字典类型表）
     */
    @ApiModelProperty(value = "合同签订方式 1正常;2延期（字典类型表）")
    private Long signMode;

    /**
     * 登记岗位
     */
    @ApiModelProperty(value = "登记岗位")
    private Long registerPost;

    private String registerPostName;
    /**
     * 登记部门
     */
    @ApiModelProperty(value = "登记部门")
    private Long registerDept;

    private String registerDeptName;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;

    private String registerStaffName;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    /**
     * 监检单位
     */
    @ApiModelProperty(value = "监检单位")
    private String monitoringUnit;

    /**
     * 总价
     */
    @ApiModelProperty(value = "总价")
    private Double totalPrice;


    /**
     * 安装内容
     */
    @ApiModelProperty(value = "安装内容")
    private String installContent;


    /**
     * 施工班组ID
     */
    @ApiModelProperty(value = "施工班组ID")
    private Long teamId;

    /**
     * 申请验收日期
     */
    @ApiModelProperty(value = "申请验收日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;

    /**
     * 申请人
     */
    @ApiModelProperty(value = "申请人")
    private Long applyUser;

    private String applyUserName;

    /**
     * 是否领料 1是;0否
     */
    @ApiModelProperty(value = "是否领料 1是;0否")
    private Short isSupply;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isSupplyName;


}
