package com.tofly.workflow.buss.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProjectTransferVo implements Serializable {


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;

    /**
     * 交出部门
     */
    @ApiModelProperty(value = "交出部门")
    private Long handOverDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverDeptName;

    /**
     * 交出岗位
     */
    @ApiModelProperty(value = "交出岗位")
    private Long handOverPost;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverPostName;

    /**
     * 交出人
     */
    @ApiModelProperty(value = "交出人")
    private Long handOverUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String handOverUserName;

    /**
     * 接收部门
     */
    @ApiModelProperty(value = "接收部门")
    private Long receiveDept;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receiveDeptName;

    /**
     * 接收岗位
     */
    @ApiModelProperty(value = "接收岗位")
    private Long receivePost;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receivePostName;

    /**
     * 接收人
     */
    @ApiModelProperty(value = "接收人")
    private Long receiveUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String receiveUserName;

    /**
     * 移交户数
     */
    @ApiModelProperty(value = "移交户数")
    private Integer transferNumber;

    /**
     * 维保费用
     */
    @ApiModelProperty(value = "维保费用")
    private BigDecimal maintenance;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 移交的项目列表
     */
    @ApiModelProperty(value = "移交的项目列表")
    private List<TransferProjectVo> projectVos;

}
