/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.buss.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.buss.entity.TfProjectBaseW;
import com.tofly.workflow.buss.entity.dto.BuilderBaseDto;
import com.tofly.workflow.buss.entity.dto.ProjectBaseDto;
import com.tofly.workflow.buss.entity.vo.ProjectBaseVo;
import com.tofly.workflow.process.entity.vo.IndoorRenovationVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工程基础表
 *
 * @author xqf
 * @date Wed Sep 14 00:00:00 CST 2022
 */
public interface TfProjectBaseWMapper extends BaseMapper<TfProjectBaseW> {

    ProjectBaseVo getBaseById( @Param("id") Long id,@Param("processId") Long processId);

    Page<IndoorRenovationVo> getBaseList(Page page,
                                         @Param("tenantIds") List<Long> tenantIds,
                                         @Param("projectNatures") List<Long> projectNatures,
                                         @Param("processTypes") List<Long> processTypes,
                                         @Param("likeStr") String likeStr,
                                         @Param("startTime") String startTime,
                                         @Param("endTime") String endTime);

    Page<TfProjectBaseW> pageProjectBase(Page page,@Param("dto") ProjectBaseDto dto);

    Page<TfProjectBaseW> getProjectBaseByBuilder(Page page,@Param("dto") BuilderBaseDto dto);

    Integer getProjectTypeValue(@Param("processId") Long processId);
}
