/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.buss.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.baseconf.entity.vo.MatterNumberVo;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import com.tofly.workflow.buss.entity.dto.DispatchRecordDto;
import com.tofly.workflow.buss.entity.dto.TfProjectMaterialDto;
import com.tofly.workflow.buss.entity.vo.MaterialItemVo;
import com.tofly.workflow.buss.entity.vo.PMaterialVo;
import com.tofly.workflow.buss.entity.vo.TfProjectMaterialWVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 工程材料(设计预算、领料出库)
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
public interface TfProjectMaterialWMapper extends BaseMapper<TfProjectMaterialW> {

    Page<TfProjectMaterialW> getTfProjectMaterialPage(Page page, @Param("dto") TfProjectMaterialDto dto);

    List<TfProjectMaterialWVo> getListByMatter(TfProjectMaterialDto dto);

    Double getPickingNum(@Param("linkProcessId") Long linkProcessId, @Param("matterId") Long matterId);


    Double getApplyNum(@Param("linkProcessId") Long linkProcessId, @Param("matterId") Long matterId);

    List<TfProjectMaterialWVo> getSupplyNumList(Long linkProcessId,Long category,Long matterType,String matterName);

    Double getSupplyNum(@Param("processId") Long processId,@Param("linkProcessId")Long linkProcessId, @Param("matterId") Long matterId,@Param("type") Short type);

    List<TfProjectMaterialWVo> getTotalBudgetNumList(Long processId);

    Double getReturnNum(@Param("linkProcessId")Long linkProcessId, @Param("matterId") Long matterId);

    List<Map<String,Object>> getDispatchRecord(DispatchRecordDto dto);

    List<PMaterialVo> getMaterialByProcessId(@Param("processId") Long processId, @Param("nodeId") Long nodeId);

    List<MatterNumberVo> getInOrOutMaterial(@Param("id") Long id,@Param("type") Short type);

    List<MaterialItemVo> getMaterialOutIn(@Param("processId") Long processId, @Param("nodeId") Long nodeId,@Param("type") Short type);

    List<TfProjectMaterialWVo> getAllListByMatter(@Param("dto") TfProjectMaterialDto dto, @Param("tenantId") Long tenantId);

//    Long getMainProcess(@Param("processId")Long likeProcessId,@Param("matterId") Long matterId,@Param("type") Short type);
}
