/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfCostSumsW;
import com.tofly.workflow.buss.entity.dto.CostSumsDto;

/**
 * 费用汇总
 *
 * @author xqf
 * @date Wed Feb 15 00:00:00 CST 2023
 */
public interface TfCostSumsWService extends IService<TfCostSumsW> {

    /**
     * 修改保存费用汇总
     * @param dto 费用汇总信息
     * @return 保存结果
     */
    Object saveCostSums(CostSumsDto dto);

    /**
     * 根据流程ID删除费用汇总信息
     * @param processId 主流程id
     * @return
     */
    boolean removeByprocessId(Long processId);

    /**
     * 根据主流程ID查询费用汇总信息
     * @param processId 主流程ID
     * @return 费用汇总信息
     */
    CostSumsDto getByProcessId(Long processId);
}
