/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfProjectBaseW;
import com.tofly.workflow.buss.entity.dto.BuilderBaseDto;
import com.tofly.workflow.buss.entity.dto.ProjectBaseDto;
import com.tofly.workflow.buss.entity.dto.TallyDateDto;
import com.tofly.workflow.buss.entity.vo.ProjectBaseVo;
import com.tofly.workflow.process.entity.vo.IndoorRenovationVo;

import java.util.List;

/**
 * 工程基础表
 *
 * @author xqf
 * @date Wed Sep 14 00:00:00 CST 2022
 */
public interface TfProjectBaseWService extends IService<TfProjectBaseW> {

    /**
     * 通过id查询工程基础表
     * @param id 工程基础信息ID
     * @param processId 主流程id
     * @return 查询结果
     */
    ProjectBaseVo getBaseById(Long id, Long processId);

    Page<IndoorRenovationVo> IndoorRenovationReport(Page page,String tenantId,String projectNature,String processType,String likeStr,String startTime,String endTime);

    /**
     * 工程基础表分页查询
     * @param page 分页
     * @param dto 基础信息查询条件
     * @return 查询结果
     */
    Page<TfProjectBaseW> pageProjectBase(Page page, ProjectBaseDto dto);

    /**
     * 工程基础表
     * @param page 分页
     * @param dto 施工人员
     * @return 工程基础表
     */
    Page<TfProjectBaseW> getProjectBaseByBuilder(Page page, BuilderBaseDto dto);

    /**
     * 获取流程工程性质
     * @param processId 流程id
     * @return
     */
    Integer getProjectTypeValue(Long processId);

    /**
     * 计算日期
     * @param dto 参数
     * @return
     */
    Object getTallyDate(TallyDateDto dto);
}
