/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.buss.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.baseconf.entity.vo.MatterNumberVo;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import com.tofly.workflow.buss.entity.dto.DispatchRecordDto;
import com.tofly.workflow.buss.entity.dto.TfProjectMaterialDto;
import com.tofly.workflow.buss.entity.vo.MaterialItemVo;
import com.tofly.workflow.buss.entity.vo.PMaterialVo;
import com.tofly.workflow.buss.entity.vo.TfProjectMaterialWVo;

import java.util.List;
import java.util.Map;

/**
 * 工程材料(设计预算、领料出库)
 *
 * @author JF
 * @date Tue Aug 30 00:00:00 CST 2022
 */
public interface TfProjectMaterialWService extends IService<TfProjectMaterialW> {

    Page<TfProjectMaterialW> getTfProjectMaterialPage(Page page, TfProjectMaterialDto dto);

    List<TfProjectMaterialWVo> getListByMatter(TfProjectMaterialDto dto);

    List<Map<String,Object>> getDispatchRecord(DispatchRecordDto dto);

    List<PMaterialVo> getMaterialByProcessId(Long processId, Long nodeId);

    /**
     * 流程完后执行出入库操作
     * @param id 流程id
     * @param type 出入库类型 0 入库 1出库/核销
     * @return
     */
    List<MatterNumberVo> getInOrOutMaterial(Long id, Short type);

    /**
     * 获取物料出库信息
     * @param processId 流程id
     * @param nodeId 步骤id
     * @param type 物资类型 1预算;2开工;3领料;4补料;5退料;6其它;7验收申请;8入库;9核销
     * @return
     */
    List<MaterialItemVo> getMaterialOutIn(Long processId, Long nodeId, Short type);
}
