package com.tofly.workflow.buss.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfProjectTransferW;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
/**
 * 项目移交 (主要潼南应用项目移交登记--单独填报)(TfProjectTransferW)表服务接口
 *
 * @author HaiQiu
 * @since 2022-09-19 17:52:12
 */
public interface TfProjectTransferWService extends IService<TfProjectTransferW> {

    /**
     * 根据ID查询
     * @param id id
     * @return 数据
     */
    TfProjectTransferW get(Serializable id);

    /**
     * 新增
     * @param tfProjectTransferW 实体
     */
    void insert(TfProjectTransferW tfProjectTransferW,List<MultipartFile> fileList);

    /**
     * 修改
     * @param tfProjectTransferW 实体
     */
    void edit(TfProjectTransferW tfProjectTransferW,List<MultipartFile> fileList);

    /**
     * 批量删除
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     * @param page 分页
     * @param tfProjectTransferW 查询wrapper
     * @return 数据集合
     */
    Page<TfProjectTransferW> pageList(Page<TfProjectTransferW> page, TfProjectTransferW tfProjectTransferW);

    /**
     * 数据导出
     * @param page 分页
     * @param tfProjectTransferW 查询模型
     * @param isAll 是否导出全部数据，true是，false否
     */
    void export(Page<TfProjectTransferW> page, TfProjectTransferW tfProjectTransferW, Boolean isAll);

    /**
     * 查询所有数据
     * @param tfProjectTransferW 查询条件
     * @return 查询所有数据
     */
    List<TfProjectTransferW> all(TfProjectTransferW tfProjectTransferW);
}

