package com.tofly.workflow.buss.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.buss.entity.TfSafetyMonitorW;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
/**
 * 安全监护 (单独填报)(TfSafetyMonitorW)表服务接口
 *
 * @author HaiQiu
 * @since 2022-09-20 10:10:23
 */
public interface TfSafetyMonitorWService extends IService<TfSafetyMonitorW> {

    /**
     * 根据ID查询
     * @param id id
     * @return 数据
     */
    TfSafetyMonitorW get(Serializable id);

    /**
     * 新增
     * @param tfSafetyMonitorW 实体
     */
    void insert(TfSafetyMonitorW tfSafetyMonitorW,List<MultipartFile> fileList);

    /**
     * 修改
     * @param tfSafetyMonitorW 实体
     */
    void edit(TfSafetyMonitorW tfSafetyMonitorW,List<MultipartFile> fileList);

    /**
     * 批量删除
     * @param idList 数据ID集合
     */
    void delete(List<Long> idList);

    /**
     * 生成模板下载
     */
    void template();

    /**
     * 数据导入
     * @param file 文件
     */
    void importData(MultipartFile file);

    /**
     * 分页查询
     * @param page 分页
     * @param tfSafetyMonitorW 查询wrapper
     * @return 数据集合
     */
    Page<TfSafetyMonitorW> pageList(Page<TfSafetyMonitorW> page, TfSafetyMonitorW tfSafetyMonitorW);

    /**
     * 数据导出
     * @param page 分页
     * @param tfSafetyMonitorW 查询模型
     * @param isAll 是否导出全部数据，true是，false否
     */
    void export(Page<TfSafetyMonitorW> page, TfSafetyMonitorW tfSafetyMonitorW, Boolean isAll);

    /**
     * 查询所有数据
     * @param tfSafetyMonitorW 查询条件
     * @return 查询所有数据
     */
    List<TfSafetyMonitorW> allList(TfSafetyMonitorW tfSafetyMonitorW);
}

