package com.tofly.workflow.buss.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.buss.entity.TfChargeW;
import com.tofly.workflow.buss.mapper.TfChargeWMapper;
import com.tofly.workflow.buss.service.TfChargeWService;
import com.tofly.workflow.process.entity.dto.ProcessBaseDto;
import com.tofly.workflow.process.service.BaseService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author haiqiu
 * @description 针对表【TF_BILL_W(工程用户账单/管道--费用支持账单)】的数据库操作Service实现
 * @createDate 2022-08-29 14:29:39
 */
@Service("tfChargeWService")
public class TfChargeWServiceImpl extends ServiceImpl<TfChargeWMapper, TfChargeW>
        implements TfChargeWService, BaseService {

    @Override
    public Object getJsonToObject(String json) {
        if (StringUtils.hasText(json)) {
            return JSONObject.parseObject(json,TfChargeW.class);
        }
        return null;
    }

    @Override
    public String saveDataCheck(Object t, List<MultipartFile> fileList) {
        return null;

    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Object saveData(Object t, List<MultipartFile> fileList, ProcessBaseDto pb) {
        if (t == null) {
            throw new RuntimeException("数据不完整");
        }
        String s = JSONObject.toJSONString(t);
        TfChargeW tfChargeW = JSONObject.parseObject(s, TfChargeW.class);
        //保存
        if (tfChargeW==null) {
            return null;
        }
            tfChargeW.setProcessId(pb.getId());
            tfChargeW.setNodeId(pb.getNodeId());
        //移除旧数据
        remove(Wrappers.<TfChargeW>lambdaQuery().
                eq(pb.getId() != null, TfChargeW::getProcessId, pb.getId())
                .eq(pb.getNodeId() != null, TfChargeW::getNodeId, pb.getNodeId()));
        //添加新数据
        return saveOrUpdate(tfChargeW);
    }

    /**
     * 获取数据
     *
     * @param processId 流程ID
     * @param nodeId    步骤节点ID
     * @return 业务数据
     */
    @Override
    public Object getBaseDatas(Long processId, Long nodeId,Long tenantId) {
        return list(new QueryWrapper<TfChargeW>().lambda()
                .eq(processId != null, TfChargeW::getProcessId, processId)
                .eq(nodeId != null, TfChargeW::getNodeId, nodeId));
    }
}




