/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.buss.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.em.FileTableEnum;
import com.tofly.common.entity.dto.FileInfoDto;
import com.tofly.common.service.IFileInfoService;
import com.tofly.common.utils.FileNameCheckUtils;
import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.baseconf.entity.TfMatterPriceP;
import com.tofly.workflow.baseconf.service.TfMatterPService;
import com.tofly.workflow.baseconf.service.TfMatterPricePService;
import com.tofly.workflow.buss.entity.TfDesignBudgetW;
import com.tofly.workflow.buss.entity.TfProjectBaseW;
import com.tofly.workflow.buss.entity.TfProjectMaterialW;
import com.tofly.workflow.buss.entity.dto.TfdesignBudgetWDto;
import com.tofly.workflow.buss.mapper.TfDesignBudgetWMapper;
import com.tofly.workflow.buss.service.TfDesignBudgetWService;
import com.tofly.workflow.buss.service.TfProjectBaseWService;
import com.tofly.workflow.buss.service.TfProjectMaterialWService;
import com.tofly.workflow.common.FlowConstant;
import com.tofly.workflow.process.entity.dto.ProcessBaseDto;
import com.tofly.workflow.process.service.BaseService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设计预算
 *
 * @author JF
 * @date Mon Aug 22 00:00:00 CST 2022
 */
@Service("tfDesignBudgetWService")
public class TfDesignBudgetWServiceImpl extends ServiceImpl<TfDesignBudgetWMapper, TfDesignBudgetW> implements TfDesignBudgetWService, BaseService {

    @Value("${zmrq.ftp.designBudget}")
    private String designBudgetPath;

    /**
     * 业务基础数据
     */
    @Autowired
    private TfProjectBaseWService pBaseService;

    @Autowired
    private TfProjectMaterialWService projectMaterialWService;
    @Autowired
    private TfMatterPricePService tfMatterPricePService;

    @Autowired
    private TfMatterPService matterPService;
    @Autowired
    private IFileInfoService fileInfoService;

    @Override
    public Object getJsonToObject(String json) {
        return null;
    }

    @Override
    public String saveDataCheck(Object t, List<MultipartFile> fileList) {
        if(t == null){
            return "新增/修改对象不能为空";
        }
        TfdesignBudgetWDto entityDto = JSON.parseObject(String.valueOf(t), TfdesignBudgetWDto.class);
//        if(entityDto.getDesignBudgetW() == null){
//            return "设计预算对象为空";
//        }
//        if(entityDto.getProjectMaterialList() == null || entityDto.getProjectMaterialList().size() == 0){
//            return "工程材料对象列表为空";
//        }
        if(CollUtil.isNotEmpty(entityDto.getProjectMaterialList())) {
            List<TfProjectMaterialW> projectMaterialList = entityDto.getProjectMaterialList();
            for (TfProjectMaterialW projectMaterialW : projectMaterialList) {
                if (projectMaterialW.getMatterId() == null) {
                    return "物料ID为空";
                }
                if (projectMaterialW.getMaterialType() == null) {
                    return "物资类型为空";
                }
            }
        }
        TfDesignBudgetW entity = entityDto.getDesignBudgetW();
        List<String> annexNameList = entity.getAnnexNameList();
        List<String> costAnnexNameList = entity.getCostAnnexNameList();
        List<String> drawingAnnexNameList = entity.getDrawingAnnexNameList();
        if(StringUtils.isNotBlank(FileNameCheckUtils.checkNodeFile(fileList,annexNameList))){
            return FileNameCheckUtils.checkNodeFile(fileList,annexNameList);
        }else if(StringUtils.isNotBlank(FileNameCheckUtils.checkNodeFile(fileList,costAnnexNameList))){
            return FileNameCheckUtils.checkNodeFile(fileList,costAnnexNameList);
        }
        return FileNameCheckUtils.checkNodeFile(fileList,drawingAnnexNameList);
    }

    @Override
    public Object saveData(Object t, List<MultipartFile> fileList, ProcessBaseDto pb) {
        if(pb == null){
            return "流程信息基础对象不能为空";
        }else if(pb.getId() == null){
            return "流程ID不能为空";
        }else if(pb.getNodeId() == null){
            return "节点ID不能为空";
        }
        TfdesignBudgetWDto entityDto = JSON.parseObject(String.valueOf(t), TfdesignBudgetWDto.class);
        TfDesignBudgetW entity = entityDto.getDesignBudgetW();
        entity.setProcessId(pb.getId());
        entity.setNodeId(pb.getNodeId());

        TfDesignBudgetW entityQ = this.getOne(new QueryWrapper<TfDesignBudgetW>()
                .eq("PROCESS_ID",pb.getId())
                .eq("NODE_ID",pb.getNodeId()));
        if(fileList != null && fileList.size() != 0){
            FileInfoDto fileInfoDto = new FileInfoDto();
            fileInfoDto.setFileList(fileList);
            fileInfoDto.setPath(designBudgetPath);
            fileInfoDto.setTableName(FileTableEnum.TF_DESIGN_BUDGET_W.getTableName());
            fileInfoDto.setFileNameList(entity.getAnnexNameList());
            if(entityQ == null){
                entity.setAnnex(fileInfoService.getFileInfo(fileInfoDto));

                fileInfoDto.setFileNameList(entity.getCostAnnexNameList());
                entity.setCostAnnex(fileInfoService.getFileInfo(fileInfoDto));

                fileInfoDto.setFileNameList(entity.getDrawingAnnexNameList());
            }else {
                fileInfoDto.setAgoInfos(entityQ.getAnnex());
                fileInfoDto.setNowInfos(entity.getAnnex());
                entity.setAnnex(fileInfoService.getFileInfo(fileInfoDto));

                fileInfoDto.setFileNameList(entity.getCostAnnexNameList());
                fileInfoDto.setAgoInfos(entityQ.getCostAnnex());
                fileInfoDto.setNowInfos(entity.getCostAnnex());
                entity.setCostAnnex(fileInfoService.getFileInfo(fileInfoDto));

                fileInfoDto.setFileNameList(entity.getDrawingAnnexNameList());
                fileInfoDto.setAgoInfos(entityQ.getDrawingAnnex());
                fileInfoDto.setNowInfos(entity.getDrawingAnnex());
            }
            entity.setDrawingAnnex(fileInfoService.getFileInfo(fileInfoDto));
        }
        if(entityQ != null){
            this.removeById(entityQ.getId());
        }
        projectMaterialWService.remove(new QueryWrapper<TfProjectMaterialW>()
                .eq("PROCESS_ID",pb.getId())
                .eq("NODE_ID",pb.getNodeId()));
        // 对象入库
        this.save(entity);

        if(entityDto.getProjectMaterialList() != null){
            List<TfProjectMaterialW> projectMaterialList = entityDto.getProjectMaterialList();
            for(TfProjectMaterialW projectMaterialW : projectMaterialList){
                projectMaterialW.setProcessId(pb.getId());
                projectMaterialW.setNodeId(pb.getNodeId());
                projectMaterialW.setLikeProcessId(pb.getRelationId());
                projectMaterialWService.save(projectMaterialW);
            }
        }
        /**保存工程公共信息*/
        if(FlowConstant.INTEGER_ONE.equals(pb.getSaveState())) {
            Long pbId = pBaseService.getObj(new QueryWrapper<TfProjectBaseW>().lambda().eq(TfProjectBaseW::getProcessId, pb.getId()).select(TfProjectBaseW::getId)
                    , r -> Long.parseLong(String.valueOf(r)));
            TfProjectBaseW npbase = new TfProjectBaseW();
            npbase.setBudget(entity.getBudget());
            if (pbId != null) {
                npbase.setId(pbId);
            } else {
                npbase.setConfigId(pb.getConfigId());
                npbase.setEdition(pb.getEdition());
                npbase.setProcessNumber(pb.getProcessNumber());
                npbase.setRelationId(pb.getRelationId());
                npbase.setTenantId(pb.getTenantId());
                npbase.setCategory(pb.getCategory());
                npbase.setProcessType(pb.getProcessType());
                npbase.setRegisterDept(pb.getRegisterDept());
                npbase.setRegisterStaff(pb.getRegisterStaff());
                npbase.setRegisterPost(pb.getRegisterPost());
                npbase.setRegisterTime(pb.getRegisterTime());
            }
            pBaseService.saveOrUpdate(npbase);
        }
        return null;
    }

    /**
     * 获取数据
     * @param processId 流程ID
     * @param nodeId 步骤节点ID
     * @return 业务数据
     */
    @Override
    public Object getBaseDatas(Long processId, Long nodeId,Long tenantId) {
        List<TfDesignBudgetW> list = list(new QueryWrapper<TfDesignBudgetW>().lambda()
                .eq(processId != null, TfDesignBudgetW::getProcessId, processId)
                .eq(nodeId != null, TfDesignBudgetW::getNodeId, nodeId));

        for(TfDesignBudgetW one : list){
            List<TfProjectMaterialW> materialList = projectMaterialWService.list(new QueryWrapper<TfProjectMaterialW>().lambda()
                    .eq(processId != null, TfProjectMaterialW::getProcessId, processId)
                    .eq(nodeId != null, TfProjectMaterialW::getNodeId, nodeId));
            if(CollUtil.isNotEmpty(materialList)){
                for(TfProjectMaterialW material : materialList){
                    if(material.getMatterId() == null){
                        continue;
                    }
                    TfMatterP mp = matterPService.getById(material.getMatterId());
                    if(mp!=null) {
                        mp.setMatterPrice(tfMatterPricePService.getOne(new QueryWrapper<TfMatterPriceP>()
                                .eq("MATTER_ID", mp.getId())
                                .eq("TENANT_ID", tenantId)
                                .eq("IS_VALID", 1)));
                        material.setMatterP(mp);
                    }
                }
                one.setProjectMaterialList(materialList);
            }
        }
        return list;
    }

}
