/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.buss.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.buss.entity.TfSelfDeviceW;
import com.tofly.workflow.buss.mapper.TfSelfDeviceWMapper;
import com.tofly.workflow.buss.service.TfSelfDeviceWService;
import com.tofly.workflow.process.entity.dto.ProcessBaseDto;
import com.tofly.workflow.process.service.BaseService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * 自检设备设施
 *
 * @author xqf
 * @date Mon Dec 26 00:00:00 CST 2022
 */
@Service("tfSelfDeviceWService")
public class TfSelfDeviceWServiceImpl extends ServiceImpl<TfSelfDeviceWMapper, TfSelfDeviceW> implements TfSelfDeviceWService , BaseService {

    @Override
    public Object getJsonToObject(String json) {
        if (StringUtils.hasText(json)) {
            return JSONObject.parseArray(json, TfSelfDeviceW.class);
        }
        return null;
    }

    @Override
    public String saveDataCheck(Object t, List<MultipartFile> fileList) {
        if (t == null) {
            throw new RuntimeException("数据不完整");
        }
        String s = JSONObject.toJSONString(t);
        List<TfSelfDeviceW> datas = JSONObject.parseArray(s, TfSelfDeviceW.class);
        if(CollUtil.isEmpty(datas)){
            return null;
        }
        List<String> devicenames = new ArrayList<>();
        for (TfSelfDeviceW device:datas) {
            if(device.getDeviceType()==null){
                return "deviceType 不能为空";
            }
            if(StringUtils.isEmpty(device.getDeviceNumber())){
                return "deviceNumber 不能为空！";
            }
            if(devicenames.contains(device.getDeviceNumber())){
                return "deviceNumber 重复！";
            }
        }
        return null;
    }

    @Override
    public Object saveData(Object t, List<MultipartFile> fileList, ProcessBaseDto pb) {
        String s = JSONObject.toJSONString(t);
        List<TfSelfDeviceW> datas = JSONObject.parseArray(s, TfSelfDeviceW.class);
        this.remove(new QueryWrapper<TfSelfDeviceW>().lambda().eq(TfSelfDeviceW::getProcessId,pb.getId()).eq(TfSelfDeviceW::getNodeId,pb.getNodeId()));
        if(CollUtil.isEmpty(datas)){
            return null;
        }
        for (TfSelfDeviceW device:datas) {
            device.setProcessId(pb.getId());
            device.setNodeId(pb.getNodeId());
        }
        return this.saveBatch(datas);
    }

    @Override
    public Object getBaseDatas(Long processId, Long nodeId,Long tenantId) {
        return this.list(new QueryWrapper<TfSelfDeviceW>().lambda().eq(TfSelfDeviceW::getProcessId,processId).eq(TfSelfDeviceW::getNodeId,nodeId));
    }
}
