/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.buss.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.buss.entity.TfSumsOtherItemW;
import com.tofly.workflow.buss.entity.dto.SumsOtherItemDto;
import com.tofly.workflow.buss.mapper.TfSumsOtherItemWMapper;
import com.tofly.workflow.buss.service.TfSumsOtherItemWService;
import com.tofly.workflow.common.FlowConstant;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 费用汇总其它目
 *
 * @author xqf
 * @date Wed Feb 15 00:00:00 CST 2023
 */
@Service("tfSumsOtherItemWService")
public class TfSumsOtherItemWServiceImpl extends ServiceImpl<TfSumsOtherItemWMapper, TfSumsOtherItemW> implements TfSumsOtherItemWService {

    /**
     * 保存费用汇总其它项目
     * @param otherItems 费用其它项目
     * @param processId 主流程ID
     * @return 是否保存成功
     */
    @Override
    public boolean saveOtherItems(List<SumsOtherItemDto> otherItems, Long processId) {

        this.remove(new QueryWrapper<TfSumsOtherItemW>().lambda().eq(TfSumsOtherItemW::getProcessId,processId)
                .eq(TfSumsOtherItemW::getIsValid, FlowConstant.SHORT_ONE).eq(TfSumsOtherItemW::getIsDel,FlowConstant.SHORT_ZERO));
        List<TfSumsOtherItemW> items = new ArrayList<>();
        for (SumsOtherItemDto item:otherItems) {
            TfSumsOtherItemW oi = new TfSumsOtherItemW();
            BeanUtils.copyProperties(item, oi);
            oi.setProcessId(processId);
            oi.setIsValid(FlowConstant.SHORT_ONE);
            oi.setIsDel(FlowConstant.SHORT_ZERO);
            items.add(oi);
        }
        return this.saveBatch(items);
    }
}
