/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.buss.service.impl;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.buss.entity.TfProjectBaseW;
import com.tofly.workflow.buss.entity.TfTaskAllocationW;
import com.tofly.workflow.buss.mapper.TfTaskAllocationWMapper;
import com.tofly.workflow.buss.service.TfProjectBaseWService;
import com.tofly.workflow.buss.service.TfTaskAllocationWService;
import com.tofly.workflow.common.FlowConstant;
import com.tofly.workflow.process.entity.dto.ProcessBaseDto;
import com.tofly.workflow.process.service.BaseService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 任务分配
 *
 * @author JF
 * @date Tue Sep 13 00:00:00 CST 2022
 */
@Service("tfTaskAllocationWService")
public class TfTaskAllocationWServiceImpl extends ServiceImpl<TfTaskAllocationWMapper, TfTaskAllocationW> implements TfTaskAllocationWService, BaseService {


    /**
     * 业务基础数据
     */
    @Autowired
    private TfProjectBaseWService pBaseService;

    @Override
    public Object getJsonToObject(String json) {
        return null;
    }

    @Override
    public String saveDataCheck(Object t, List<MultipartFile> fileList) {
        if(t == null){
            return "新增/修改对象不能为空";
        }
        return null;
    }

    @Override
    public Object saveData(Object t, List<MultipartFile> fileList, ProcessBaseDto pb) {
        if(pb == null){
            return "流程信息基础对象不能为空";
        }else if(pb.getId() == null){
            return "流程ID不能为空";
        }else if(pb.getNodeId() == null){
            return "节点ID不能为空";
        }

        TfTaskAllocationW entity = JSON.parseObject(String.valueOf(t),TfTaskAllocationW.class);
        entity.setProcessId(pb.getId());
        entity.setNodeId(pb.getNodeId());

        TfTaskAllocationW entityQ = this.getOne(new QueryWrapper<TfTaskAllocationW>()
                .eq("PROCESS_ID",pb.getId())
                .eq("NODE_ID",pb.getNodeId()));
        if(entityQ != null){
            this.removeById(entityQ.getId());
        }
        // 对象入库
        this.save(entity);
        /**填充工程基础信息*/
        if(pb.getSaveState()==FlowConstant.INTEGER_ONE && pb.getRelationId()==null && (entity.getDutyDept()!=null||entity.getDutyPost()!=null||entity.getDutyUser()!=null|| StringUtils.isNotEmpty(entity.getTelephone()))) {
            Long pbId = pBaseService.getObj(new QueryWrapper<TfProjectBaseW>().lambda().eq(TfProjectBaseW::getProcessId, pb.getId()).select(TfProjectBaseW::getId)
                    , r -> Long.parseLong(String.valueOf(r)));
            TfProjectBaseW npbase = new TfProjectBaseW();
            npbase.setDutyDept(entity.getDutyDept());
            npbase.setDutyPost(entity.getDutyPost());
            npbase.setDutyUser(entity.getDutyUser());
            npbase.setDutyPhone(entity.getTelephone());
            if (pbId == null) {
                npbase.setConfigId(pb.getConfigId());
                npbase.setEdition(pb.getEdition());
                npbase.setProcessNumber(pb.getProcessNumber());
                npbase.setTenantId(pb.getTenantId());
                npbase.setRelationId(pb.getRelationId());
                npbase.setProcessId(pb.getId());
                npbase.setCategory(pb.getCategory());
                npbase.setProcessType(pb.getProcessType());
                npbase.setRegisterDept(pb.getRegisterDept());
                npbase.setRegisterStaff(pb.getRegisterStaff());
                npbase.setRegisterPost(pb.getRegisterPost());
                npbase.setRegisterTime(pb.getRegisterTime());
            } else {
                npbase.setId(pbId);
            }
            pBaseService.saveOrUpdate(npbase);
        }
        return null;
    }

    @Override
    public Object getBaseDatas(Long processId, Long nodeId,Long tenantId) {
        return list(new QueryWrapper<TfTaskAllocationW>().lambda()
                .eq(processId != null, TfTaskAllocationW::getProcessId, processId)
                .eq(nodeId != null, TfTaskAllocationW::getNodeId, nodeId));
    }

    /**
     * 根据流程id获取任务分配
     * @param processId 流程id
     * @return
     */
    @Override
    public TfTaskAllocationW getValidTaskAllocation(Long processId) {
        return this.baseMapper.getTaskAllocationByProcess(processId);
    }
}
