/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.pay.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.ResultData;
import com.tofly.workflow.pay.entity.PayTradeW;
import com.tofly.workflow.pay.service.PayTradeWService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
/**
 * 银行（金融）支付交易信息
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/paytradew")
@Api(tags="银行（金融）支付交易信息接口")
public class PayTradeWController {

    private final  PayTradeWService payTradeWService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param payTradeW 银行（金融）支付交易信息
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getPayTradeWPage(Page page, @ModelAttribute PayTradeW payTradeW) {
      return ResultData.ok(payTradeWService.page(page, Wrappers.query(payTradeW)));
    }


    /**
     * 通过id查询银行（金融）支付交易信息
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultData getById(@PathVariable("id" ) Long id) {
      return ResultData.ok(payTradeWService.getById(id));
    }


    /**
     * 通过id删除银行（金融）支付交易信息
     * @param id id
     * @return ResultRespone
     */
//    @ToFlyAppLog(title="通过id删除银行（金融）支付交易信息" )
//    @ApiOperation(value = "通过ID删除银行（金融）支付交易信息")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
//    })
    //@DeleteMapping("/{id}" )
    public ResultData removeById(@PathVariable Long id) {
      return ResultData.ok(payTradeWService.removePayTradeById(id));
    }

}
