package com.tofly.workflow.pay.controller;

import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.common.config;
import com.tofly.workflow.pay.service.ScanPayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
@RequestMapping("/scanPayController")
@Api(tags="四川农信-扫码支付接口")
public class ScanPayController {

    private static final com.tofly.workflow.common.config config = new config();

    @Autowired
    private ScanPayService scanPayService;

//    /**
//     * 扫码支付-预下单（用户主扫）
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-预下单（用户主扫）" )
//    @ApiOperation(value = "扫码支付-预下单（用户主扫）")
//    @PostMapping("preOrder")
//    public ResultData preOrder() throws Exception {
//      //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
//        body.put("mchtNo", "139765240287346");
//        body.put("notifyUrl", "http://221.182.8.141:10082/tofly-flow/scanPayController/payResultCallback");
//        body.put("validTime", "600");
//        body.put("reqTime", sdf.format(new Date()));
//        body.put("orderAmt", "0.01");
//        body.put("reqSsn", "f9c646fd198bmjh05983d8d323asd345");
//        body.put("mchtTermId", "00000000");
//        body.put("txnAreaInfo", "511381");
//        body.put("orderDesc", "测试");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20200912113705467000000000001001824");
//        request.setRequestParam(request, "requestTime", "20200912160707");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000100", request, config.getVERSION());
//        //获取response里面的数据---不同形式
//         Map<String, Object> bodyData = response.getBody();
//         String bodyDataString = response.getBodyString();
//         System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//         String responseString = response.toString();
//         System.out.println("返回数据："+responseString);
//         if(bodyData.get("token") != null && !String.valueOf(bodyData.get("token")).equals("")){
//             QRCodeMaker.MakeQRCode(String.valueOf(bodyData.get("token")),"D:\\ToFly\\TestFile\\qrcode-" + sdf.format(new Date()) + ".png",1024);
//         }
//         return ResultData.fail(responseString);
//    }

//    /**
//     * 扫码支付-退款
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-退款" )
//    @ApiOperation(value = "扫码支付-退款")
//    @PostMapping("refund")
//    public ResultData refund() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("origReqSsn", "f8c646fd198bmjh05983d8d323asd345");
//        body.put("origReqTime", "20200912160707");
//        body.put("mchtNo", "139765240287346");
//        body.put("reqTime", "20200902103647");
//        body.put("reqSsn", "c7c19nh5678pca80959458737980331b");
//        body.put("orderAmt", "0.01");
//        body.put("orderDesc", "测试二狗在线发牌");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20200912190410281000000000003001965");
//        request.setRequestParam(request, "requestTime", "20200912190410");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000200", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

//    /**
//     * 扫码支付-交易结果查询
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-交易结果查询" )
//    @ApiOperation(value = "扫码支付-交易结果查询")
//    @PostMapping("viewPayResult")
//    public ResultData viewPayResult() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("origReqSsn", "e7c646fd198bmjh05983d8d323asd345");
//        body.put("mchtNo", "139765240287346");
//        body.put("reqTime", "20200901103648");
//        body.put("origReqTime", "20200912160707");
//        body.put("reqSsn", "g1c646fd198bmjh05983d8d323asd345");
//        body.put("mobileNo", "18142549381");
//        body.put("isDevice", "0");
//        body.put("longitude", "50");
//        body.put("latitude", "20");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20221107102350681154900000010001473");
//        request.setRequestParam(request, "requestTime", "20200912160706");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000300", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

    /**
     * 交易结果查询回调
     * @return ResultData
     */
    @ToFlyAppLog(title="交易结果查询回调" )
    @ApiOperation(value = "交易结果查询回调")
    @PostMapping("payResultCallback")
    public String payResultCallback(@RequestBody String callBackData) {
        return scanPayService.payResultCallback(callBackData);
    }

//    /**
//     * 扫码支付-商户对账文件下载
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-商户对账文件下载" )
//    @ApiOperation(value = "扫码支付-商户对账文件下载")
//    @PostMapping("downloadMerchantReconciliation")
//    public ResultData downloadMerchantReconciliation() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("settleDate", "20221111");
//        body.put("mchtNo", "139765240287346");
//        body.put("reqTime", "20200816153647");
//        body.put("reqSsn", "c7c12347878pca8b5555d8d3630575as");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20200912160707901000000000003001127");
//        request.setRequestParam(request, "requestTime", "20200912160707");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000400", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

//    /**
//     * 扫码支付-授权码查询
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-授权码查询" )
//    @ApiOperation(value = "扫码支付-授权码查询")
//    @PostMapping("viewAuthorizationCode")
//    public ResultData viewAuthorizationCode() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("authCode", "134646793733481855");
//        body.put("mchtNo", "129765100270890");
//        body.put("appid", "wx683a1b9bfd004839");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20200912161110072000000000003001364");
//        request.setRequestParam(request, "requestTime", "20200912161110");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000500", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

//    /**
//     * 扫码支付-支付（用户被扫）
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-支付（用户被扫）" )
//    @ApiOperation(value = "扫码支付-支付（用户被扫）")
//    @PostMapping("payUserPassive")
//    public ResultData payUserPassive() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("notifyUrl", "http://testpay.test.cn/mvc/test.do");
//        body.put("mchtNo", "129765100270890");
//        body.put("validTime", "600");
//        body.put("reqTime", "20200712103647");
//        body.put("orderAmt", "0.01");
//        body.put("reqSsn", "c7c123456mhgca8zxc9458737912gb60");
//        body.put("mchtTermId", "00000000");
//        body.put("orderDesc", "测试");
//        body.put("token", "134517664659024817");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20200912182145362000000000003001660");
//        request.setRequestParam(request, "requestTime", "20200912182145");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100000000", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

//    /**
//     * 扫码支付-订单关闭
//     * @return ResultData
//     */
//    @ToFlyAppLog(title="扫码支付-订单关闭" )
//    @ApiOperation(value = "扫码支付-订单关闭")
//    @PostMapping("closeOrder")
//    public ResultData closeOrder() throws Exception {
//        //创建sdk对象--传入appid，appSecret,行方加密公钥，合作方加密私钥，行方加签公钥,合作方加签私钥。
//        ScrcuSdk sdk = ScrcuSdk.getInstance(config.getAPPID(), config.getAPPSECRET(),config.getOPENEPUBK(),config.getAPPDPRIK(),config.getOPENVPUBK(),config.getAPPSPRIK());
//        //设置自定义域名--网关为例
//        sdk.setDomainName(config.getHTTP());
//        //设置请求body参数--以map为例,可以使用实体类或者json格式字符串
//        HashMap<String, Object> body = new HashMap<>();
//        body.put("origReqSsn", "f7c646fd198bmjh05983d8d323asd345");
//        body.put("mchtNo", "139765240287346");
//        body.put("origReqTime", "20200912160707");
//        body.put("reqTime", "20201211155049");
//        body.put("reqSsn", "1e8262f8fca24ac989a932e1362bbde8");
//        body.put("isDevice", "1");
//        //初始化ScrcuRequest对象，放入body
//        //如果需要传递request中的参数，请初始化时放入
//        ScrcuRequest<HashMap<String, Object>> request= new ScrcuRequest<>(body);
//        request.setRequestParam(request, "appId", "154900000010001");
//        request.setRequestParam(request, "appSecret", "b6796d44-1d0a-4852-88e4-9ca42f3fa059");
//        request.setRequestParam(request, "requestId", "20201211155049842000000000004001771");
//        request.setRequestParam(request, "requestTime", "20201211155049");
//        request.setRequestParam(request, "charset", "UTF-8");
//        request.setRequestParam(request, "version", "1.0.0");
//        //发起调用--传入url，ScrcuRequest对象，版本号
//        ScrcuResponse response = sdk.call("/qrcodepay/OPC321560202000100001000", request, config.getVERSION());
//        //获取response里面的数据---不同形式
////         Map<String, Object> bodyData = response.getBody();
//        String bodyDataString = response.getBodyString();
//        System.out.println("bodyDataString" + bodyDataString);
////         ResponseHeader headerString =response.getHeader();
//        String responseString = response.toString();
//        System.out.println("返回数据："+responseString);
//        return ResultData.fail(responseString);
//    }

}
