/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.pay.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 银行（金融）配置信息
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_BANK_INFO_P", resultMap = "bankInfoPMap")
@KeySequence("TF_BANK_INFO_P")
@ApiModel
public class BankInfoP extends Model<BankInfoP> {
    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    @ApiModelProperty(hidden = true)
    private String tenantIdName;
    /**
     * 银行(金融机构)名称
     */
    @ApiModelProperty(value = "银行(金融机构)名称")
    private String bankName;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacts;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String telephone;
    /**
     * APPID应用编号
     */
    @ApiModelProperty(value = "APPID应用编号")
    private String appid;
    /**
     * 合作方密钥
     */
    @ApiModelProperty(value = "app密钥")
    private String appsecret;
    /**
     * 平台加密公钥
     */
    @ApiModelProperty(value = "平台加密公钥")
    private String openepubk;
    /**
     * 合作方加密私钥
     */
    @ApiModelProperty(value = "合作方加密私钥")
    private String appdprik;
    /**
     * 平台加签公钥
     */
    @ApiModelProperty(value = "平台加签公钥")
    private String openvpubk;
    /**
     * 合作方加签私钥
     */
    @ApiModelProperty(value = "合作方加签私钥")
    private String appsprik;
    /**
     * 网络地址--域名
     */
    @ApiModelProperty(value = "网络地址--域名")
    private String http;
    /**
     * 字符集
     */
    @ApiModelProperty(value = "字符集")
    private String charset;
    /**
     * 交易行政代码
     */
    @ApiModelProperty(value = "交易行政代码")
    private String txnAreaInfo;
    /**
     * 接口版本号
     */
    @ApiModelProperty(value = "接口版本号")
    private String version;
    /**
     * 访问令牌
     */
    @ApiModelProperty(value = "访问令牌")
    private String accessToken;
    /**
     * 银行用户编号
     */
    @ApiModelProperty(value = "银行用户编号")
    @TableField(value = "USER_ID")
    private String userId;
    /**
     * 商户号
     */
    @ApiModelProperty(value = "商户号")
    private String mchtNo;
    /**
     * service名称
     */
    @ApiModelProperty(value = "service名称")
    private String service;

    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
