/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.pay.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 银行支付相关接口配置
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PAY_IMPL_INFO_P", resultMap = "payImplInfoPMap")
@KeySequence("TF_PAY_IMPL_INFO_P")
@ApiModel
@ToString
public class PayImplInfoP extends Model<PayImplInfoP> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 银行ID
     */
    @ApiModelProperty(value = "银行ID")
    private Long bankId;
    /**
     * 支付类型1用户主扫;2被扫;3交易查询;4退款;5对账
     */
    @ApiModelProperty(value = "支付类型1用户主扫;2被扫;3交易查询;4退款;5对账")
    private Short payType;
    /**
     * 支付名称
     */
    @ApiModelProperty(value = "支付名称")
    private String payName;
    /**
     * 请求路径
     */
    @ApiModelProperty(value = "请求路径")
    private String path;
    /**
     * 回调地址
     */
    @ApiModelProperty(value = "回调地址")
    private String notifyUrl;
    /**
     * 有效时间，单位为秒
     */
    @ApiModelProperty(value = "有效时间，单位为秒")
    private Long validTime;
    /**
     * 商户的终端设备编号
     */
    @ApiModelProperty(value = "商户的终端设备编号")
    private String mchtTermId;
    /**
     * 密钥
     */
    @ApiModelProperty(value = "密钥")
    private String secretKey;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
