/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.pay.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 银行（支付）交易查询相应报文
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PAY_SELECT_W", resultMap = "paySelectWMap")
@KeySequence("TF_PAY_SELECT_W")
@ApiModel
public class PaySelectW extends Model<PaySelectW> {
    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 请求流水
     */
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;
    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;
    /**
     * 源请求流水
     */
    @ApiModelProperty(value = "源请求流水")
    private String origReqSsn;
    /**
     * 源请求时间
     */
    @ApiModelProperty(value = "源请求时间")
    private String origReqTime;
    /**
     * 商户号
     */
    @ApiModelProperty(value = "商户号")
    private String mchtNo;
    /**
     * 请求路径
     */
    @ApiModelProperty(value = "请求路径")
    private String path;
    /**
     * 请求状态 1成功 0失败
     */
    @ApiModelProperty(value = "请求状态 1成功 0失败")
    private Short reqStatus;
    /**
     * 响应头报文
     */
    @ApiModelProperty(value = "响应头报文")
    private String respHeader;
    /**
     * 响应报文
     */
    @ApiModelProperty(value = "响应报文")
    private String respBody;
    /**
     * 附件id 用逗号分隔
     */
    @ApiModelProperty(value = "附件id 用逗号分隔")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 请求类型 1主动结果查询 2回调结果查询
     */
    @ApiModelProperty(value = "请求类型 1主动结果查询 2回调结果查询")
    private Short reqType;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

}
