/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.pay.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 银行（金融）支付交易信息
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PAY_TRADE_W", resultMap = "payTradeWMap")
@KeySequence("TF_PAY_TRADE_W")
@ApiModel
public class PayTradeW extends Model<PayTradeW> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 支付类型1用户主扫;2被扫;4退款;
     */
    @ApiModelProperty(value = "支付类型1用户主扫;2被扫;4退款;")
    private Short payType;
    /**
     * 支付接口ID
     */
    @ApiModelProperty(value = "支付接口ID")
    private Long implId;
    /**
     * 请求流水号
     */
    @ApiModelProperty(value = "请求流水号")
    private String requestId;
    /**
     * 请求头时间
     */
    @ApiModelProperty(value = "请求头时间")
    private String requestTime;
    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private String devFpId;
    /**
     * 签名数据
     */
    @ApiModelProperty(value = "签名数据")
    private String signData;
    /**
     * 请求流水
     */
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;
    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;
    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private Double orderAmt;
    /**
     * 商户的终端设备编号
     */
    @ApiModelProperty(value = "商户的终端设备编号")
    private String mchtTermId;
    /**
     * 交易发生地区，行政区划分代码
     */
    @ApiModelProperty(value = "交易发生地区，行政区划分代码")
    private String txnAreaInfo;
    /**
     * 订单描述
     */
    @ApiModelProperty(value = "订单描述")
    private String orderDesc;
    /**
     * 有效时间，单位为秒
     */
    @ApiModelProperty(value = "有效时间，单位为秒")
    private Long validTime;
    /**
     * 请求路径
     */
    @ApiModelProperty(value = "请求路径")
    private String path;
    /**
     * 回调地址
     */
    @ApiModelProperty(value = "回调地址")
    private String notifyUrl;
    /**
     * 响应头流水，由银行生成
     */
    @ApiModelProperty(value = "响应头流水，由银行生成")
    private String responseId;
    /**
     * 响应头时间
     */
    @ApiModelProperty(value = "响应头时间")
    private String responseTime;
    /**
     * 请求结果
     */
    @ApiModelProperty(value = "请求结果")
    private String respCode;
    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息")
    private String respMsg;
    /**
     * 响应流水号
     */
    @ApiModelProperty(value = "响应流水号")
    private String respSsn;
    /**
     * 响应时间
     */
    @ApiModelProperty(value = "响应时间")
    private String respTime;
    /**
     * 商户二维码
     */
    @ApiModelProperty(value = "商户二维码")
    private String token;
    /**
     * 返回body
     */
    @ApiModelProperty(value = "返回body")
    private String respBody;
    /**
     * 交易类型 01-支付;02-退款
     */
    @ApiModelProperty(value = "交易类型 01-支付;02-退款")
    private String txnType;
    /**
     * 订单状态,"00-订单成功,01-已撤销,02-已发生退款,03-已关闭,09-订单失败,10-订单已受理,11-订单处理中,12-用户输密中,13-订单处理超时"
     */
    @ApiModelProperty(value = "订单状态,00-订单成功, 01 - 已撤销, 02 - 已发生退款, 03 - 已关闭, 09 - 订单失败, 10 - 订单已受理, 11 - 订单处理中, 12 - 用户输密中, 13 - 订单处理超时")
    private String orderState;
    /**
     * 回调订单金额
     */
    @ApiModelProperty(value = "回调订单金额")
    private Double txnAmt;
    /**
     * 实付金额
     */
    @ApiModelProperty(value = "实付金额")
    private Double payAmt;
    /**
     * 营销金额，该笔订单的优惠金额
     */
    @ApiModelProperty(value = "营销金额，该笔订单的优惠金额")
    private Double activeAmt;


    /**
     * 退款总金额
     */
    @ApiModelProperty(value = "退款总金额")
    private Double refundAmt;

    /**
     * 客户退款金额
     */
    @ApiModelProperty(value = "客户退款金额")
    private Double cRefundAmt;

    /**
     * 商户优惠退款金额
     */
    @ApiModelProperty(value = "商户优惠退款金额")
    private Double mRefundAmt;

    /**
     * 平台优惠退款金额
     */
    @ApiModelProperty(value = "平台优惠退款金额")
    private Double pRefundAmt;

    /**
     * 原请求流水号
     */
    @ApiModelProperty(value = "原请求流水号")
    private String origReqSsn;
    /**
     * 原请求时间
     */
    @ApiModelProperty(value = "原请求时间")
    private String origReqTime;
    /**
     * 原交易响应流水号
     */
    @ApiModelProperty(value = "原交易响应流水号")
    private String origRespSsn;
    /**
     * 原请求响应时间
     */
    @ApiModelProperty(value = "原请求响应时间")
    private String origRespTime;
    /**
     * 原支付交易响应流水号
     */
    @ApiModelProperty(value = "原支付交易响应流水号")
    private String origPaySsn;
    /**
     * 原支付请求响应时间
     */
    @ApiModelProperty(value = "原支付请求响应时间")
    private String origPayTime;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 请求状态 1成功 0失败
     */
    @ApiModelProperty(value = "请求状态 1成功 0失败")
    private Short respState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
