package com.tofly.workflow.pay.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 查询支付（退款）结果
 */
@Data
@EqualsAndHashCode
public class ResultQueryDto implements Serializable {

    /**
     * 流程ID
     */
    @NotNull(message = "processId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;


    /**
     * 请求流水号
     */
    @NotEmpty(message = "requestId 不能为空")
    @ApiModelProperty(value = "请求流水号")
    private String requestId;

    /**
     * 请求流水
     */
    @NotEmpty(message = "reqSsn 不能为空")
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;

    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;

    /**
     * 支付类型1用户主扫;2被扫;4退款;
     */
    @NotEmpty(message = "payType 不能为空")
    @ApiModelProperty(value = "支付类型1用户主扫;2被扫;4退款;")
    private Short payType;


}
