package com.tofly.workflow.pay.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class UserMainScanDto implements Serializable {

    /**
     * 流程ID
     */
    @NotNull(message = "processId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @NotNull(message = "processStep"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @NotNull(message = "stepNode"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    /**
     * 订单金额
     */
    @NotNull(message = "orderAmt"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "订单金额")
    private Double orderAmt;

    /**
     * 订单描述
     */
    @ApiModelProperty(value = "订单描述")
    private String orderDesc;

    /**
     * 请求流水
     */
    @NotEmpty(message = "reqSsn 不能为空")
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;

    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;


}
