package com.tofly.workflow.pay.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * 支付（退款）查询结果
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode
public class QueryResultVo implements Serializable {

    public QueryResultVo(Integer code,String describe){
        this.code = code;
        this.describe = describe;
    }
    /**
     * 请求状态码 1 成功 0 失败
     */
    @ApiModelProperty(value = "请求状态码 1 成功 0 失败")
    private Integer code;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 请求流水号
     */
    @ApiModelProperty(value = "请求流水号")
    private String requestId;

    /**
     * 请求流水
     */
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;

    /**
     * 支付类型1用户主扫;2被扫;4退款;
     */
    @NotEmpty(message = "payType 不能为空")
    @ApiModelProperty(value = "支付类型1用户主扫;2被扫;4退款;")
    private Short payType;

    /**
     * 回调订单金额
     */
    @ApiModelProperty(value = "回调订单金额")
    private Double txnAmt;
    /**
     * 实付金额
     */
    @ApiModelProperty(value = "实付金额")
    private Double payAmt;
    /**
     * 营销金额，该笔订单的优惠金额
     */
    @ApiModelProperty(value = "营销金额，该笔订单的优惠金额")
    private Double activeAmt;



}
