package com.tofly.workflow.pay.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 退款结果
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode
public class RefundVo implements Serializable {


    public RefundVo(Integer code,String describe){
        this.code = code;
        this.describe = describe;
    }
    /**
     * 请求状态码 1 成功 0 失败
     */
    @ApiModelProperty(value = "请求状态码 1 成功 0 失败")
    private Integer code;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 请求流水号
     */
    @ApiModelProperty(value = "请求流水号")
    private String requestId;

    /**
     * 请求流水
     */
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;

    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;

    /**
     * 退款总金额
     */
    @ApiModelProperty(value = "退款总金额")
    private Double refundAmt;

    /**
     * 客户退款金额
     */
    @ApiModelProperty(value = "客户退款金额")
    private Double cRefundAmt;

    /**
     * 商户优惠退款金额
     */
    @ApiModelProperty(value = "商户优惠退款金额")
    private Double mRefundAmt;

    /**
     * 平台优惠退款金额
     */
    @ApiModelProperty(value = "平台优惠退款金额")
    private Double pRefundAmt;

}
