package com.tofly.workflow.pay.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户主扫返回信息
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode
public class UserMainScanVo implements Serializable {


    public UserMainScanVo(Integer code,String describe){
        this.code = code;
        this.describe = describe;
    }

    /**
     * 请求状态码 1 成功 0 失败
     */
    @ApiModelProperty(value = "请求状态码 1 成功 0 失败")
    private Integer code;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 请求流水号
     */
    @ApiModelProperty(value = "请求流水号")
    private String requestId;

    /**
     * 请求流水
     */
    @ApiModelProperty(value = "请求流水")
    private String reqSsn;
    /**
     * 请求时间
     */
    @ApiModelProperty(value = "请求时间")
    private String reqTime;

    /**
     * 商户二维码
     */
    @ApiModelProperty(value = "商户二维码")
    private String token;

}
