/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.pay.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.pay.entity.BankInfoP;
import com.tofly.workflow.pay.entity.dto.BankInfoDto;
import com.tofly.workflow.pay.entity.dto.BankPageDto;

/**
 * 银行（金融）配置信息
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
public interface BankInfoPService extends IService<BankInfoP> {

    /**
     * 保存银行（金融）配置信息
     * @param dto 配置信息
     * @return 保存结果
     */
    Object saveBankInfo(BankInfoDto dto);

    /**
     * 删除银行配置信息
     * @param id id
     * @return
     */
    Boolean removeBankById(Long id);

    /**
     * 银行配置
     * @param page 分页
     * @param dto 查询条件
     * @return
     */
    Page<BankInfoP> pageBank(Page page, BankPageDto dto);

    /**
     * 测试银行配置信息
     * @param dto 配置信息
     * @return 测试结果
     */
    Object bankTest(BankInfoDto dto);
}
