package com.tofly.workflow.pay.service;

import com.tofly.workflow.pay.entity.BankInfoP;
import com.tofly.workflow.pay.entity.dto.ResultQueryDto;
import com.tofly.workflow.pay.entity.dto.UserMainScanDto;
import com.tofly.workflow.pay.entity.vo.QueryResultVo;
import com.tofly.workflow.pay.entity.vo.RefundVo;
import com.tofly.workflow.pay.entity.vo.UserMainScanVo;

/**
 * 银行调用相关接口
 */
public interface QrcodepayBaseService {

    /**
     * 获取支付sdk（或上下文）及校验
     * @param infoP 银行配置信息
     * @return 支付sdk（或上下文） 异常或失败返回null
     */
    Object getSdk(BankInfoP infoP);


    /**
     * 获取用户主扫二维码
     * @param infoP 银行配置信息
     * @param dto 支付信息
     * @return 用户二维码
     */
    UserMainScanVo userMainScan(BankInfoP infoP, UserMainScanDto dto);

    /**
     * 查询支付（退款）结果
     * @param infoP 银行配置信息
     * @param dto 查询信息
     * @return 查询结果
     */
    QueryResultVo resultQuery(BankInfoP infoP, ResultQueryDto dto);

    /**
     * 请求退款
     * @param infoP 银行配置
     * @param dto 退款信息
     * @return 结果
     */
    RefundVo refund(BankInfoP infoP, UserMainScanDto dto);

}
