package com.tofly.workflow.pay.service;

import com.tofly.workflow.pay.entity.dto.ResultQueryDto;
import com.tofly.workflow.pay.entity.dto.UserMainScanDto;
import com.tofly.workflow.pay.entity.vo.QueryResultVo;
import com.tofly.workflow.pay.entity.vo.RefundVo;
import com.tofly.workflow.pay.entity.vo.UserMainScanVo;

/**
 * 银行（金融）请求接口
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
public interface QrcodepayImplService {
    /**
     * 请求用户主扫二维码
     * @param dto 请求信息
     * @return 二维码信息
     */
    UserMainScanVo userMainScan(UserMainScanDto dto);

    /**
     * 查询支付（退款）结果
     * @param dto 查询请求
     * @return 支付结果
     */
    QueryResultVo resultQuery(ResultQueryDto dto);

    /**
     * 请求退款
     * @param dto 请求信息
     * @return 退款结果
     */
    RefundVo refund(UserMainScanDto dto);
}
