/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.common.FlowConstant;
import com.tofly.workflow.pay.entity.PayTradeW;
import com.tofly.workflow.pay.mapper.PayTradeWMapper;
import com.tofly.workflow.pay.service.PayTradeWService;
import org.springframework.stereotype.Service;

/**
 * 银行（金融）支付交易信息
 *
 * @author xqf
 * @date Wed Nov 16 00:00:00 CST 2022
 */
@Service("payTradeWService")
public class PayTradeWServiceImpl extends ServiceImpl<PayTradeWMapper, PayTradeW> implements PayTradeWService {

    /**
     * 删除银行（金融）支付交易信息
     * @param id id
     * @return
     */
    @Override
    public Boolean removePayTradeById(Long id) {
        return this.update(new UpdateWrapper<PayTradeW>().lambda().eq(PayTradeW::getId,id).eq(PayTradeW::getIsDel, FlowConstant.SHORT_ZERO)
                .set(PayTradeW::getIsDel,FlowConstant.SHORT_ONE));
    }
}
