/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.process.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.result.BaseController;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.process.entity.TfProcessUpperNodeL;
import com.tofly.workflow.process.service.TfProcessUpperNodeLService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.Arrays;
/**
 * 流程节点的上节点信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfprocessuppernodel")
@Api(tags="流程节点的上节点信息接口")
public class TfProcessUpperNodeLController extends BaseController {

    private final  TfProcessUpperNodeLService tfProcessUpperNodeLService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfProcessUpperNodeL 流程节点的上节点信息
    * @return
    */
    @ToFlyAppLog(title="分页查询" )
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultData getTfProcessUpperNodeLPage(Page page, @ModelAttribute TfProcessUpperNodeL tfProcessUpperNodeL) {
      return ResultData.ok(tfProcessUpperNodeLService.page(page, Wrappers.query(tfProcessUpperNodeL)));
    }


    /**
     * 通过id查询流程节点的上节点信息
     * @param id id
     * @return ResultData
     */
    @ToFlyAppLog(title="通过ID查询" )
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "BigDecimal")
    })
    public ResultData getById(@PathVariable("id" ) BigDecimal id) {
      return ResultData.ok(tfProcessUpperNodeLService.getById(id));
    }

}
