/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.process.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程当前处理信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_NOW_HANDLE_L", resultMap = "tfNowHandleLMap")
@KeySequence("TF_NOW_HANDLE_L")
@ApiModel
public class TfNowHandleL extends Model<TfNowHandleL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 当前节点ID
     */
    @ApiModelProperty(value = "当前节点ID")
    private Long nodeId;
    /**
     * 当前流程步骤
     */
    @ApiModelProperty(value = "当前流程步骤")
    private Integer processStep;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;
    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 当前处理岗位
     */
    @ApiModelProperty(value = "当前处理岗位")
    private Long handlePost;
    /**
     * 当前处理部门
     */
    @ApiModelProperty(value = "当前处理部门")
    private Long handleDept;
    /**
     * 当前处理人
     */
    @ApiModelProperty(value = "当前处理人")
    private Long handleStaff;
    /**
     * 当前处理方式1唯一处理;2任意一人处理;3..
     */
    @ApiModelProperty(value = "当前处理方式1唯一处理;2任意一人处理;3..")
    private Short handleMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handleModeName;
    /**
     * 开始提醒时间
     */
    @ApiModelProperty(value = "开始提醒时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date remindTime;
    /**
     * 完成时限
     */
    @ApiModelProperty(value = "完成时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeLimit;
}
