/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.process.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程节点处理信息（操作步骤都有记录）
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_NODE_L", resultMap = "tfProcessNodeLMap")
@KeySequence("TF_PROCESS_NODE_L")
@ApiModel
public class TfProcessNodeL extends Model<TfProcessNodeL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID",type= IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;

    /**
     * 页面code
     */
    @ApiModelProperty(value = "页面code")
    private String pageCode;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 条件（判断选择条件多个用逗号分隔）
     */
    @ApiModelProperty(value = "条件（判断选择条件多个用逗号分隔）")
    private String condition;
    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String opinion;
    /**
     * 处理结果(页面自行控制)
     */
    @ApiModelProperty(value = "处理结果(页面自行控制)")
    private Short handleResults;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handleResultsName;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;

    /**
     * 数值
     */
    @ApiModelProperty(value = "数值")
    private Double numberValue;
    /**
     * 数值1
     */
    @ApiModelProperty(value = "数值1")
    private Double numberValue1;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 完成时限
     */
    @ApiModelProperty(value = "完成时限")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date timeLimit;

    /**
     * 人员id
     */
    @ApiModelProperty(value = "人员id")
    private Long userId;


    /**
     * 其它人员ID
     */
    @ApiModelProperty(value = "其它人员ID")
    private Long staffId;

    /**
     * 处理岗位
     */
    @ApiModelProperty(value = "处理岗位")
    private Long handlePost;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handlePostName;
    /**
     * 处理部门
     */
    @ApiModelProperty(value = "处理部门")
    private Long handleDept;
    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人")
    private Long handleUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handleUserName;
    /**
     * 负责岗位
     */
    @ApiModelProperty(value = "负责岗位")
    private Long dutyPost;
    /**
     * 负责部门
     */
    @ApiModelProperty(value = "负责部门")
    private Long dutyDept;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;
    /**
     * 时间（处理时间等）
     */
    @ApiModelProperty(value = "时间（处理时间等）")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date handleTime;
    /**
     * 是否有效1有效；0无效(转派、被驳回为无效)
     */
    @ApiModelProperty(value = "是否有效1有效；0无效(转派、被驳回为无效)")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否超时1是；0否
     */
    @ApiModelProperty(value = "是否超时1是；0否")
    private Short isOvertime;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isOvertimeName;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;

    /**
     * 是否临时数据 0否 1是 默认0
     */
    @ApiModelProperty(value = "是否临时数据 0否 1是 默认0")
    private Short isTemp;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String handleRemark;

    /**
     * 节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回
     */
    @ApiModelProperty(value = "节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回")
    private Integer nodeState;
	
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String nodeStateName;

    /**
     * 处理状态 处理状态 1提交;2:驳回;3:转派;4:终止;
     */
    @ApiModelProperty(value = "处理状态 处理状态 1提交;2:驳回;3:转派;4:终止;")
    private Integer handleState;

    /**
     * 日期时间
     */
    @ApiModelProperty(value = "日期时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 签字附件
     */
    @ApiModelProperty(value = "签字附件")
    private String signAnnex;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String adder;
    /**
     * 结果(字典值)
     */
    @ApiModelProperty(value = "结果(字典值)")
    private Long outcome;

    /**
     * 关联id1
     */
    @ApiModelProperty(value = "关联id1")
    private Long oneId;


    /**
     * 创建岗位
     */
    @ApiModelProperty(value = "创建岗位")
    private Long createPost;
    /**
     * 创建部门
     */
    @ApiModelProperty(value = "创建部门")
    private Long createDept;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

}
