/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.process.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 流程督办记录信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_SUPERVISE_L", resultMap = "tfProcessSuperviseLMap")
@KeySequence("TF_PROCESS_SUPERVISE_L")
@ApiModel
public class TfProcessSuperviseL extends Model<TfProcessSuperviseL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;
    /**
     * 督办岗位
     */
    @ApiModelProperty(value = "督办岗位")
    private Long supervisePost;
    /**
     * 督办部门
     */
    @ApiModelProperty(value = "督办部门")
    private Long superviseDept;
    /**
     * 督办人
     */
    @ApiModelProperty(value = "督办人")
    private Long superviseUser;
    /**
     * 意见
     */
    @ApiModelProperty(value = "意见")
    private String opinion;
    /**
     * 处理岗位
     */
    @ApiModelProperty(value = "处理岗位")
    private Long handlePost;
    /**
     * 处理部门
     */
    @ApiModelProperty(value = "处理部门")
    private Long handleDept;
    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人")
    private Long handleUser;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;

    /**
     * 级别1,2,3,4,5
     */
    @ApiModelProperty(value = "级别1,2,3,4,5")
    private Short level;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantIdName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
