/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.process.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程节点的上节点信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_UPPER_NODE_L", resultMap = "tfProcessUpperNodeLMap")
@KeySequence("TF_PROCESS_UPPER_NODE_L")
@ApiModel
public class TfProcessUpperNodeL extends Model<TfProcessUpperNodeL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 当前节点ID
     */
    @ApiModelProperty(value = "当前节点ID")
    private Long nodeId;
    /**
     * 上步骤ID
     */
    @ApiModelProperty(value = "上步骤ID")
    private Long stepId;
    /**
     * 上步骤节点ID
     */
    @ApiModelProperty(value = "上步骤节点ID")
    private Long stepNodeId;
    /**
     * 上游处理ID(前一步流程无论驳回、转派)
     */
    @ApiModelProperty(value = "上游处理ID(前一步流程无论驳回、转派)")
    private Long handleId;
    /**
     * 类型0下游;1上游
     */
    @ApiModelProperty(value = "类型0下游;1上游")
    private Integer type;

    /**
     * 是否有效1有效；0无效(转派、被驳回为无效)
     */
    @ApiModelProperty(value = "是否有效1有效；0无效(转派、被驳回为无效)")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;

}
