package com.tofly.workflow.process.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 下一步节点
 */
@Data
@EqualsAndHashCode
public class NextStepDto  implements Serializable {

    /**
     * 流程步骤
     */
    @NotNull(message = "processStep"+ FlowConstant.ISNOTNUL)
    @Min(value = 1,message = "processStep"+FlowConstant.NOT_LESS_THAN+1)
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤节点
     */
    @NotNull(message = "stepNode"+ FlowConstant.ISNOTNUL)
    @Min(value = 1,message = "stepNode"+ FlowConstant.NOT_LESS_THAN+1)
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;


    /**
     * 部门
     */
    @ApiModelProperty(value = "部门")
    private Long dept;

    /**
     * 岗位
     */
    @ApiModelProperty(value = "岗位")
    private Long post;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private Long deptStaff;


}
