package com.tofly.workflow.process.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class PNodeUpdateDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 流程步骤id
     */
    @ApiModelProperty(value = "流程步骤id")
    private Long nodeId;

    /**
     * 流程下一步骤
     */

    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 步骤下一节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;




    /**
     * 原负责部门
     */
    @ApiModelProperty(value = "原负责部门")
    private Long billDutyDept;
    /**
     * 原负责岗位
     */
    @ApiModelProperty(value = "原负责岗位")
    private Long billDutyPost;
    /**
     * 原电话
     */
    @ApiModelProperty(value = "原电话")
    private String billTelephone;
    /**
     * 原负责人
     */
    @ApiModelProperty(value = "原负责人")
    private Long billDutyUser;

    /**
     * 负责岗位
     */
    @ApiModelProperty(value = "负责岗位")
    private Long dutyPost;
    /**
     * 负责部门
     */
    @ApiModelProperty(value = "负责部门")
    private Long dutyDept;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long dutyUser;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String telephone;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataTime;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;



}
