package com.tofly.workflow.process.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 流程基础信息
 */
@Data
@EqualsAndHashCode
public class ProcessDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;

    /**
     * 流程配置ID
     */
    @NotNull(message = "configId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 业务类型，基础类型表
     */
    @ApiModelProperty(value = "业务类型，基础类型表")
    private Long ywType;

    /**
     * 名称
     */
    @NotEmpty(message = "name 不能为空")
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 登记岗位
     */
    @ApiModelProperty(value = "登记岗位")
    private Long registerPost;
    /**
     * 登记部门
     */
    @ApiModelProperty(value = "登记部门")
    private Long registerDept;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 流程步骤第一步
     */
    @Valid
    @NotNull
    @ApiModelProperty(value = "流程步骤第一步")
    private PNodeDto pNode;

}
