package com.tofly.workflow.process.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode
public class IndoorRenovationVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "A")
    private String name;
    /**
     * 工程类型
     */
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "B")
    private String type;
    /**
     * 申请安装地址
     */
    @ApiModelProperty(value = "申请安装地址")
    @Excel(name = "申请安装地址",column = "C")
    private String address;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    @Excel(name = "联系电话",column = "D")
    private String phone;
    /**
     * 工程登记操作人
     */
    @ApiModelProperty(value = "工程登记操作人")
    @Excel(name = "工程登记操作人",column = "E")
    private String registerUser;
    /**
     * 工程登记操作时间
     */
    @ApiModelProperty(value = "工程登记操作时间")
    @Excel(name = "工程登记操作时间",column = "F")
    private Date registerTime;
    /**
     * 任务分配操作人
     */
    @ApiModelProperty(value = "任务分配操作人")
    @Excel(name = "任务分配操作人",column = "G")
    private String taskShareUser;
    /**
     * 任务分配操作时间
     */
    @ApiModelProperty(value = "任务分配操作时间")
    @Excel(name = "任务分配操作时间",column = "H")
    private Date taskShareTime;
    /**
     * 现场勘察及预算操作人
     */
    @ApiModelProperty(value = "现场勘察及预算操作人")
    @Excel(name = "现场勘察及预算操作人",column = "I")
    private String surveyBudgetUser;
    /**
     * 现场勘察及预算操作时间
     */
    @ApiModelProperty(value = "现场勘察及预算操作时间")
    @Excel(name = "现场勘察及预算操作时间",column = "J")
    private Date surveyBudgetTime;
    /**
     * 用户缴费操作人
     */
    @ApiModelProperty(value = "用户缴费操作人")
    @Excel(name = "用户缴费操作人",column = "K")
    private String chargeUser;
    /**
     * 用户缴费操作时间
     */
    @ApiModelProperty(value = "用户缴费操作时间")
    @Excel(name = "用户缴费操作时间",column = "L")
    private Date chargeTime;
    /**
     * 用户缴费合同总价
     */
    @ApiModelProperty(value = "用户缴费合同总价")
    @Excel(name = "用户缴费合同总价",column = "M")
    private Double contractTotalPrice;
    /**
     * 工程派工操作人
     */
    @ApiModelProperty(value = "工程派工操作人")
    @Excel(name = "工程派工操作人",column = "N")
    private String dispatchUser;
    /**
     * 工程派工操作时间
     */
    @ApiModelProperty(value = "工程派工操作时间")
    @Excel(name = "工程派工操作时间",column = "O")
    private Date dispatchTime;
    /**
     * 施工班组和人员操作人
     */
    @ApiModelProperty(value = "施工班组和人员操作人")
    @Excel(name = "施工班组和人员操作人",column = "P")
    private String teamGroupUser;
    /**
     * 施工班组和人员操作时间
     */
    @ApiModelProperty(value = "施工班组和人员操作时间")
    @Excel(name = "施工班组和人员操作时间",column = "Q")
    private Date teamGroupTime;
    /**
     * 施工班组和人员施工人
     */
    @ApiModelProperty(value = "施工班组和人员施工人")
    @Excel(name = "施工班组和人员施工人",column = "R")
    private String teamGroupWorker;
    /**
     * 综合验收操作人
     */
    @ApiModelProperty(value = "综合验收操作人")
    @Excel(name = "综合验收操作人",column = "S")
    private String acceptUser;
    /**
     * 综合验收操作时间
     */
    @ApiModelProperty(value = "综合验收操作时间")
    @Excel(name = "综合验收操作时间",column = "T")
    private Date acceptTime;
    /**
     * 工程结算操作人
     */
    @ApiModelProperty(value = "工程结算操作人")
    @Excel(name = "工程结算操作人",column = "U")
    private String settleUser;
    /**
     * 工程结算操作时间
     */
    @ApiModelProperty(value = "工程结算操作时间")
    @Excel(name = "工程结算操作时间",column = "V")
    private Date settleTime;
    /**
     * 结算办理操作人
     */
    @ApiModelProperty(value = "结算办理操作人")
    @Excel(name = "结算办理操作人",column = "W")
    private String handleUser;
    /**
     * 结算办理操作时间
     */
    @ApiModelProperty(value = "结算办理操作时间")
    @Excel(name = "结算办理操作时间",column = "X")
    private Date handleTime;
    /**
     * 结算办理应缴金额
     */
    @ApiModelProperty(value = "结算办理应缴金额")
    @Excel(name = "结算办理应缴金额",column = "Y")
    private Double handlePrice;
}
