package com.tofly.workflow.process.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class NodeListVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 流程步骤
     */
    @ApiModelProperty(value = "流程步骤")
    private Integer processStep;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;

    /**
     * 页面code
     */
    @ApiModelProperty(value = "页面code")
    private String pageCode;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    private String stepNodeName;

    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;

    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String opinion;
    /**
     * 处理岗位
     */
    @ApiModelProperty(value = "处理岗位")
    private Long handlePost;

    private String handlePostName;

    /**
     * 处理人
     */
    @ApiModelProperty(value = "处理人")
    private Long handleUser;

    private String handleUserName;

    /**
     * 时间（处理时间等）
     */
    @ApiModelProperty(value = "时间（处理时间等）")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date handleTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String handleRemark;

    /**
     * 节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回
     */
    @ApiModelProperty(value = "节点状态0:待处理;1处理中;2提交;3:驳回;4:转派;5:被驳回")
    private Integer nodeState;

    private String nodeStateName;
}
