package com.tofly.workflow.process.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.processconfig.entity.vo.CSUserVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 流程当前处理信息
 */
@Data
@EqualsAndHashCode
public class NowHandleLVo implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 当前节点ID
     */
    @ApiModelProperty(value = "当前节点ID")
    private Long nodeId;
    /**
     * 当前流程步骤
     */
    @ApiModelProperty(value = "当前流程步骤")
    private Integer processStep;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;
    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;
    /**
     * 步骤节点
     */
    @ApiModelProperty(value = "步骤节点")
    private Integer stepNode;

    private String stepNodeName;
    /**
     * 当前处理岗位
     */
    @ApiModelProperty(value = "当前处理岗位")
    private Long handlePost;

    private String handlePostName;
    /**
     * 当前处理部门
     */
    @ApiModelProperty(value = "当前处理部门")
    private Long handleDept;
    /**
     * 当前处理人
     */
    @ApiModelProperty(value = "当前处理人")
    private Long handleStaff;

    private String handleStaffName;
    /**
     * 当前处理方式1唯一处理;2任意一人处理;3..
     */
    @ApiModelProperty(value = "当前处理方式1唯一处理;2任意一人处理;3..")
    private Short handleMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handleModeName;
    /**
     * 开始提醒时间
     */
    @ApiModelProperty(value = "开始提醒时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date remindTime;
    /**
     * 完成时限
     */
    @ApiModelProperty(value = "完成时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeLimit;

    /**
     * 流程配置督办人员及步骤处理人员
     */
    private List<CSUserVo> users;
}
