package com.tofly.workflow.process.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 流程出库仓库信息
 */
@Data
@EqualsAndHashCode
public class ProcessMaterialVo implements Serializable {
    private static final long serialVersionUID = 1L;



    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;

    /**
     * 步骤节点ID
     */
    @ApiModelProperty(value = "步骤节点ID")
    private Long nodeId;

    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;

    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;

    /**
     * 工程名称
     */
    @ApiModelProperty(value = "工程名称")
    private String projectName;

    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long accessId;

    /**
     * 用友仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long warehouse;

    /**
     * 出库仓库code或id
     */
    @ApiModelProperty(value = "出库仓库code或id")
    private Long outWarehouse;
    /**
     * 领料人员ID
     */
    @ApiModelProperty(value = "领料人员ID")
    private Long staffId;

    /**
     * 领料人员ID
     */
    @ApiModelProperty(value = "领料人员ID")
    private String staffName;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 工程类型
     */
    @ApiModelProperty(value = "工程类型")
    private Long userType;

    /**
     *  项目负责人ID
     */
    @ApiModelProperty(value = "项目负责人ID")
    private Long dutyUser;


    /**
     *  项目负责人
     */
    @ApiModelProperty(value = "项目负责人")
    private String dutyUserNAME;
    /**
     *  项目负责人
     */
    @ApiModelProperty(value = "领料日期")
    private String dataTime;
}
