package com.tofly.workflow.process.entity.vo;


import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.workflow.process.entity.TfNowHandleL;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class ProcessVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;
    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;
    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private String relationNumber;
    /**
     * 流程类别
     */
    @ApiModelProperty(value = "流程类别")
    private Long category;
    /**
     * 流程类型类型表ID
     */
    @ApiModelProperty(value = "流程类型类型表ID")
    private Long processType;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 业务类型，基础类型表
     */
    @ApiModelProperty(value = "业务类型，基础类型表")
    private Long ywType;

    private String TypeName;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 工单状态：1草稿、2处理、3终止、4处理完成
     */
    @ApiModelProperty(value = "工单状态：1草稿、2处理、3终止、4处理完成")
    private Short processState;

    private String processStateName;
    /**
     * 登记岗位
     */
    @ApiModelProperty(value = "登记岗位")
    private Long registerPost;
    /**
     * 登记部门
     */
    @ApiModelProperty(value = "登记部门")
    private Long registerDept;
    /**
     * 登记人
     */
    @ApiModelProperty(value = "登记人")
    private Long registerStaff;
    /**
     * 登记时间
     */
    @ApiModelProperty(value = "登记时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;
    /**
     * 已经通过的节点
     */
    @ApiModelProperty(value = "已经通过的节点")
    private String passingNode;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String tenantIdName;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /**
     * 操作步骤
     */
    @ApiModelProperty(value = "操作步骤")
    private List<ProcessNodeVo> nodes;
    /**
     * 下一步操作信息
     */
    @ApiModelProperty(value = "下一步操作信息")
    private List<TfNowHandleL> nowHandleLS;

}
