/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.process.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.process.entity.TfNowHandleL;
import com.tofly.workflow.process.entity.vo.NowHandleLVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程当前处理信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfNowHandleLMapper extends BaseMapper<TfNowHandleL> {

    /**
     * 修改关联流程中处理负责人
     * @param post 负责岗位
     * @param dept 负责部门
     * @param user 负责人
     * @param processId 流程ID
     * @param oldUser 历史负责人
     * @return
     */
    void updateHandleDutyUser(@Param("post") Long post,@Param("dept") Long dept,@Param("user") Long user,@Param("processId") Long processId,@Param("oldUser") Long oldUser);

    /**
     * 根据流程ID获取当前处理步骤及处理人
     * @param processId 流程id
     * @return
     */
    List<NowHandleLVo> getNowHandleByProcessId(@Param("processId") Long processId);

    /**
     * 查询处理步骤
     * @param processId
     * @param list
     * @return
     */
    List<String> getNowHandleStepName(@Param("processId") Long processId,@Param("list") List<Integer> list);
}
