/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.process.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.process.entity.TfProcessL;
import com.tofly.workflow.process.entity.dto.FsProcessDto;
import com.tofly.workflow.process.entity.vo.ProcessMaterialVo;
import com.tofly.workflow.process.entity.vo.ProcessNodeVo;
import com.tofly.workflow.process.entity.vo.ProcessVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessLMapper extends BaseMapper<TfProcessL> {

    String getProcessNumber(@Param("dateTime") DateTime dateTime,@Param("processType") Long processType);

    ProcessVo getProcessById(@Param("id") Long id);

    List<ProcessNodeVo> getProcessNodeList(@Param("processIdList") List<Long> processIdList);

    Page<ProcessVo> getFsProcess(Page page,@Param("dto") FsProcessDto dto);

    ProcessMaterialVo getMaterialNodeById(@Param("id") Long id);

    Integer getProcessNodeType(Long id);

    public List<Long> getProcessIdWithOutPush();
}
