/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.process.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.workflow.process.entity.TfProcessUpperNodeL;
import com.tofly.workflow.process.entity.vo.UpNextNodeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程节点的上节点信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessUpperNodeLMapper extends BaseMapper<TfProcessUpperNodeL> {

    /**
     * 上下流程关联节点
     * @param processId
     * @param type
     * @param nodeId
     * @return
     */
    List<UpNextNodeVo> getLikeNode(@Param("processId") Long processId,@Param("type") Integer type,@Param("nodeId") Long nodeId);

    /**
     * 上级步骤编号
     * @param processId 流程id
     * @param processStep 流程步骤
     * @param stepNode 步骤节点
     * @return
     */
    List<Integer> getUpStepNumber(@Param("processId") Long processId,@Param("processStep") Integer processStep,@Param("stepNode") Integer stepNode);

    /**
     * 查询获取上步骤编号
     * @param id 流程ID
     * @param nodeId 流程步骤id
     * @param type 类型0下游;1上游
     * @param isValid 是否有效1有效；0无效
     * @return
     */
    List<Integer> getUpperProcessStep(@Param("id") Long id,@Param("nodeId") Long nodeId,@Param("type") Integer type,@Param("isValid") Integer isValid);
}
