package com.tofly.workflow.process.service;

import com.tofly.workflow.process.entity.dto.ProcessBaseDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 流程调用业务数据处理基础 service
 */
public interface BaseService {

    /**
     * 将json转换成指定对象
     * @param json String字符串
     * @return 数据类对象
     */
    Object getJsonToObject(String json);

    /**
     * 保存数据校验
     * @param t 数据类对象
     * @param fileList 文件信息集合
     * @return 校验结果
     */
    String saveDataCheck(Object t, List<MultipartFile> fileList);

    /**
     * 保存数据
     * @param t 数据类对象
     * @param fileList 文件信息集合
     * @param pb 流程信息基础
     * @return
     */
    Object saveData(Object t,List<MultipartFile> fileList, ProcessBaseDto pb);

    /**
     * 获取数据
     * @param processId 流程ID
     * @param nodeId 步骤节点ID
     * @param tenantId 租户ID
     * @return 业务数据
     */
    Object getBaseDatas(Long processId,Long nodeId,Long tenantId);



}
