/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.process.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.process.entity.TfNowHandleL;
import com.tofly.workflow.process.entity.vo.NowHandleLVo;

import java.util.List;

/**
 * 流程当前处理信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfNowHandleLService extends IService<TfNowHandleL> {

    /**
     * 修改关联流程中处理负责人
     * @param post 负责岗位
     * @param dept 负责部门
     * @param user 负责人
     * @param processId 流程ID
     * @param oldUser 历史负责人
     * @return
     */
    void updateHandleDutyUser(Long post, Long dept, Long user, Long processId, Long oldUser);

    /**
     * 根据流程ID获取当前处理步骤及处理人
     * @param processId 流程id
     * @return
     */
    List<NowHandleLVo> getNowHandleByProcessId(Long processId);

    /**
     * 查询处理步骤
     * @param processId 流程id
     * @param list 步骤集合
     * @return
     */
    List<String> getStepName(Long processId, List<Integer> list);
}
