/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.process.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.process.entity.TfProcessL;
import com.tofly.workflow.process.entity.dto.FsProcessDto;
import com.tofly.workflow.process.entity.dto.PageProcessDto;
import com.tofly.workflow.process.entity.dto.ProcessDto;
import com.tofly.workflow.process.entity.vo.ProcessMaterialVo;
import com.tofly.workflow.process.entity.vo.ProcessNodeVo;
import com.tofly.workflow.process.entity.vo.ProcessVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 流程信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessLService extends IService<TfProcessL> {

    /**
     * 流程上报保存
     * @param dto 工单上报信息
     * @param files 文件
     * @return 保存结果
     */
    Object processSave(ProcessDto dto, List<MultipartFile> files);


    /**
     * 根据ID获取流程数据
     * @param id id
     * @return 流程数据
     */
    ProcessVo getTfProcessLById(Long id);

    Map<Long, List<ProcessNodeVo>> getProcessNodeList(List<Long> processIdList);

    /**
     * 终止流程
     * @param id 终止申请流程id
     */
    void stopProcess(Long id);

    /**
     * 流程分页查询
     * @param page 分页
     * @param dto 查询条件
     * @return 流程数据
     */
    Page<TfProcessL> pageProcess(Page page, PageProcessDto dto);

    /**
     * 获取附属流程
     *
     * @param page
     * @param dto 查询条件
     * @return 流程集合
     */
    Page<ProcessVo> getSubsidiaryProcess(Page page, FsProcessDto dto);

    /**
     * 删除流程（逻辑删除）
     * @param id 流程id
     * @return 删除结果
     */
    Boolean removeProcessById(Long id);

    /**
     * 根据附属流程ID获取工程相关出入库相关信息（第一步骤）
     * @param id 流程Id
     * @return
     */
    ProcessMaterialVo getMaterialNodeById(long id);


    public List<Long> getProcessIdWithOutPush();
}
