/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.process.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.process.entity.TfNowHandleL;
import com.tofly.workflow.process.entity.vo.NowHandleLVo;
import com.tofly.workflow.process.service.TfNowHandleLService;
import io.swagger.models.auth.In;
import org.springframework.stereotype.Service;
import com.tofly.workflow.process.mapper.TfNowHandleLMapper;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 流程当前处理信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfNowHandleLService")
public class TfNowHandleLServiceImpl extends ServiceImpl<TfNowHandleLMapper, TfNowHandleL> implements TfNowHandleLService {

    /**
     * 修改关联流程中处理负责人
     * @param post 负责岗位
     * @param dept 负责部门
     * @param user 负责人
     * @param processId 流程ID
     * @param oldUser 历史负责人
     * @return
     */
    @Override
    public void updateHandleDutyUser(Long post, Long dept, Long user, Long processId, Long oldUser) {
        this.baseMapper.updateHandleDutyUser(post,dept,user,processId,oldUser);
    }
    /**
     * 根据流程ID获取当前处理步骤及处理人
     * @param processId 流程id
     * @return
     */
    @Override
    public List<NowHandleLVo> getNowHandleByProcessId(Long processId) {
        List<NowHandleLVo> list= this.baseMapper.getNowHandleByProcessId(processId);
        if(CollUtil.isNotEmpty(list)){
            list = list.stream().map(r->{
                if(r.getHandleStaff()!=null){
                    r.setUsers(null);
                }
                return r;
            }).collect(Collectors.toList());
        }
        return list;
    }

    /**
     * 查询处理步骤
     * @param processId 流程id
     * @param list 步骤集合
     * @return
     */
    @Override
    public List<String> getStepName(Long processId, List<Integer> list) {
        return this.baseMapper.getNowHandleStepName(processId,list);
    }
}
