/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.process.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.process.entity.TfProcessUpperNodeL;
import com.tofly.workflow.process.entity.vo.UpNextNodeVo;
import com.tofly.workflow.process.service.TfProcessUpperNodeLService;
import org.springframework.stereotype.Service;
import com.tofly.workflow.process.mapper.TfProcessUpperNodeLMapper;

import java.util.List;

/**
 * 流程节点的上节点信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfProcessUpperNodeLService")
public class TfProcessUpperNodeLServiceImpl extends ServiceImpl<TfProcessUpperNodeLMapper, TfProcessUpperNodeL> implements TfProcessUpperNodeLService {

    /**
     * 上下流程关联节点
     * @param processId 流程ID
     * @param type 类型 1向下，0向上
     * @param nodeId 开始节点
     * @return
     */
    @Override
    public List<UpNextNodeVo> getLikeNode(Long processId,Integer type,Long nodeId) {
        return this.baseMapper.getLikeNode(processId,type,nodeId);
    }

    /**
     * 上级步骤编号
     * @param processId 流程id
     * @param processStep 流程步骤
     * @param stepNode 步骤节点
     * @return
     */
    @Override
    public List<Integer> getUpStepNumber(Long processId, Integer processStep, Integer stepNode) {
        return this.baseMapper.getUpStepNumber(processId,processStep,stepNode);
    }

    /**
     * 查询获取上步骤编号
     * @param id 流程ID
     * @param nodeId 流程步骤id
     * @param type 类型0下游;1上游
     * @param isValid 是否有效1有效；0无效
     * @return
     */
    @Override
    public List<Integer> getUpperProcessStep(Long id, Long nodeId, Integer type, Integer isValid) {
        return this.baseMapper.getUpperProcessStep(id,nodeId,type,isValid);
    }
}
