/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.workflow.processconfig.controller;

import com.tofly.common.core.result.BaseController;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.processconfig.entity.dto.PCSUserUpdateDto;
import com.tofly.workflow.processconfig.service.TfConfigStepUserLService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
/**
 * 流程配置步骤配置的人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfconfigstepuserl")
@Api(tags="流程配置步骤配置的人员接口")
public class TfConfigStepUserLController extends BaseController {

    private final  TfConfigStepUserLService tfConfigStepUserLService;



    /**
     * 修改流程配置步骤配置的人员
     * @param dto 流程配置步骤配置的人员
     * @return ResultData
     */
    @ToFlyAppLog(title="修改流程配置步骤配置的人员" )
    @ApiOperation(value = "修改流程配置步骤配置的人员")
    @PutMapping
    public ResultData updateById(@RequestBody PCSUserUpdateDto dto) {
        Object obj = tfConfigStepUserLService.updateStepUserByconfigId(dto);
        if(obj instanceof String){
            return ResultData.fail(obj.toString());
        }
        return ResultData.ok(obj);
    }


    @ToFlyAppLog(title="步骤节点的处理人员" )
    @ApiOperation(value = "步骤节点的处理人员")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "configId", value = "流程配置id", required = true, dataType = "Long"),
            @ApiImplicitParam(name = "edition", value = "配置版本", required = true, dataType = "Integer"),
            @ApiImplicitParam(name = "processStep", value = "配置版本", required = true, dataType = "Integer"),
            @ApiImplicitParam(name = "stepNode", value = "配置版本", required = true, dataType = "Integer")
    })
    @GetMapping("/nodeUsers" )
    public ResultData getStepNodeUsers(Long configId,Integer edition,Integer processStep,Integer stepNode){
        return ResultData.ok(tfConfigStepUserLService.getStepNodeUsers(configId,edition,processStep,stepNode));
    }







}
