/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.processconfig.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 页面空间展示
 *
 * @author xqf
 * @date Tue Aug 09 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PAGE_CONTROL_L", resultMap = "tfPageControlLMap")
@KeySequence("TF_PAGE_CONTROL_L")
@ApiModel
public class TfPageControlL extends Model<TfPageControlL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置步骤ID
     */
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;
    /**
     * 页面控件
     */
    @ApiModelProperty(value = "页面控件")
    private String pageControl;

    /**
     * 页面code
     */
    @ApiModelProperty(value = "页面code")
    private String pageCode;

    /**
     * APP控件
     */
    @ApiModelProperty(value = "APP控件")
    private String appControl;

    /**
     * 联动控件标记 逗号分隔
     */
    @ApiModelProperty(value = "联动控件标记 逗号分隔")
    private String relationAction;

    /**
     * 查询service多个逗号分隔
     */
    @ApiModelProperty(value = "查询service多个逗号分隔")
    private String serviceImpls;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 是否推送0否1是
     */
    @ApiModelProperty(value = "是否推送0否1是")
    private Short isPush;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
