/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.processconfig.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 流程配置信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_CONFIG_INFO_L", resultMap = "tfProcessConfigInfoLMap")
@KeySequence("TF_PROCESS_CONFIG_INFO_L")
@ApiModel
public class TfProcessConfigInfoL extends Model<TfProcessConfigInfoL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 主流程配置ID
     */
    @ApiModelProperty(value = "主流程配置ID")
    private String mainConfigId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 流程CODE
     */
    @ApiModelProperty(value = "流程CODE")
    private String processCode;
    /**
     * 部门ID集合；用逗号分隔(预留)
     */
    @ApiModelProperty(value = "部门ID集合；用逗号分隔(预留)")
    private String depts;
    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;
    /**
     * 流程步骤数（主步骤）
     */
    @ApiModelProperty(value = "流程步骤数（主步骤）")
    private Integer stepNumber;
    /**
     * 流程完结推送数据（完结信息推送到队列） 0:不推送;1推送
     */
    @ApiModelProperty(value = "流程完结推送数据（完结信息推送到队列） 0:不推送;1推送")
    private Short isendTidings;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isendTidingsName;
    /**
     * 是否催办 0:否；1是（是必须指定督办人）
     */
    @ApiModelProperty(value = "是否催办 0:否；1是（是必须指定督办人）")
    private Short isurge;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isurgeName;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 驳回方式1:处理流程驳回；2主流程驳回
     */
    @ApiModelProperty(value = "驳回方式1:处理流程驳回；2主流程驳回")
    private Short reiectMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String reiectModeName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
