/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.processconfig.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 审批流程配置
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_CONFIG_L", resultMap = "tfProcessConfigLMap")
@KeySequence("TF_PROCESS_CONFIG_L")
@ApiModel
public class TfProcessConfigL extends Model<TfProcessConfigL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;
    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String processNumber;
    /**
     * 流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;
    /**
     * 是否模板0否1是
     */
    @ApiModelProperty(value = "是否模板0否1是")
    private Short isMould;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isMouldName;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String tenantIdName;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
