/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.processconfig.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 流程配置步骤
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022-
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_PROCESS_CONFIG_STEP_L", resultMap = "tfProcessConfigStepLMap")
@KeySequence("TF_PROCESS_CONFIG_STEP_L")
@ApiModel
public class TfProcessConfigStepL extends Model<TfProcessConfigStepL> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 步骤序号;从1开始
     */
    @ApiModelProperty(value = "步骤序号;从1开始")
    private Integer stepOrder;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long listLabel;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;
    /**
     * 步骤类型1:填充；2审核
     */
    @ApiModelProperty(value = "步骤类型1:填充；2审核")
    private Short stepType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String stepTypeName;
    /**
     * 处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)
     */
    @ApiModelProperty(value = "处理方式1:通过;2:驳回;3转派;4归档;(多个用逗分割)")
    private String handleModel;
    /**
     * 可查看部门多个用逗号分隔
     */
    @ApiModelProperty(value = "可查看部门多个用逗号分隔")
    private String seeDept;
    /**
     * 处理子层级默认1
     */
    @ApiModelProperty(value = "处理子层级默认1")
    private Integer nodeNumber;
    /**
     * 强制处理层级默认1 小于等于处理层级
     */
    @ApiModelProperty(value = "强制处理层级默认1 小于等于处理层级")
    private Integer coerceLevel;
    /**
     * 上一步序号(同组逗号分隔;不同组竖线分隔如：1,2|3)
     */
    @ApiModelProperty(value = "上一步序号(同组逗号分隔;不同组竖线分隔如：1,2|3)")
    private String upperStep;
    /**
     * 下步处理方式（0单一处理;1并行）
     */
    @ApiModelProperty(value = "下步处理方式（0单一处理;1并行）")
    private Short nextHandleType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String nextHandleTypeName;
    /**
     * 下一步序号(多个逗号分隔; -1流程结束; -2分支终止)
     */
    @ApiModelProperty(value = "下一步序号(多个逗号分隔; -1流程结束; -2分支终止)")
    private String nextStep;
    /**
     * 处理环节(方式)0自定义;1选择历史步骤
     */
    @ApiModelProperty(value = "处理环节(方式)0自定义;1选择历史步骤")
    private Integer handleMode;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String handleModeName;
    /**
     * 是否唯一处理人 1是 0否
     */
    @ApiModelProperty(value = "是否唯一处理人 1是 0否")
    private Short isAppointUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isAppointUserName;
    /**
     * 流程处理时限(单位天)
     */
    @ApiModelProperty(value = "流程处理时限(单位天)")
    private Integer timeLimit;
    /**
     * 日类型 0自然日;1工作日
     */
    @ApiModelProperty(value = "日类型 0自然日;1工作日")
    private Short dayType;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String dayTypeName;
    /**
     * 提前提醒时限(天)
     */
    @ApiModelProperty(value = "提前提醒时限(天)")
    private Integer timeRemind;
    /**
     * 驳回到指定步骤序号
     */
    @ApiModelProperty(value = "驳回到指定步骤序号")
    private Integer returnToStep;
    /**
     * 是否允许提交后编辑 1是 0否
     */
    @ApiModelProperty(value = "是否允许提交后编辑 1是 0否")
    private Short isEdit;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isEditName;
    /**
     * 是否启用1是 0否
     */
    @ApiModelProperty(value = "是否启用1是 0否")
    private Short isEnable;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isEnableName;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isValidName;
    /**
     * 是否删除1删除；0未删除
     */
    @TableLogic
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isDelName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
