package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 复制流程配置
 */
@Data
@EqualsAndHashCode
public class CopyConfigDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @NotNull(message = "id"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "ID",required = true)
    private Long id;
    /**
     * 流程名称
     */
    @NotEmpty(message = "processName 不能为空")
    @ApiModelProperty(value = "流程名称",required = true)
    private String processName;
    /**
     * 租户ID
     */
    @NotNull(message = "tenantId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "租户ID",required = true)
    private Long tenantId;
}
