package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 修改步骤人员对象
 */
@Data
@EqualsAndHashCode
public class PCSUserUpdateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流程配置ID
     */
    @NotNull(message = "configId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;

    /**
     * 流程配置步骤ID
     */
    @NotNull(message = "stepId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程配置步骤ID")
    private Long stepId;

    /**
     * 人员类型1处理；2督办
     */
    @Max(value = 2,message = FlowConstant.DATA_UPPER_LIMIT)
    @Min(value = 1,message = FlowConstant.DATA_LOWER_LIMIT)
    @NotNull(message = "userType"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "人员类型1处理；2督办")
    private Short userType;

    /**
     * 流程督办人员列表
     */
    @Valid
    @NotEmpty(message = "stepUsers 不能为空")
    @ApiModelProperty(value = "流程督办人员列表")
    private List<PConfigStepUserDto> stepUsers;
}
