package com.tofly.workflow.processconfig.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 查询流程配置中的步骤节点
 */
@Data
@EqualsAndHashCode
public class PCStepLoadDto  implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 步骤序号;从1开始
     */
    @ApiModelProperty(value = "步骤序号;从1开始")
    private Integer stepOrder;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;

    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * 是否模板0否1是
     */
    @ApiModelProperty(value = "是否模板0否1是")
    private Short isMould;

    /**
     * 页面控件
     */
    @ApiModelProperty(value = "页面控件")
    private String pageControl;

    /**
     * APP控件
     */
    @ApiModelProperty(value = "APP控件")
    private String appControl;

    /**
     * 联动控件标记 逗号分隔
     */
    @ApiModelProperty(value = "联动控件标记 逗号分隔")
    private String relationAction;


}
