package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 流程配置dto
 */
@Data
@EqualsAndHashCode
public class PConfigDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;
    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String processNumber;
    /**
     * 流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @NotNull(message = "processType"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @NotNull(message = "businessType"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;
    /**
     * 是否有效1有效；0无效
     */
    @NotNull(message = "isValid"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 是否模板0否1是
     */
    @NotNull(message = "isMould"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "是否模板0否1是")
    private Short isMould;

    /**
     * 流程配置基础信息
     */
    @Valid
    @NotNull(message = "infoDto 不能为空")
    @ApiModelProperty(value = "流程配置基础信息")
    private PConfigInfoDto infoDto;

    /**
     * 流程配置步骤信息
     */
    @Valid
    @NotEmpty(message = "stepDtos 不能为空")
    @ApiModelProperty(value = "流程配置步骤信息")
    private List<PConfigStepDto> stepDtos;


}
