package com.tofly.workflow.processconfig.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 查询流程配置传入参数
 */
@Data
@EqualsAndHashCode
public class PConfigLoadDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;
    /**
     * 是否模板0否1是
     */
    @ApiModelProperty(value = "是否模板0否1是")
    private Short isMould;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 模糊搜索，搜索匹配流程名称、流程编码
     */
    @ApiModelProperty(value = "模糊搜索，搜索匹配流程名称、流程编码")
    private String content;

    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;

    /**
     * 流程CODE 集合
     */
    @ApiModelProperty(value = "流程CODE 集合")
    private List<String> processCodes;

}

