package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 流程配置步骤人员dto
 */
@Data
@EqualsAndHashCode
public class PConfigStepUserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;

    /**
     * 岗位ID
     */
    @ApiModelProperty(value = "岗位ID")
    private Long postId;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    /**
     * 人员ID(为空取全部门人员)
     */
    @NotNull(message = "userId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    private Long userId;

}
