package com.tofly.workflow.processconfig.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 根据条件修改label和service
 */
@Data
@EqualsAndHashCode
public class ULabelOrServiceDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 流程配置ID
     */
    @NotNull(message = "configId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;

    /**
     * 版本
     */
    @NotNull(message = "edition"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "版本")
    private Integer edition;

    /**
     * 步骤序号;从1开始
     */
    @NotNull(message = "stepOrder"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "步骤序号;从1开始")
    private Integer stepOrder;

    /**
     * 层级序号(可选条件)
     */
    @ApiModelProperty(value = "层级序号(可选条件)")
    private Integer stepNode;


    /**
     * 页面控件(修改信息)
     */
    @ApiModelProperty(value = "页面控件(修改信息)")
    private String pageControl;

    /**
     * APP控件
     */
    @ApiModelProperty(value = "APP控件(修改信息)")
    private String appControl;

    /**
     * 联动控件标记 逗号分隔
     */
    @ApiModelProperty(value = "联动控件标记 逗号分隔(修改信息)")
    private String relationAction;

    /**
     * 查询service多个逗号分隔
     */
    @ApiModelProperty(value = "查询service多个逗号分隔(修改信息)")
    private String serviceImpls;

}
