package com.tofly.workflow.processconfig.entity.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 流程配置督办人员及步骤处理人员
 */
@Data
@EqualsAndHashCode
public class CSUserVo implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;

    /**
     * 岗位ID
     */
    @ApiModelProperty(value = "岗位ID")
    private Long postId;

    private String postName;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    private String deptName;
    /**
     * 人员ID(为空取全部门人员)
     */
    @ApiModelProperty(value = "人员ID(为空取全部门人员)")
    @TableField(value = "USER_ID", fill = FieldFill.INSERT)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private String userIdName;
    /**
     * 人员类型1处理；2督办
     */
    @ApiModelProperty(value = "人员类型1处理；2督办")
    private Short userType;
    @ApiModelProperty(hidden = true)
    private String userTypeName;

}
