package com.tofly.workflow.processconfig.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 节点步骤信息
 */
@Data
@EqualsAndHashCode
public class ConfigStepVo  implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程配置ID
     */
    @ApiModelProperty(value = "流程配置ID")
    private Long configId;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;
    /**
     * 步骤序号;从1开始
     */
    @ApiModelProperty(value = "步骤序号;从1开始")
    private Integer stepOrder;
    /**
     * 步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String stepName;
    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long label;

    /**
     * 业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "业务标签(业务菜单ID)")
    private Long listLabel;

    /**
     * APP业务标签(业务菜单ID)
     */
    @ApiModelProperty(value = "APP业务标签(业务菜单ID)")
    private Long appLabe;

    /**
     * 上一步序号(同组逗号分隔;不同组竖线分隔如：1,2|3)
     */
    @ApiModelProperty(value = "上一步序号(同组逗号分隔;不同组竖线分隔如：1,2|3)")
    private String upperStep;
    /**
     * 下步处理方式（0单一处理;1并行）
     */
    @ApiModelProperty(value = "下步处理方式（0单一处理;1并行）")
    private Short nextHandleType;
    /**
     * 下一步序号(多个逗号分隔; -1流程结束; -2分支终止)
     */
    @ApiModelProperty(value = "下一步序号(多个逗号分隔; -1流程结束; -2分支终止)")
    private String nextStep;
    /**
     * 是否唯一处理人 1是 0否
     */
    @ApiModelProperty(value = "是否唯一处理人 1是 0否")
    private Short isAppointUser;

    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;
    /**
     * 页面控件
     */
    @ApiModelProperty(value = "页面控件")
    private String pageControl;


    /**
     * APP控件
     */
    @ApiModelProperty(value = "APP控件")
    private String appControl;

    /**
     * 联动控件标记 逗号分隔
     */
    @ApiModelProperty(value = "联动控件标记 逗号分隔")
    private String relationAction;

}
