package com.tofly.workflow.processconfig.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 流程配置详情
 */
@Data
@EqualsAndHashCode
public class PCInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 主流程配置ID
     */
    @ApiModelProperty(value = "主流程配置ID")
    private String mainConfigId;

    /**
     * 流程CODE
     */
    @ApiModelProperty(value = "流程CODE")
    private String processCode;
    /**
     * 部门ID集合；用逗号分隔(预留)
     */
    @ApiModelProperty(value = "部门ID集合；用逗号分隔(预留)")
    private String depts;
    /**
     * 流程处理时限（单位分钟）
     */
    @ApiModelProperty(value = "流程处理时限（单位分钟）")
    private Long timeLimit;
    /**
     * 流程步骤数（主步骤）
     */
    @ApiModelProperty(value = "流程步骤数（主步骤）")
    private Integer stepNumber;
    /**
     * 流程完结推送数据（完结信息推送到队列） 0:不推送;1推送
     */
    @ApiModelProperty(value = "流程完结推送数据（完结信息推送到队列） 0:不推送;1推送")
    private Short isendTidings;
    @ApiModelProperty(hidden = true)
    private String isendTidingsName;
    /**
     * 是否催办 0:否；1是（是必须指定督办人）
     */
    @ApiModelProperty(value = "是否催办 0:否；1是（是必须指定督办人）")
    private Short isurge;
    @ApiModelProperty(hidden = true)
    private String isurgeName;

    /**
     * 附件id用逗号分隔
     */
    @ApiModelProperty(value = "附件id用逗号分隔")
    private String annex;
    /**
     * 驳回方式1:处理流程驳回；2主流程驳回
     */
    @ApiModelProperty(value = "驳回方式1:处理流程驳回；2主流程驳回")
    private Short reiectMode;
    @ApiModelProperty(hidden = true)
    private String reiectModeName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 督办人员
     */
    @ApiModelProperty(value = "督办人员")
    private List<CSUserVo> users;

}
