package com.tofly.workflow.processconfig.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 流程配置分页列表
 */
@Data
@EqualsAndHashCode
public class PConfigPageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程名称
     */
    @ApiModelProperty(value = "流程名称")
    private String processName;
    /**
     * 流程编码
     */
    @ApiModelProperty(value = "流程编码")
    private String processNumber;
    /**
     * 流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "流程类型TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long processType;

    private String processTypeName;
    /**
     * 业务类型TF_YWPN_BASE_TYPE_W ID
     */
    @ApiModelProperty(value = "业务类型TF_YWPN_BASE_TYPE_W ID")
    private Long businessType;

    private String businessTypeName;
    /**
     * 是否有效1有效；0无效
     */
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;
    @ApiModelProperty(hidden = true)
    private String isValidName;

    /**
     * 是否模板0否1是
     */
    @ApiModelProperty(value = "是否模板0否1是")
    private Short isMould;
    @ApiModelProperty(hidden = true)
    private String isMouldName;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    private String tenantIdName;
    /**
     * 版本
     */
    @ApiModelProperty(value = "版本")
    private Integer edition;


    /**
     * 流程CODE
     */
    @ApiModelProperty(value = "流程CODE")
    private String processCode;

    /**
     * 流程步骤数（主步骤）
     */
    @ApiModelProperty(value = "流程步骤数（主步骤）")
    private Integer stepNumber;

    /**
     * 流程完结推送数据（完结信息推送到队列） 0:不推送;1推送
     */
    @ApiModelProperty(value = "流程完结推送数据（完结信息推送到队列） 0:不推送;1推送")
    private Short isendTidings;
    @ApiModelProperty(hidden = true)
    private String isendTidingsName;
    /**
     * 是否催办 0:否；1是（是必须指定督办人）
     */
    @ApiModelProperty(value = "是否催办 0:否；1是（是必须指定督办人）")
    private Short isurge;
    @ApiModelProperty(hidden = true)
    private String isurgeName;

    /**
     * 驳回方式1:处理流程驳回；2主流程驳回
     */
    @ApiModelProperty(value = "驳回方式1:处理流程驳回；2主流程驳回")
    private Short reiectMode;
    @ApiModelProperty(hidden = true)
    private String reiectModeName;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
