package com.tofly.workflow.processconfig.entity.vo;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 步骤关联页面组件
 */
@Data
@EqualsAndHashCode
public class PControlVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 层级序号
     */
    @ApiModelProperty(value = "层级序号")
    private Integer stepNode;
    /**
     * 页面控件
     */
    @ApiModelProperty(value = "页面控件")
    private String pageControl;

    /**
     * 页面code
     */
    @ApiModelProperty(value = "页面code")
    private String pageCode;
    /**
     * APP控件
     */
    @ApiModelProperty(value = "APP控件")
    private String appControl;

    /**
     * 联动控件标记 逗号分隔
     */
    @ApiModelProperty(value = "联动控件标记 逗号分隔")
    private String relationAction;

    /**
     * 是否推送0否1是
     */
    @Max(value = 1,message = FlowConstant.DATA_UPPER_LIMIT)
    @Min(value = 0,message = FlowConstant.DATA_LOWER_LIMIT)
    @ApiModelProperty(value = "是否推送0否1是")
    private Short isPush;

    /**
     * 查询service多个逗号分隔
     */
    @ApiModelProperty(value = "查询service多个逗号分隔")
    private String serviceImpls;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
