/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.workflow.processconfig.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.processconfig.entity.TfProcessConfigL;
import com.tofly.workflow.processconfig.entity.dto.PCStepLoadDto;
import com.tofly.workflow.processconfig.entity.dto.PConfigLoadDto;
import com.tofly.workflow.processconfig.entity.vo.*;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 审批流程配置
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessConfigLMapper extends BaseMapper<TfProcessConfigL> {
    /**
     * 根据条件查询流程配置列表
     * @param page 分页
     * @param dto 查询条件
     * @return
     */
    Page<PConfigPageVo> getConfigLoadPage(Page page, @Param("dto") PConfigLoadDto dto);

    /**
     * 根据ID查询流程配置
     * @param id 流程配置ID
     * @return 配置信息
     */
    PConfigVo getProcessConfigById(@Param("id") Long id);

    /**
     * 根据id获取流程配置类型
     * @param id 流程id
     * @return 类型信息
     */
    CTypeVo getConfigType(@Param("id") Long id);

    /**
     * 根据分组查询流程名称
     * @param id 租户id
     * @param isMould 是否模板0否1是
     * @return 流程名称列表
     */
    List<PConfigNameVo> getProcessConfigName(@Param("id") Long id,@Param("isMould") Short isMould);

    /**
     * 根据租户、标签查询流程名称
     * @param tenantId 租户id
     * @param label 标签
     * @param edition
     * @param isMould 是否模板0否1是
     * @return 流程名称
     */
    List<ConfigNameInfoVo> getConfigNameInfo(@Param("tenantId") Long tenantId, @Param("label") Long label, @Param("appLabe") Long appLabe,@Param("processType") Long processType,@Param("businessType") Long businessType,@Param("edition") Integer edition,@Param("processStep") Integer processStep,@Param("isMould") Short isMould);

    /**
     * 根据控件获取流程配置步骤信息
     * @param dto 查询条件
     * @return 步骤信息
     */
    List<ConfigStepVo> getStepConfig(@Param("dto") PCStepLoadDto dto);

    /**
     * 流程配置
     * @param id 流程id
     * @param edition 版本号
     * @return 流程配置
     */
    PConfigVo getConfigByIdAndEdition(@Param("id") Long id,@Param("edition") Integer edition);
}
