/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.processconfig.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.processconfig.entity.TfConfigStepUserL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigStepL;
import com.tofly.workflow.processconfig.entity.dto.PCSUserUpdateDto;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepDto;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepUserDto;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 流程配置步骤配置的人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfConfigStepUserLService extends IService<TfConfigStepUserL> {

    /**
     * 保存流程配置步骤督办人员
     * @param stepUsers 人员信息
     * @param stepId 关联ID
     * @param edition 版本
     * @param shortTwo 人员类型1普通;2督办
     * @return
     */
    boolean stepUserSave(List<PConfigStepUserDto> stepUsers, Long stepId, Integer edition, Short shortTwo);


    /**
     * 保存流程步骤处理人员
     * @param steps 流程步骤信息
     * @param stepDtos 输入流程步骤信息
     * @param shortTwo 人员类型1普通;2督办
     * @return
     */
    boolean configStepUserSave(Map<Integer, TfProcessConfigStepL> steps, List<PConfigStepDto> stepDtos, Short shortTwo);

    /**
     * 修改步骤处理人员
     * @param dto 处理人员信息
     * @return 处理结果
     */
    Object updateStepUserByconfigId(PCSUserUpdateDto dto);

    /**
     * 获取步骤处理人员
     * @param configId 流程配置id
     * @param edition 版本
     * @param processStep 步骤编号
     * @param stepNode 节点编号
     * @return
     */
    List<Long> getUserIds(Long configId, Integer edition, Integer processStep, Integer stepNode);

    /**
     * 根据流程配置步骤节点获取处理人员
     * @param configId 流程配置id
     * @param edition 配置版本
     * @param processStep 流程步骤
     * @param stepNode 步骤节点
     * @return 处理人员
     */
    List<TfConfigStepUserL> getStepNodeUsers(Long configId, Integer edition, Integer processStep, Integer stepNode);
}
