/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.processconfig.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.processconfig.entity.TfPageControlL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigStepL;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepDto;
import com.tofly.workflow.processconfig.entity.dto.ULabelOrServiceDto;
import com.tofly.workflow.processconfig.entity.vo.PCStepVo;
import com.tofly.workflow.processconfig.entity.vo.ServiceImplVo;

import java.util.List;
import java.util.Map;

/**
 * 页面空间展示
 *
 * @author xqf
 * @date Tue Aug 09 00:00:00 CST 2022
 */
public interface TfPageControlLService extends IService<TfPageControlL> {

    /**
     * 保存流程配置页面
     * @param steps 流程步骤信息
     * @param stepDtos 输入流程配置信息包含页面配置
     * @return 保存结果
     */
    boolean pageControlSave(Map<Integer, TfProcessConfigStepL> steps, List<PConfigStepDto> stepDtos);

    /**
     * 根据配置id获取service
     * @param configId 配置id
     * @param edition 版本id
     * @return 配置service
     */
    List<ServiceImplVo> getServiceImplByConfig(Long configId, Integer edition);

    /**
     * 根据配置id获取service
     * @param configId 配置ID
     * @param edition 版本ID
     * @param processStep 步骤编号
     * @param stepNode 节点编号
     * @return
     */
    ServiceImplVo getNodeService(Long configId, Integer edition, Integer processStep, Integer stepNode);

    /**
     * 修改label或service名称
     * @param dto 参数
     * @return 修改结果
     */
    Integer updateLabelOrService(ULabelOrServiceDto dto);

    /**
     * 复制保存流程配置页面
     * @param steps 流程步骤信息
     * @param stepVos 输入流程配置信息包含页面配置
     * @return
     */
    boolean copyPageControlSave(Map<Integer, TfProcessConfigStepL> steps, List<PCStepVo> stepVos);
}
