/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.processconfig.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.processconfig.entity.TfProcessConfigInfoL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigL;
import com.tofly.workflow.processconfig.entity.dto.PConfigInfoDto;
import com.tofly.workflow.processconfig.entity.vo.PCInfoVo;

/**
 * 流程配置信息
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessConfigInfoLService extends IService<TfProcessConfigInfoL> {

    /**
     * 配置信息保存校验
     * @param infoDto 配置信息
     * @param isMould 是否模板
     * @return 校验结果
     */
    String checkConfigInfoSave(PConfigInfoDto infoDto,  Short isMould);

    /**
     * 保存流程配置基础信息
     * @param infoDto 流程配置基础信息
     * @param config 流程配置
     * @param size 流程步骤数
     * @return 保存结果
     */
    boolean configInfoSave(PConfigInfoDto infoDto, TfProcessConfigL config, int size);

    /**
     * 复制保存流程配置基础信息
     * @param infoVo 流程配置基础信息
     * @param config 流程配置
     * @return
     */
    boolean copyConfigInfoSave(PCInfoVo infoVo, TfProcessConfigL config);
}
