/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.processconfig.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.processconfig.entity.TfProcessConfigL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigStepL;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepDto;
import com.tofly.workflow.processconfig.entity.dto.ULabelOrServiceDto;
import com.tofly.workflow.processconfig.entity.vo.PCStepVo;

import java.util.List;

/**
 * 流程配置步骤
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
public interface TfProcessConfigStepLService extends IService<TfProcessConfigStepL> {

    /**
     * 验证保存流程步骤
     * @param stepDtos 步骤信息
     * @param isMould 是否模板
     * @return
     */
    String checkStepSave(List<PConfigStepDto> stepDtos, Short isMould);

    /**
     * 保存流程步骤数据
     * @param stepDtos 流程步骤信息
     * @param config 流程信息
     * @return 保存结果
     */
    boolean configStepSave(List<PConfigStepDto> stepDtos, TfProcessConfigL config);

    /**
     * 步骤集合信息
     * @param id 流程配置id
     * @param edition 版本号
     * @param stepOrder 步骤号
     * @return 配置步骤集合
     */
    List<PCStepVo> getPCStepUser(Long id, Integer edition, Integer stepOrder);

    /**
     * 修改label或service名称
     * @param dto 参数
     * @return 修改结果
     */
    Integer updateLabelOrService(ULabelOrServiceDto dto);

    /**
     * 复制保存流程步骤数据
     * @param stepVos 流程步骤信息
     * @param config 流程信息
     * @return
     */
    boolean copyConfigStepSave(List<PCStepVo> stepVos, TfProcessConfigL config);
}
