/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.workflow.processconfig.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.workflow.common.FlowConstant;
import com.tofly.workflow.processconfig.entity.TfLinkHistoryStepL;
import com.tofly.workflow.processconfig.entity.TfProcessConfigStepL;
import com.tofly.workflow.processconfig.entity.dto.LHistoryStepDto;
import com.tofly.workflow.processconfig.entity.dto.PConfigStepDto;
import com.tofly.workflow.processconfig.service.TfLinkHistoryStepLService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import com.tofly.workflow.processconfig.mapper.TfLinkHistoryStepLMapper;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 流程步骤指定应用历史步骤人员
 *
 * @author JF
 * @date Wed Aug 03 00:00:00 CST 2022
 */
@Service("tfLinkHistoryStepLService")
public class TfLinkHistoryStepLServiceImpl extends ServiceImpl<TfLinkHistoryStepLMapper, TfLinkHistoryStepL> implements TfLinkHistoryStepLService {

    /**
     * 保存步骤关联的历史步骤
     * @param steps 流程步骤信息
     * @param stepDtos 包含关联历史步骤的步骤信息
     * @return
     */
    @Override
    public boolean linkHistoryStepSave(Map<Integer, TfProcessConfigStepL> steps, List<PConfigStepDto> stepDtos) {
        List<TfLinkHistoryStepL> list = new ArrayList<>();
        for (PConfigStepDto stepDto:stepDtos) {
            if(stepDto.getHandleMode()== FlowConstant.INTEGER_ONE) {
                List<LHistoryStepDto> dtos = stepDto.getHistoryStep();
                if (CollUtil.isNotEmpty(dtos)) {
                    for (LHistoryStepDto dto : dtos) {
                        TfProcessConfigStepL pcs = steps.get(stepDto.getStepOrder());
                        TfLinkHistoryStepL step = new TfLinkHistoryStepL();
                        BeanUtils.copyProperties(dto, step);
                        step.setStepId(pcs.getId());
                        list.add(step);
                    }
                }
            }
        }
        if(CollUtil.isNotEmpty(list)){
            return this.saveBatch(list);
        }
        return true;
    }
}
