package com.tofly.workflow.report;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.haiqiu.tools.excel.utils.ExcelUtils;
import com.tofly.common.core.result.ResultData;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.workflow.buss.entity.TfSafetyMonitorW;
import com.tofly.workflow.process.entity.TfNowHandleL;
import com.tofly.workflow.report.dto.ReportDto;
import com.tofly.workflow.report.service.ReportService;
import com.tofly.workflow.report.vo.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@AllArgsConstructor
@RequestMapping("/report")
@Api(tags="流程当前处理信息接口")
public class ReportController {

private final ReportService reportService;

    @GetMapping("/signAndApply" )
    @ApiOperation(value = "登记申请报表")
    public ResultData getTfNowHandleLPage(Page page, @ModelAttribute ReportDto reportDto) {




        return ResultData.ok(reportService.getSignAndApplyData(page,reportDto));
    }

    //        ExcelUtils.getListToExcel(TfSafetyMonitorW.class,pageData.getRecords(),"TfSafetyMonitorW安全监护 (单独填报)");

    @GetMapping("/signAndApplyExport" )
    @ApiOperation(value = "登记申请导出")
    public void getTfNowHandleLPageExport(@ModelAttribute ReportDto reportDto) {
//        Page page =new Page();
//        page.setSize(999999l);
        final List<SignApplyVo> signAndApplyData = reportService.getSignAndApplyData(reportDto);

        ExcelUtils.getListToExcel(SignApplyVo.class,signAndApplyData,"登记申请信息");
    }

    @GetMapping("/dispatchCount" )
    @ApiOperation(value = "工程分派台账")
    public ResultData getDispatchCount(Page page, @ModelAttribute ReportDto reportDto) {
        final Page<ProjectDispatchVo> dispatchCount = reportService.getDispatchCount(page, reportDto);
        final List<ProjectDispatchVo> records = dispatchCount.getRecords();

        ProjectDispatchVo projectDispatchVo = new ProjectDispatchVo();
        projectDispatchVo.setDutyUser("合计");
        double syslTotal=0;
        double gyslTotal =0;
        double  gfslTotal=0;
        double jzxqslTotal=0;
        double myslTotal=0;
        double fjxqslTotal=0;
        double jzxqHsTotal=0;
        double myHsTotal=0;
        double projectNumberTotal=0;
        double householdTotal =0;
        for (ProjectDispatchVo record : records) {
            syslTotal+=record.getSysl();
            gyslTotal+=record.getGysl();
            gfslTotal+=record.getGfsl();
            jzxqslTotal+=record.getJzxqsl();
            myslTotal +=record.getMysl();
            fjxqslTotal +=record.getFjxqsl();
            jzxqHsTotal +=record.getJzxqHs();
            myHsTotal +=record.getMyHs();
            projectNumberTotal +=record.getProjectNumber();
            householdTotal +=record.getHouseholdTotal();
        }
        projectDispatchVo.setSysl(syslTotal);
       projectDispatchVo.setGysl(gyslTotal);
        projectDispatchVo.setGfsl(gfslTotal);
        projectDispatchVo.setJzxqsl(jzxqslTotal);
        projectDispatchVo.setMysl(myslTotal);
        projectDispatchVo.setFjxqsl(fjxqslTotal);
        projectDispatchVo.setJzxqHs(jzxqHsTotal);
        projectDispatchVo.setMyHs(myHsTotal);
        projectDispatchVo.setProjectNumber(projectNumberTotal);
        projectDispatchVo.setHouseholdTotal(householdTotal);
        records.add(projectDispatchVo);


        dispatchCount.setRecords(records);
        return ResultData.ok(dispatchCount);
    }


    @GetMapping("/dispatchCountExport" )
    @ApiOperation(value = "工程分派台账导出")
    public ResultData dispatchCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<ProjectDispatchVo> data = reportService.getDispatchCount(page, reportDto);
        final List<ProjectDispatchVo> records = data.getRecords();

        ProjectDispatchVo projectDispatchVo = new ProjectDispatchVo();
        projectDispatchVo.setDutyUser("合计");
        double syslTotal=0;
        double gyslTotal =0;
        double  gfslTotal=0;
        double jzxqslTotal=0;
        double myslTotal=0;
        double fjxqslTotal=0;
        double jzxqHsTotal=0;
        double myHsTotal=0;
        double projectNumberTotal=0;
        double householdTotal =0;
        for (ProjectDispatchVo record : records) {
            syslTotal+=record.getSysl();
            gyslTotal+=record.getGysl();
            gfslTotal+=record.getGfsl();
            jzxqslTotal+=record.getJzxqsl();
            myslTotal +=record.getMysl();
            fjxqslTotal +=record.getFjxqsl();
            jzxqHsTotal +=record.getJzxqHs();
            myHsTotal +=record.getMyHs();
            projectNumberTotal +=record.getProjectNumber();
            householdTotal +=record.getHouseholdTotal();
        }
        projectDispatchVo.setSysl(syslTotal);
        projectDispatchVo.setGysl(gyslTotal);
        projectDispatchVo.setGfsl(gfslTotal);
        projectDispatchVo.setJzxqsl(jzxqslTotal);
        projectDispatchVo.setMysl(myslTotal);
        projectDispatchVo.setFjxqsl(fjxqslTotal);
        projectDispatchVo.setJzxqHs(jzxqHsTotal);
        projectDispatchVo.setMyHs(myHsTotal);
        projectDispatchVo.setProjectNumber(projectNumberTotal);
        projectDispatchVo.setHouseholdTotal(householdTotal);
        records.add(projectDispatchVo);

        ExcelUtils.getListToExcel(ProjectDispatchVo.class,data.getRecords(),"工程分派台账");


        return ResultData.ok(reportService.getDispatchCount(page,reportDto));
    }

    @GetMapping("/notInProjectCount" )
    @ApiOperation(value = "未进场台账")
    public ResultData notInProjectCount(Page page, @ModelAttribute ReportDto reportDto) {




        return ResultData.ok(reportService.getNotInProjectVo(page,reportDto));
    }


    @GetMapping("/notInProjectCountExport" )
    @ApiOperation(value = "未进场台账导出")
    public ResultData notInProjectCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<NotInProjectVo> data = reportService.getNotInProjectVo(page, reportDto);

        ExcelUtils.getListToExcel(NotInProjectVo.class,data.getRecords(),"未进场台账");


        return ResultData.ok(reportService.getDispatchCount(page,reportDto));
    }

    @GetMapping("/preIncome" )
    @ApiOperation(value = "预收报表")
    public ResultData preIncomeCount(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.preIncomeCount(page,reportDto));
    }
    @GetMapping("/preIncomeExport" )
    @ApiOperation(value = "预收报表")
    public ResultData preIncomeCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<PreIncomeVo> preIncomeVoPage = reportService.preIncomeCount(page, reportDto);

        ExcelUtils.getListToExcel(PreIncomeVo.class,preIncomeVoPage.getRecords(),"预收报表");


        return ResultData.ok(reportService.getDispatchCount(page,reportDto));
    }

    @GetMapping("/settlement" )
    @ApiOperation(value = "结算报表")
    public ResultData settlementCount(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.settlementCount(page,reportDto));
    }
    @GetMapping("/settlementExport" )
    @ApiOperation(value = "结算报表导出")
    public ResultData settlementCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<SettlementVo> data = reportService.settlementCount(page, reportDto);

        ExcelUtils.getListToExcel(SettlementVo.class,data.getRecords(),"结算报表");


        return ResultData.ok(reportService.getDispatchCount(page,reportDto));
    }

    @GetMapping("/hasCharge" )
    @ApiOperation(value = "已缴费报表")
    public ResultData hasCharge(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.hasChargeCount(page,reportDto));
    }
    @GetMapping("/hasChargeExport" )
    @ApiOperation(value = "已缴费报表导出")
    public ResultData hasChargeExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<HasChargeVo> data = reportService.hasChargeCount(page, reportDto);

        ExcelUtils.getListToExcel(HasChargeVo.class,data.getRecords(),"已缴费报表");


        return ResultData.ok(reportService.getDispatchCount(page,reportDto));
    }

    @GetMapping("/acceptCount" )
    @ApiOperation(value = "已验收台账")
    public ResultData acceptCount(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.acceptCount(page,reportDto));
    }
    @GetMapping("/acceptCountExport" )
    @ApiOperation(value = "已验收台账导出")
    public ResultData acceptCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<AcceptVo> data = reportService.acceptCount(page, reportDto);

        ExcelUtils.getListToExcel(AcceptVo.class,data.getRecords(),"已验收台账");


        return ResultData.ok(reportService.acceptCount(page,reportDto));
    }

    @GetMapping("/completeCount" )
    @ApiOperation(value = "工程完工台账")
    public ResultData completeCount(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.completeCount(page,reportDto));
    }
    @GetMapping("/completeCountExport" )
    @ApiOperation(value = "工程完工台账导出")
    public ResultData completeCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<CompleteVo> data = reportService.completeCount(page, reportDto);

        ExcelUtils.getListToExcel(CompleteVo.class,data.getRecords(),"工程完工台账");


        return ResultData.ok(reportService.completeCount(page,reportDto));
    }


    @GetMapping("/allRoundCount" )
    @ApiOperation(value = "综合报表")
    public ResultData allRoundCount(Page page, @ModelAttribute ReportDto reportDto) {



        return ResultData.ok(reportService.allRoundCount(page,reportDto));
    }
    @GetMapping("/allRoundCountExport" )
    @ApiOperation(value = "综合报表导出")
    public ResultData allRoundCountExport(Page page, @ModelAttribute ReportDto reportDto) {


        page.setSize(999999l);
        final Page<AllRoundVo> data = reportService.allRoundCount(page, reportDto);

        ExcelUtils.getListToExcel(AllRoundVo.class,data.getRecords(),"综合报表");


        return ResultData.ok(reportService.allRoundCount(page,reportDto));
    }
}
