package com.tofly.workflow.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.workflow.buss.entity.TfChargeW;
import com.tofly.workflow.report.dto.ReportDto;
import com.tofly.workflow.report.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ReportMapper extends BaseMapper<SignApplyVo> {

    public Page<SignApplyVo> getSignAndApplyData(Page page, @Param("reportDto") ReportDto reportDto);

    public List<SignApplyVo> getSignAndApplyData(@Param("reportDto") ReportDto reportDto);

    public Page<ProjectDispatchVo> getDispatchCount(Page page, ReportDto reportDto);

    public Page<NotInProjectVo> getNotInProjectVo(Page page, ReportDto reportDto);

    public Page<PreIncomeVo> preIncomeCount(Page page, ReportDto reportDto);

    public Page<SettlementVo> settlementCount(Page page, ReportDto reportDto);

    public Page<HasChargeVo> hasChargeCount(Page page, ReportDto reportDto);

    public Page<AcceptVo> acceptCount(Page page, ReportDto reportDto);

    public Page<CompleteVo> completeCount(Page page, ReportDto reportDto);

    public Page<AllRoundVo> allRoundCount(Page page, ReportDto reportDto);

    Long getTotalAmount(Long processId);

    ContractVo getContract(Long processId);

    List<ProcessType> getProcessTypeList(@Param("tenantId") Long tenantId, @Param("beginTime") Date beginTime, @Param("endTime") Date endTime);

    String getHasStep(@Param("stepName") String stepName, @Param("processIdList") List<Long> processIdList);

    String getToRegularCount(@Param("processIdList") List<Long> processIdList);

    String getHouseHoldNumber(@Param("processIdList") List<Long> processIdList);

    List<TfChargeW> getChargeWList(@Param("processId") Long processId);
}
