package com.tofly.workflow.report.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 工程完工台账
 */
@Data
public class CompleteVo {
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "A")
    private String projectName;


    @Excel(name = "用气性质",column = "B")
    @ApiModelProperty(value = "用气性质")
    private String projectNature;
    @Excel(name = "用户地址",column = "C")
    @ApiModelProperty(value = "用户地址")
    private String  address;

    @Excel(name = "户数",column = "D")
    @ApiModelProperty(value = "户数")
    private String householdNumber;
    @Excel(name = "申请日期",column = "E")
    @ApiModelProperty(value = "申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private String registerTime;


    @Excel(name = "联系人",column = "F")
    @ApiModelProperty(value = "联系人")
    private String  contactUser;


    @Excel(name = "联系电话",column = "G")
    @ApiModelProperty(value = "联系电话")
    private String  userPhone;

    @Excel(name = "项目负责人",column = "H")
    @ApiModelProperty(value = "项目负责人")
    private String  dutyUser;
    @Excel(name = "勘察日期",column = "I")
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date surveyDate;

    @Excel(name = "预算总价",column = "J")
    @ApiModelProperty(value = "预算总价")
    private String  budget;

    @Excel(name = "单价",column = "K")
    @ApiModelProperty(value = "单价")
    private String  avgBudget;
    @Excel(name = "预收金额",column = "L")
    @ApiModelProperty(value = "预收金额")
    private String  advancePayment;



    @Excel(name = "缴费日期",column = "M")
    @ApiModelProperty(value = "缴费日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date  payHandleTime;




    @Excel(name = "派工日期",column = "N")
    @ApiModelProperty(value = "派工日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date dispatchDate;



    @Excel(name = "施工单位",column = "O")
    @ApiModelProperty(value = "施工单位")
    private String  buildUnitName;

    @Excel(name = "施工班组",column = "P")
    @ApiModelProperty(value = "施工班组")
    private String  teamName;


    @Excel(name = "施工负责人",column = "Q")
    @ApiModelProperty(value = "施工负责人")
    private String  buildUserName;

    @Excel(name = "领料日期",column = "R")
    @ApiModelProperty(value = "领料日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date firstApplyTime;

    @Excel(name = "退料日期",column = "S")
    @ApiModelProperty(value = "退料日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date firstRefundTime;

    @Excel(name = "验收结果",column = "T")
    @ApiModelProperty(value = "验收结果")
    private String  resultMessage;

    @Excel(name = "验收合格日期",column = "U")
    @ApiModelProperty(value = "验收合格日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date throwTime;

    @Excel(name = "提交验收申请日期",column = "V")
    @ApiModelProperty(value = "提交验收申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date commitTime;

    @Excel(name = "结算金额",column = "W")
    @ApiModelProperty(value = "结算金额")
    private String  chargeNumber;


    @Excel(name = "结算日期",column = "X")
    @ApiModelProperty(value = "结算日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date chargeHandleTime;

    @Excel(name = "竣工日期",column = "Y")
    @ApiModelProperty(value = "竣工日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date completeHandleTime;
}
