package com.tofly.workflow.report.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class HasChargeVo {
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称", column = "A")
    private String projectName;
    @ExcelIgnore
    private Long processId;
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型", column = "B")
    private String processTypeName;

    @Excel(name = "用气性质", column = "C")
    @ApiModelProperty(value = "用气性质")
    private String projectNature;
    @Excel(name = "用户地址", column = "D")
    @ApiModelProperty(value = "用户地址")
    private String address;

    @Excel(name = "户数", column = "E")
    @ApiModelProperty(value = "户数")
    private String householdNumber;
    @Excel(name = "申请日期", column = "F")
    @ApiModelProperty(value = "申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date registerTime;


    @Excel(name = "联系人", column = "G")
    @ApiModelProperty(value = "联系人")
    private String contactUser;


    @Excel(name = "联系电话", column = "H")
    @ApiModelProperty(value = "联系电话")
    private String userPhone;

    @Excel(name = "项目负责人", column = "I")
    @ApiModelProperty(value = "项目负责人")
    private String dutyUser;
    @Excel(name = "勘察日期", column = "J")
    @ApiModelProperty(value = "勘察日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date surveyDate;

    @Excel(name = "预算总价", column = "K")
    @ApiModelProperty(value = "预算总价")
    private String budget;

    @Excel(name = "单价（元）", column = "L")
    @ApiModelProperty(value = "单价（元）")
    private String budgetAvg;
    @Excel(name = " 实收金额", column = "M")
    @ApiModelProperty(value = " 实收金额")
    private String amount;
    @Excel(name = "缴费日期", column = "BN")
    @ApiModelProperty(value = "缴费日期")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date paymentDate;

    //新安装：实收总金额=合同签订及缴费环节的实收金额+用户结算环节的实收金额
    //户内改造：实收总金额=用户缴费的实收金额+结算办理的实收金额
    @Excel(name = "实收总金额", column = "N")
    @ApiModelProperty(value = "实收总金额")
    private String totalAmount;
    // 新安装：   包干和按时均取值用户结算环节的项目结算单中的实际结算金额
    //户内改造：结算总金额取值工程结算页面的总价
    @Excel(name = "结算总金额", column = "O")
    @ApiModelProperty(value = "结算总金额")
    private String settlementSum;
}
