package com.tofly.workflow.report.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 预收报表
 */
@Data
public class PreIncomeVo {
    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "C")
    private String projectName;
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "B")
    private String processTypeName;

    @Excel(name = "用气性质",column = "F")
    @ApiModelProperty(value = "工程性质")
    private String projectNature;
    @Excel(name = "地址",column = "D")
    @ApiModelProperty(value = "地址")
    private String  address;

    @Excel(name = "户数",column = "G")
    @ApiModelProperty(value = "户数")
    private String householdNumber;


    @Excel(name = "预收金额（元）",column = "H")
    @ApiModelProperty(value = "预收金额（元）")
    private String amount;

    @Excel(name = "支付方式",column = "I")
    @ApiModelProperty(value = "支付方式")
    private String chargeMode;

    @Excel(name = "联系电话",column = "E")
    @ApiModelProperty(value = "联系电话")
    private String userPhone;

    @Excel(name = "备注",column = "K")
    @ApiModelProperty(value = "备注")
    private String remark;
    //勘察人
    @Excel(name = "受理人",column = "J")
    @ApiModelProperty(value = "受理人")
    private String  handUser;
    @Excel(name = "缴款时间",column = "A")
    @ApiModelProperty(value = "缴款时间")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date paymentDate;

}
