package com.tofly.workflow.report.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
public class SettlementVo implements Serializable {

    @ApiModelProperty(value = "工程名称")
    @Excel(name = "工程名称",column = "C")
    private String projectName;
    @ApiModelProperty(value = "工程类型")
    @Excel(name = "工程类型",column = "A")
    private String processTypeName;

    @Excel(name = "用气性质",column = "F")
    @ApiModelProperty(value = "用气性质")
    private String projectNature;
    @Excel(name = "用户地址",column = "D")
    @ApiModelProperty(value = "用户地址")
    private String  address;

    @Excel(name = "户数",column = "G")
    @ApiModelProperty(value = "户数")
    private String householdNumber;


    @Excel(name = "结算金额",column = "H")
    @ApiModelProperty(value = "结算金额")
    private String amount;

    @Excel(name = "缴费方式",column = "I")
    @ApiModelProperty(value = "缴费方式")
    private String chargeMode;

    @Excel(name = "联系电话",column = "E")
    @ApiModelProperty(value = "联系电话")
    private String userPhone;

    @Excel(name = "责任人",column = "L")
    @ApiModelProperty(value = "责任人")
    private String dutyUser;
    @Excel(name = "备注",column = "M")
    @ApiModelProperty(value = "备注")
    private String remark;
    //勘察人
    @Excel(name = "收款人",column = "J")
    @ApiModelProperty(value = "收款人")
    private String  handUser;
    @Excel(name = "收款单位",column = "K")
    @ApiModelProperty(value = "收款单位")
    private String  handleTenant;
    @Excel(name = "结算时间",column = "B")
    @ApiModelProperty(value = "结算时间")
    @JsonFormat(pattern = "yyyy-MM-dd ", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    private Date paymentDate;
}
