package com.tofly.workflow.utils.compute;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.DecimalFormat;

/**
 * 作者：xxx
 * 创建时间：2020/5/19 9:51
 * 版本：1.0
 * 描述：实现运行运算的类
 */
public class EvaluateExpression {
    private String inputStr;//输入的字符串
    private String outSum;//输出的值

    public EvaluateExpression(String inputStr) {
        this.inputStr = inputStr;
    }

    /**
     * 1：计算表达式如有带正负的数字,需要加上括号,首字符为正负括号可带可不带；
     * 2：计算表达式长度需要小于StrCut.arrSize大小；
     * 3：仅支持加减乘除括号最大值最小值运算；
     * 4：最大值max(a,b,c)最小值min(a,b,c)满足格式要求；
     * 5：所有抛出异常皆为RuntimeException,异常信息取自message,其他错误为程序错误；
     * 6：其他待改进。
     */
    public EvaluateExpression doEvaluateExpression() {//求解过程的方法，如果判断表达式错误那么直接结束
        //初始化对象
        StrStack numStack = new StrStack();
        StrStack opeStack = new StrStack(StrCut.endStr);
        StrCompare strCompare = new StrCompare();
        String[] inputArr = new StrCut(inputStr).getInputArr();

        double a, b;
        String opePop, result;
        //当字符查到为#且opeStack栈中仅剩#,结束计算
        for (int i = 0; (!StrCut.endStr.equals(inputArr[i]) || !StrCut.endStr.equals(opeStack.getTop())); ) {
            if (strCompare.exchange(inputArr[i]) != -1) {
                switch (strCompare.compare(opeStack.getTop(), inputArr[i])) {
                    case "<"://运算符优先级不够,当前运算符存入opeStack,且字符找下一个
                        opeStack.push(inputArr[i]);
                        i++;
                        break;
                    case "="://运算符抵消,丢弃当前opeStack运算符,且字符找下一个
                        opeStack.pop();
                        i++;
                        break;
                    case ">"://计算结果,取出当前运算符赋值并丢弃opeStack中的该值,计算结果存入数字栈,且字符找不变,继续比较opeStack下一个运算符
                        opePop = opeStack.pop();
                        b = Double.parseDouble(numStack.pop());
                        a = Double.parseDouble(numStack.pop());
                        result = String.valueOf(StrOperate.doOperate(a, opePop, b));
                        numStack.push(result);
                        break;//下标不增加,继续比较运算符
                    case "?"://取最大值或最小值
                        result = String.valueOf(StrOperate.doLimit(opeStack, numStack));
                        numStack.push(result);
                        break;
                    case "0"://结束
                        break;
                    default: //其他
                        throw new RuntimeException(StrCut.getErrorMessage());
                }
            } else {
                numStack.push(inputArr[i]);//数字则存入数字栈
                i++;
            }
        }
        outSum = numStack.getTop();
        return this;
    }

    public String getOutSum() {
        //保留两位小数,后面为0则省
        DecimalFormat df = new DecimalFormat("#.##");
        df.setRoundingMode(RoundingMode.HALF_UP);//四舍五入
        return df.format(new BigDecimal(outSum));
    }
}

