package com.tofly.workflow.utils.compute;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 作者：xxx
 * 创建时间：2020/5/19 9:51
 * 版本：1.0
 * 描述： 实现运算符优先级比较处理类
 */
public class StrCompare {
    //字符中所有除数字以外的匹配符号
    private List<String> list = Arrays.asList("+", "-", "*", "/", "(", ")", "#", "a(", "i(", ",");//存在的非数字字符
    private String[][] myList = {
            //+ ,  -  ,  * ,  / ,  (  ,  ) ,  # ,  a( , i( ,  ,
            {">", ">", "<", "<", "<", ">", ">", "<", "<", ">"},//：+ s取正负号
            {">", ">", "<", "<", "<", ">", ">", "<", "<", ">"},//：-
            {">", ">", ">", ">", "<", ">", ">", "<", "<", ">"},//：* 乘在前和其他先算乘
            {">", ">", ">", ">", "<", ">", ">", "<", "<", ">"},//：/ 除在前和其他先算除
            {"<", "<", "<", "<", "<", "=", "!", "<", "<", "!"},//：( 左侧开始括号未算完,右侧不会直接结束
            {"!", "!", "!", "!", "!", "!", "!", "!", "!", "!"},//：) 不会出现右侧括号不处理,继续找下一个符号的情况
            {"<", "<", "<", "<", "<", "!", "0", "<", "<", "!"},//：# 左侧无运算符,初始化
            {"<", "<", "<", "<", "<", "=", "!", "<", "<", "<"},//：a(
            {"<", "<", "<", "<", "<", "=", "!", "<", "<", "<"},//：i(
            {"<", "<", "<", "<", "<", "?", "!", "<", "<", "?"} //：, 只有遇到逗号或结束括号才运算
    };

    public String compare(String s1, String s2) {
        int v1 = exchange(s1);
        int v2 = exchange(s2);
        return (v1 == -1 || v2 == -1) ? "!" : myList[v1][v2];
    }

    //将符号转换为自定义数字，用于定位表中位置
    public int exchange(String str) {
        return list.indexOf(str);
    }
}

