package com.tofly.workflow.utils.compute;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;

/**
 * 作者：xxx
 * 创建时间：2020/5/19 9:50
 * 版本：1.0
 * 描述：实现字符串处理类
 */
public class StrCut {
    public static final int arrSize = 100;//按字符串长度即可
    public static final String endStr = "#";//结束计算符
    private static final String max_origin = "max";
    private static final String min_origin = "min";
    private static final String max = "a";
    private static final String min = "i";
    private static final String point = ".";
    private static final String comma = ",";
    private static final String leftBracket = "(";
    private static final String rightBracket = ")";
    private static final String numRegex = "^[\\d]$";//固定一个数字
    private static final List<String> JJ = Arrays.asList("+", "-");
    private static final List<String> CC = Arrays.asList("*", "/");
    private static final List<String> allOperates = Arrays.asList("+", "-", "*", "/", leftBracket, comma, rightBracket, max, min);
    private static final String errorMessage = "表达式格式错误,请检查";
    private static final String lengthMessage = "表达式长度受限,请检查";
    private boolean hasNum;//是否有数字
    private boolean hasNumFlag;//是否有正负号
    private boolean hasPoint;//是否有小数点
    private boolean hasOperate;//是否有运算符
    private boolean hasLimit;//是否有必须要左括号拼接的限值符号
    private int bracketSize;//括号数量,要求左括号与右括号数量保持一致更新
    private int limitSize;//限值数量,数量为0时不能有逗号出现
    private int arrIndex;//数组下标,添加一个数组的时候累加1
    private String[] inputArr = new String[arrSize];//切割后的表达式
    private StrStack bracketStack = new StrStack();//保存区分括号,如i(和a(和(
    private StringBuilder str = new StringBuilder();//字符串

    StrCut(String inputStr) {
        String[] split = strReplace(inputStr);
        for (int i = 0, len = split.length; i < len; i++) {
            String s = split[i];
            rightBeforeLeftBracket(s);//左括号数量为0的时候遇到右括号
            if (i > 0) {
                canNotContinuous(s, split[i - 1]);//不允许出现的连续运算符
            }
            if (hasLimit) {//有限制符
                if (isLeftBracket(s)) {//必须是左括号
                    str.append(s);
                    bracketStack.push(str.toString());
                    bracketSize++;//括号加1
                    limitSize++;//下标加1
                    hasLimit = false;//标识去掉
                    continue;
                } else {
                    exception();
                }
            }
            if (hasNum) {//前面有数字
                if (hasPoint) {//前面有小数点
                    if (isPoint(split[i - 1])) {//上个字符是小数点
                        str.append(s);
                        if (!isNum(s)) {//必须是数字
                            exception();
                        }
                    } else {//上个字符之前是小数点
                        if (isNum(s)) {//当前是数字则拼接
                            str.append(s);
                        } else {//数字完结,则前面字符串截断保存并清空,状态清空重新赋值
                            addElement();
                            str.append(s);
                            afterNumEndOrRightBracket(s);
                        }
                    }
                } else {//前面无小数点
                    if (isNum(s)) {//当前是数字
                        str.append(s);
                    } else if (isPoint(s)) {//当前是小数点则拼接
                        str.append(s);
                        hasPoint = true;
                    } else {//数字完结,则前面字符串截断保存并清空,状态清空重新赋值
                        addElement();
                        str.append(s);
                        afterNumEndOrRightBracket(s);
                    }
                }
            } else {//前面非数字即---数字正负或操作符或其他初始情况
                if (hasNumFlag) {//前面是数字正负
                    if (isLimit(s)) {//是限值符号
                        addElement();
                        str.append(s);
                        hasLimit = true;
                        hasOperate = true;
                    } else if (isLeftBracket(s)) {//是左括号
                        addElement();
                        str.append(s);
                        bracketSize++;
                        hasOperate = true;
                    } else if (isNum(s)) {
                        str.append(s);
                        hasNum = true;
                    } else {
                        exception();
                    }
                } else if (hasOperate) {//前面是操作符
                    afterOperate(s);
                } else if (i == 0) {//前面啥都没,且字符串为第一个
                    str.append(s);
                    afterOperateNoRightBracketOrFirst(s);
                } else {
                    exception();
                }
            }
        }
        inputArr[arrIndex++] = str.toString();//最后一个字符
        inputArr[arrIndex++] = endStr;//补充计算结束符
    }

    //前面是操作符[ + - / * ( a( i( ,],[)]之后
    private void afterOperate(String s) {
        String b = str.toString();
        addElement();
        str.append(s);
        if (isJJ(b) || isCC(b) || isComma(b) || isLeftBracket(b) || isLimitBracket(b)) {//前面是加减乘除逗号,左括号,限值括号
            afterOperateNoRightBracketOrFirst(s);
        } else if (isRightBracket(b)) {//前面是右括号
            afterNumEndOrRightBracket(s);
        } else {
            exception();
        }
    }

    //开始新的表达式,第一个字符或[ + - / * ( a( i( ,]之后
    private void afterOperateNoRightBracketOrFirst(String s) {
        if (isLimit(s)) {//当前是限值
            hasLimit = true;
            hasOperate = true;
        } else if (isLeftBracket(s)) {//当前是左括号
            bracketSize++;
            hasOperate = true;
        } else if (isNumFlag(s)) {//当前是数字正负
            hasNumFlag = true;
            hasOperate = true;
        } else if (isNum(s)) {//当前是数字
            hasNum = true;
        } else {
            exception();
        }
    }

    //前面是数字并且已完结
    private void afterNumEndOrRightBracket(String s) {
        hasOperate = true;
        if (isOperate(s)) {//当前是操作符
            if (isRightBracket(s)) {//当前是右括号
                bracketSize--;
                if (bracketStack.getStackPoint() > 0) {//存在括号
                    if (isLimitBracket(bracketStack.pop())) {//减掉一个左括号,判断最近的一个左括号是限值括号
                        limitSize--;
                    }
                }
            } else if (!isJJ(s) && !isCC(s) && !(limitSize > 0 && isComma(s))) {
                exception();//除了了加减乘除逗号右括号其他
            }
        } else {
            exception();
        }
    }

    private void addElement() {
        inputArr[arrIndex++] = str.toString();
        str.setLength(0);
        statusClear();
    }

    private void statusClear() {
        hasNum = false;
        hasNumFlag = false;
        hasPoint = false;
        hasOperate = false;
    }

    private boolean isComma(String str) {
        return comma.equals(str);
    }

    private boolean isJJ(String str) {
        return JJ.contains(str);
    }

    private boolean isCC(String str) {
        return CC.contains(str);
    }

    private boolean isPoint(String str) {
        return point.contains(str);
    }

    private boolean isOperate(String str) {
        return allOperates.contains(str);
    }

    private boolean isNum(String str) {
        return Pattern.compile(numRegex).matcher(str).matches();
    }

    private boolean isNumFlag(String str) {
        return JJ.contains(str);
    }

    private boolean isLeftBracket(String str) {
        return leftBracket.equals(str);
    }

    private boolean isRightBracket(String str) {
        return rightBracket.equals(str);
    }

    private boolean isLimit(String str) {
        return max.equals(str) || min.equals(str);
    }

    private boolean isLimitBracket(String str) {
        return (max + leftBracket).equals(str) || (min + leftBracket).equals(str);
    }

    private String[] strReplace(String str) {
        if (str != null && str.trim().length() >= 0 && str.trim().length() <= (arrSize - 1)) {
            String max_o = max_origin + leftBracket;
            String max_n = max + leftBracket;
            String min_o = min_origin + leftBracket;
            String min_n = min + leftBracket;

            return str
                    .replace(" ", "")
                    .replace(max_o, max_n).replace(min_o, min_n)
                    .split("");
        } else {
            throw new RuntimeException(lengthMessage);
        }
    }

    private void rightBeforeLeftBracket(String s) {
        if (bracketSize == 0 && isRightBracket(s)) {
            exception();
        }
    }

    private void canNotContinuous(String a, String b) {
        if (a.equals(b) && comma.equals(a)) {
            exception();//不可连续逗号
        }
        if ((JJ.contains(a) || CC.contains(a)) && (JJ.contains(b) || CC.contains(b))) {
            exception();//不可连续加减乘除
        }
    }

    private void exception() {
        throw new RuntimeException(errorMessage);
    }

    public String[] getInputArr() {
        return inputArr;
    }

    public static String getErrorMessage() {
        return errorMessage;
    }
}

