package com.tofly.workflow.wzyy.controller;


import com.tofly.common.core.result.ResultData;
import com.tofly.workflow.wzyy.entity.dto.PageInListDto;
import com.tofly.workflow.wzyy.entity.dto.PageOutListDto;
import com.tofly.workflow.wzyy.entity.dto.YyProjectMaterialDto;
import com.tofly.workflow.wzyy.service.MaterialOutInService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/materialOutIn")
@Api(tags="同步到用友出入库")
public class MaterialOutInController {

    /**
     * 物料出入库同步到用友
     */
    @Autowired
    private MaterialOutInService mOutInService;



    /**
     * 获取提交数据结果
     * @return
     */
    @GetMapping("/materialOutBearFruit")
    @ApiOperation(value = "获取提交数据结果")
    private ResultData testMaterialOutBearFruit(){
        mOutInService.getMaterialOutBearFruit(0);
        return ResultData.ok();
    }

    /**
     * 推送提交到用友失败的物料出入库信息
     * @return
     */
    @GetMapping("/pushFialMaterial")
    @ApiOperation(value = "重新推送未推送的退料数据")
    public ResultData pushFialMaterialTL(){
        mOutInService.pushMaterial(0);
        return ResultData.ok();
    }
    /**
     * 推送提交到用友失败的物料出入库信息
     * @return
     */
    @GetMapping("/pushFialMaterialTL")
    @ApiOperation(value = "推送提交到用友失败的物料出入库信息")
    public ResultData pushFialMaterial(){

        final List<Long> notPushTlInfo = mOutInService.findNotPushTlInfo();

        for (Long l : notPushTlInfo) {
            mOutInService.returnOfMaterial(l);
        }



        return ResultData.ok();
    }
    /**
     * 获取工程提交到用友的出库物料信息
     * @return
     */
    @GetMapping("/yyOutMaterial")
    @ApiOperation(value = "获取工程提交到用友的出库物料信息")
    public ResultData getYyOutMaterial(YyProjectMaterialDto dto){
        PageOutListDto vos = mOutInService.getYyOutMaterial(dto);
        return ResultData.ok(vos);
    }

    /**
     * 获取工程提交到用友的入库物料信息
     * @return
     */
    @GetMapping("/yyInMaterial")
    @ApiOperation(value = "获取工程提交到用友的入库物料信息")
    public ResultData getYyInMaterial(YyProjectMaterialDto dto){
        PageInListDto vos = mOutInService.getYyInMaterial(dto);
        return ResultData.ok(vos);
    }
}
