/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.wzyy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 同步到用友物料出入库特征信息
 *
 * @author xqf
 * @date Sat Jan 14 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATERIAL_CHARACTER_W", resultMap = "materialCharacterMap")
@KeySequence("TF_MATERIAL_CHARACTER_W")
@ApiModel
public class MaterialCharacter extends Model<MaterialCharacter> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物料出入表
     */
    @ApiModelProperty(value = "物料出入表")
    private Long mOiId;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private String ytenant;
    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private String xm001;
    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String xm001Name;
    /**
     * 项目负责人ID
     */
    @ApiModelProperty(value = "项目负责人ID ")
    private String xmgly;
    /**
     * 项目负责人
     */
    @ApiModelProperty(value = "项目负责人")
    private String xmglyName;
    /**
     * 领料人
     */
    @ApiModelProperty(value = "领料人")
    private String a001;
    /**
     * 工程编码
     */
    @ApiModelProperty(value = "工程编码")
    private String a02;
    /**
     * 工程性质ID
     */
    @ApiModelProperty(value = "工程性质ID")
    private String gcxz;
    /**
     * 工程性质
     */
    @ApiModelProperty(value = "工程性质")
    private String gcxzName;

    /**
     * 项目
     */
    @ApiModelProperty(value = "项目")
    private String xmx;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private String xmid;

    /**
     * 项目管理员
     */
    @ApiModelProperty(value = "项目管理员")
    private String xmglyx;

}
