/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.wzyy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 同步到用友物料出入库列表详情
 *
 * @author xqf
 * @date Tue Dec 20 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATERIAL_ITEM_OUT_IN_W", resultMap = "materialItemOutInMap")
@KeySequence("TF_MATERIAL_ITEM_OUT_IN_W")
@ApiModel
public class MaterialItemOutIn extends Model<MaterialItemOutIn> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 物料出入表
     */
    @ApiModelProperty(value = "物料出入表")
    private Long mOiId;
    /**
     * 物料id
     */
    @ApiModelProperty(value = "物料id")
    private Long product;
    /**
     * 用友表ID
     */
    @ApiModelProperty(value = "用友表ID")
    private Long yyId;
    /**
     * 用友主表ID
     */
    @ApiModelProperty(value = "用友主表ID")
    private Long yyMainId;
    /**
     * 主计量ID
     */
    @ApiModelProperty(value = "主计量ID")
    private Long unit;
    /**
     * 库存单位id
     */
    @ApiModelProperty(value = "库存单位id")
    private Long stockUnitId;
    /**
     * 换算率 默认1
     */
    @ApiModelProperty(value = "换算率 默认1 ")
    private Integer invExchRate;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Double qty;
    /**
     * 应发数量
     */
    @ApiModelProperty(value = "应发数量")
    private Double cq;

    /**
     * 应发数量
     */
    @ApiModelProperty(value = "应发数量")
    private Double subQty;

    /**
     * 用友请求结果 0失败;1成功
     */
    @ApiModelProperty(value = "用友请求结果 0失败;1成功")
    private Short yyRes;

    /**
     * 库存换算率换算方式，0固定换算，1浮动换算    示例：1
     */
    @ApiModelProperty(value = "库存换算率换算方式，0固定换算，1浮动换算    示例：1")
    private Short exchangeType;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 商品SKUid或编码
     */
    @ApiModelProperty(value = "商品SKUid或编码")
    private String productsku;

}
