/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.wzyy.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * 同步到用友物料出库、入库数据
 *
 * @author xqf
 * @date Tue Dec 20 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_MATERIAL_OUT_IN_W", resultMap = "materialOutInMap")
@KeySequence("TF_MATERIAL_OUT_IN_W")
@ApiModel
public class MaterialOutIn extends Model<MaterialOutIn> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流程ID
     */
    @ApiModelProperty(value = "流程ID")
    private Long processId;
    /**
     * 关联编码ID
     */
    @ApiModelProperty(value = "关联编码ID")
    private Long relationId;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 唯一KEY
     */
    @ApiModelProperty(value = "唯一KEY")
    private String checkKey;
    /**
     * 会计主体
     */
    @ApiModelProperty(value = "会计主体")
    private String accountOrg;
    /**
     * 库存组织ID
     */
    @ApiModelProperty(value = "库存组织ID")
    private Long org;
    /**
     * 领用组织id 公司
     */
    @ApiModelProperty(value = "领用组织id 公司")
    private Long factoryOrg;
    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private Long warehouse;
    /**
     * 出库仓库code或id
     */
    @ApiModelProperty(value = "出库仓库code或id")
    private Long outWarehouse;
    /**
     * 单据日期
     */
    @ApiModelProperty(value = "单据日期")
    private String vouchdate;

    /**
     * 单据编号
     */
    @ApiModelProperty(value = "单据编号")
    private String code;
    /**
     * 交易类型code
     */
    @ApiModelProperty(value = "交易类型code")
    private String bustype;
    /**
     * 流程编号(工程、办公、采购、入库、出库等)
     */
    @ApiModelProperty(value = "流程编号(工程、办公、采购、入库、出库等)")
    private String processNumber;
    /**
     * 人员
     */
    @ApiModelProperty(value = "人员")
    private String userName;
    /**
     * 用友存表ID
     */
    @ApiModelProperty(value = "用友存表ID")
    private Long yyId;
    /**
     * 用友请求结果 0失败;1成功
     */
    @ApiModelProperty(value = "用友请求结果 0失败;1成功")
    private Short yyRes;
    /**
     * 操作类型0入库;1出库
     */
    @ApiModelProperty(value = "操作类型0入库;1出库;2转库;3核销(出库)")
    private Short mType;
    /**
     * 	成功条数
     */
    @ApiModelProperty(value = "成功条数")
    private Long sucessCount;

    /**
     * 	失败条数
     */
    @ApiModelProperty(value = "失败条数")
    private Long failCount;

    /**
     * 	推送次数
     */
    @ApiModelProperty(value = "推送次数")
    private Integer pushNumber;

    /**
     * 	错误数据信息
     */
    @ApiModelProperty(value = "错误数据信息")
    private String messages;

    /**
     * 用友出库完成0未完成;1完成;2异常
     */
    @ApiModelProperty(value = "用友出库完成0未完成;1完成;2异常")
    private Short isFinish;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 列表详情
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "列表详情")
    private List<MaterialItemOutIn> item;
    /**
     * 物料特征
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "列表详情")
    private MaterialCharacter mCharacter;

}
