/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.workflow.wzyy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 用友组织信息
 *
 * @author xqf
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YY_ORG_UNIT_P", resultMap = "yyOrgUnitMap")
@KeySequence("TF_YY_ORG_UNIT_P")
@ApiModel
public class YyOrgUnit extends Model<YyOrgUnit> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID")
    private Long orgId;
    /**
     * 组织名称
     */
    @ApiModelProperty(value = "组织名称")
    private String orgName;
    /**
     * 组织code
     */
    @ApiModelProperty(value = "组织code")
    private String orgCode;
    /**
     * 用友ID
     */
    @ApiModelProperty(value = "用友ID")
    private Long yyId;
    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")
    private Long parentId;
    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
    /**
     * 层级
     */
    @ApiModelProperty(value = "层级")
    private Integer orgLevel;
    /**
     * 状态 0:未启用、1:启用、2:停用
     */
    @ApiModelProperty(value = "状态 0:未启用、1:启用、2:停用")
    private Short enable;
    /**
     * 系统id
     */
    @ApiModelProperty(value = "系统id")
    private String sysId;
    /**
     * 是否删除1删除；0未删除
     */
    @ApiModelProperty(value = "是否删除1删除；0未删除")
    private Short isDel;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
