package com.tofly.workflow.wzyy.entity.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 用友请求接口返回物资类型数据
 */
@Data
@ToString
@EqualsAndHashCode
public class ClassifyDto implements Serializable {
    /**
     * 类型名称
     */
    @JSONField(name = "name")
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    /**
     * 类型CODE
     */
    @JSONField(name="code")
    @ApiModelProperty(value = "类型CODE")
    private String typeCode;

    /**
     * 用友类型id
     */
    @JSONField(name = "id")
    @ApiModelProperty(value = "用友类型id")
    private Long yyTypeId;


    /**
     * 用友类型父级id
     */
    @JSONField(name = "parent")
    @ApiModelProperty(value = "用友类型父级id")
    private Long yyParentId;

    /**
     * 等级
     */
    @ApiModelProperty(value = "等级")
    @JSONField(name = "level")
    private Integer typeLevel;

    /**
     * 是否末级 1:是;0:否
     */
    @ApiModelProperty(value = "是否末级 1:是;0:否")
    private Short isEnd;

    /**
     * 是否有效1有效；0无效
     */
    @JSONField(name = "stopstatus" )
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 子类型数据
     */
    @ApiModelProperty(value = "子类型数据")
    private List<ClassifyDto> children;

}
