package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 出库物料详情
 */
@Data
@EqualsAndHashCode
public class MaterialItemOutDto implements Serializable {

    /**
     * 物料id，或物料code
     */
    @ApiModelProperty(value = "物料id，或物料code")
    private Long product;

    /**
     * 主计量ID，
     */
    @ApiModelProperty(value = "主计量ID，或主计量code")
    private Long unit;
    /**
     * 库存单位id，或库存单位code
     */
    @ApiModelProperty(value = "库存单位id，或库存单位code")
    private Long stockUnitId;
    /**
     * 换算率 默认1
     */
    @ApiModelProperty(value = "换算率 默认1")
    private Integer invExchRate;

    /**
     * 操作标识, Insert:新增、Update:更新
     */
    @ApiModelProperty(value = "操作标识, Insert:新增、Update:更新")
    private String _status;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Double qty;

    /**
     * 应发数量
     */
    @ApiModelProperty(value = "应发数量")
    private Double contactsQuantity;



}
