package com.tofly.workflow.wzyy.entity.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 用友出入库表自定义项特征
 */
@Data
@EqualsAndHashCode
public class OutDefineDto implements Serializable {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private String ytenant;
    /**
     * 项目ID
     */
    /*ApiModelProperty(value = "项目ID")
    private String xm001;*/
    /**
     * 项目名称
     */
    /*@JSONField(name = "xm001_name")
    @ApiModelProperty(value = "项目名称")
    private String xm001Name;*/
    /**
     * 项目负责人ID
     */
    //@ApiModelProperty(value = "项目负责人ID")
    //private String xmgly;
    /**
     * 项目负责人
     */
    @JSONField(name = "xmgly_name")
    @ApiModelProperty(value = "项目负责人")
    private String xmglyName;

    /**
     * 领料人
     */
    @JSONField(name = "A001")
    @ApiModelProperty(value = "领料人")
    private String a001;

    /**
     * 工程编码
     */
    @JSONField(name = "A02")
    @ApiModelProperty(value = "工程编码")
    private String a02;

    /**
     * 工程性质ID
     */
    @ApiModelProperty(value = "工程性质ID")
    private String gcxz;
    /**
     * 工程性质
     */
    @JSONField(name = "gcxz_name")
    @ApiModelProperty(value = "工程性质")
    private String gcxzName;

    /**
     * 项目
     */
    @ApiModelProperty(value = "项目")
    private String xmx;

    /**
     * 项目id
     */
    @ApiModelProperty(value = "项目id")
    private String xmid;

    /**
     * 项目管理员
     */
    @ApiModelProperty(value = "项目管理员")
    private String xmglyx;
    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pubts;

}
