package com.tofly.workflow.wzyy.entity.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ProductDetailDto implements Serializable {

    /**
     * 物资价格
     */
    @JSONField(name = "markPrice")
    @ApiModelProperty(value = "物资价格")
    private Double price;
    /**
     * 安装价格
     */
    @JSONField(name = "salePrice")
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;

    /**
     * 批发价格
     */
    @ApiModelProperty(value = "批发价格")
    private Double batchPrice;

    /**
     * 是否有效1有效；0无效
     */
    @JSONField(name = "stopstatus")
    @ApiModelProperty(value = "是否有效1有效；0无效")
    private Short isValid;

    /**
     * 成本-按费用核算;1:是,0:否
     */
    @JSONField(name = "checkByCost")
    @ApiModelProperty(value = "成本-按费用核算;1:是,0:否")
    private Short checkByCost;

    /**
     * 制造-关键子件，1：是，0：否
     */
    @JSONField(name = "keySubPart")
    @ApiModelProperty(value = "制造-关键子件，1：是，0：否")
    private Short keySubPart;

    /**
     * 用友价格ID
     */
    @JSONField(name = "id")
    @ApiModelProperty(value = "用友价格ID")
    private Long yyId;

    /**
     * 库存单位id
     */
    @ApiModelProperty(value = "库存单位id")
    private Long stockUnit;
    /**
     * 库存单位名称
     */
    @ApiModelProperty(value = "库存单位名称")
    private String stockUnitName;


}
