package com.tofly.workflow.wzyy.entity.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 物料档案
 */
@Data
@EqualsAndHashCode
public class ProductDto implements Serializable {

    /**
     * 物资编码
     */
    @JSONField(name = "code")
    @ApiModelProperty(value = "物资编码")
    private String matterNumber;
    /**
     * 类别TF_YWPN_BASE_TYPE_W DATA_TYPE
     */
    @ApiModelProperty(value = "类别TF_YWPN_BASE_TYPE_W DATA_TYPE")
    private Long category;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资名称
     */
    @JSONField(name = "name")
    @ApiModelProperty(value = "物资名称")
    private LanguageDto name;

    /**
     * 规格型号
     */
    @JSONField(name = "modelDescription")
    @ApiModelProperty(value = "规格型号")
    private LanguageDto modelDescription;
    /**
     * 计量单位
     */
    @JSONField(name = "unit_Name")
    @ApiModelProperty(value = "计量单位")
    private String unit;

    /**
     * 租户ID
     */

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


    /**
     * 用友类别
     */
    @ApiModelProperty(value = "用友类别")
    private Long transType;

    /**
     * 用友类别名称
     */
    @JSONField(name = "transType_Name")
    @ApiModelProperty(value = "用友类别名称")
    private String transTypeName;

    /**
     * 型号
     */
    @JSONField(name = "model")
    @ApiModelProperty(value = "型号")
    private LanguageDto model;

    /**
     * 用友ID
     */
    @JSONField(name = "id")
    @ApiModelProperty(value = "用友ID")
    private Long yyId;
    /**
     * 用友类型id
     */
    @JSONField(name = "manageClass")
    @ApiModelProperty(value = "用友类型id")
    private Long yyTypeId;

    /**
     * 用友计量单位ID
     */
    @JSONField(name = "unit")
    @ApiModelProperty(value = "用友计量单位ID")
    private Long unitId;

    /**
     * 实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡
     */
    @JSONField(name = "realProductAttributeType")
    @ApiModelProperty(value = "实物物料属性;1:普通物料;2:实体卡券:3:实体储值卡")
    private Short yyType;

    /**
     * 物料适用范围类型，1：组织，2：客户，3：商家
     */
    @ApiModelProperty(value = "物料适用范围类型，1：组织，2：客户，3：商家")
    private Long rangeType;

    /**
     * 档案类型，0：租户，1：组织，2：加盟商，3：入驻商家
     */
    @ApiModelProperty(value = "档案类型，0：租户，1：组织，2：加盟商，3：入驻商家")
    private Long creatorType;
    @ApiModelProperty(value = "适用范围id")
    private  Long productApplyRangeId;
    @ApiModelProperty(value = "使用组织id")
    private  Long productApplyRangeOrgId;

    private Long orgId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date pubts;

    /**
     * 	物料详情价格
     */
    @ApiModelProperty(value = "物料详情价格")
    private ProductDetailDto detail;

}
