package com.tofly.workflow.wzyy.entity.dto;

import com.tofly.workflow.common.FlowConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 查询库存条件
 */
@Data
@EqualsAndHashCode
public class StockDto implements Serializable {

    /**
     * 租户ID
     */
    @NotNull(message = "tenantId"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "租户ID")
    private Long tenantId;


    /**
     * 仓库id
     */
    @NotNull(message = "warehouse"+ FlowConstant.ISNOTNUL)
    @ApiModelProperty(value = "仓库id")
    private Long warehouse;


    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id ")
    private Long product;
    /**
     * 是否返回价格
     */
    @ApiModelProperty(value = "是否返回价格 1返回")
    private Short isPrice;

}
