package com.tofly.workflow.wzyy.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 转库
 */
@Data
@EqualsAndHashCode
public class StockTransferDto implements Serializable {

    /**
     * 库存组织id
     */
    @ApiModelProperty(value = "库存组织id")
    private Long org;
    /**
     * 单据日期
     */
    @ApiModelProperty(value = "单据日期")
    private String vouchdate;

    /**
     * 交易类型id，或交易类型code
     */
    @ApiModelProperty(value = "交易类型id，或交易类型code")
    private String businesstype;

    /**
     * 出库仓库code或id
     */
    @ApiModelProperty(value = "出库仓库code或id")
    private Long outWarehouse;

    /**
     * 出库仓库code或id
     */
    @ApiModelProperty(value = "出库仓库code或id")
    private Long inWarehouse;

    /**
     * 操作标识, Insert:新增、Update:更新
     */
    @ApiModelProperty(value = "操作标识, Insert:新增、Update:更新")
    private String _status;

    /**
     * 表头自定义项集合
     */
    @ApiModelProperty(value = "表头自定义项集合")
    private HeadItemDto storeTransCustomItem;
    /**
     * 转库单子表
     */
    @ApiModelProperty(value = "转库单子表")
    private List<MaterialItemRetDto> details;

}
