package com.tofly.workflow.wzyy.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class YyProjectMaterialDto implements Serializable {
    /**
     * 页号
     */
    @ApiModelProperty(value = "页号")
    private Integer pageIndex;
    /**
     * 每页行数    默认值：10
     */
    @ApiModelProperty(value = "每页行数    默认值：10")
    private Integer pageSize;
    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String ProjectName;
    /**
     * 工程流程id
     */
    @ApiModelProperty(value = "工程流程id")
    private Long processId;
    /**
     * 领料人
     */
    @ApiModelProperty(value = "领料人")
    private String pickerName;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private String dutyName;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

}
