package com.tofly.workflow.wzyy.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.tofly.workflow.wzyy.entity.dto.OutDefineDto;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * 用友物料入库列表信息
 */
@Data
@EqualsAndHashCode
public class ProjectYyInMaterialVo implements Serializable {

    /**
     * 物料ID
     */
    @JSONField(name = "othInRecords_product")
    private String materId;

    /**
     * 物料名称
     */
    @JSONField(name = "othInRecords_product_cName")
    private String materName;
    /**
     * 物料编码
     */
    @JSONField(name = "othInRecords_product_cCode")
    private String materCode;
    /**
     * 规格
     */
    @JSONField(name = "othInRecords_product_modelDescription")
    private String standards;

    /**
     * 组织编码
     */
    @JSONField(name = "org_code")
    private String orgCode;

    /**
     * 组织名称
     */
    @JSONField(name = "org_name")
    private String orgName;

    /**
     * 仓库id
     */
    private String warehouse;

    /**
     * 仓库名称
     */
    @JSONField(name = "warehouse_name")
    private String warehouseName;

    /**
     * 单据状态, 0:未提交、1:已提交、
     */
    @JSONField(name = "status")
    private String status;
    /**
     * 数量
     */
    @JSONField(name = "othInRecords_qty")
    private Integer qty;
    /**
     * 计量单位
     */
    @JSONField(name = "othInRecords_unit_name")
    private String unitName;
    /**
     * 件数
     */
    @JSONField(name = "subQty")
    private Integer subQty;
    /**
     * 单价
     */
    @JSONField(name = "natUnitPrice")
    private Double unitPrice;

    /**
     * 金额
     */
    @JSONField(name = "natMoney")
    private Double money;

    private OutDefineDto othInRecordDefineCharacter;
}
