package com.tofly.workflow.wzyy.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 用友现存量信息
 */
@Data
@EqualsAndHashCode
public class YyStockVo implements Serializable {

    private String statusType;

    /**
     * 库存状态
     */
    @ApiModelProperty(value = "库存状态")
    private Long stockStatusDoc;

    private String sensitiveUID;
    /**
     * 单位名称
     */
    @JSONField(name = "product_unitName")
    @ApiModelProperty(value = "单位名称")
    private String unitName;
    /**
     * 现存量
     */
    @ApiModelProperty(value = "现存量")
    private Long currentqty;
    /**
     * 物料编码
     */
    @ApiModelProperty(value = "物料编码")
    private String productCode;
    /**
     * 物料分类编码
     */
    @ApiModelProperty(value = "物料分类编码")
    private Long innoticeqty;
    /**
     * 物料分类名称
     */
    @ApiModelProperty(value = "物料分类名称")
    private String manageClassName;
    /**
     * 物料分类id
     */
    @ApiModelProperty(value = "物料分类id")
    private Long manageClass;
    /**
     * 计划可用量
     */
    @ApiModelProperty(value = "计划可用量")
    private Long planavailableqty;
    /**
     * 物料id
     */
    @ApiModelProperty(value = "物料id")
    private Long product;
    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID")
    private Long org;

    /**
     * 仓库ID
     */
    @ApiModelProperty(value = "仓库ID")
    private Long warehouse;

    /**
     * 物料名称
     */
    @ApiModelProperty(value = "物料名称")
    private String productName;
    /**
     * 主计量单位
     */
    @ApiModelProperty(value = "主计量单位")
    private Long unit;
    /**
     * 商品SKU
     */
    @ApiModelProperty(value = "商品SKU")
    private Long productsku;
    /**
     * 物料分类code
     */
    @ApiModelProperty(value = "物料分类code")
    private String manageClassCode;
    /**
     * 可用量
     */
    @ApiModelProperty(value = "可用量")
    private Long availableqty;

    /**
     * 	订单预计出库数量
     */
    @ApiModelProperty(value = "订单预计出库数量")
    private Long preretailqty;


    /**
     * 物资ID
     */
    @ApiModelProperty(value = "物资ID")
    private Long matterId;
    /**
     * 物资所属类型TF_YWPN_BASE_TYPE_W id
     */
    @ApiModelProperty(value = "物资所属类型TF_YWPN_BASE_TYPE_W id")
    private Long matterType;

    /**
     * 物资价格
     */
    @ApiModelProperty(value = "物资价格")
    private Double price;
    /**
     * 安装价格
     */
    @ApiModelProperty(value = "安装价格")
    private Double installPrice;

    /**
     * 批发价
     */
    @ApiModelProperty(value = "批发价")
    private Double batchPrice;



}
