package com.tofly.workflow.wzyy.service;

import com.tofly.workflow.baseconf.entity.TfMatterP;
import com.tofly.workflow.wzyy.entity.YyOrgUnit;
import com.tofly.workflow.wzyy.entity.dto.StockDto;

import java.util.List;

/**
 * 用友物资基础service
 * 仓库基础信息
 * 类型基础信息
 * 规格基础信息
 * 物资基础信息
 */
public interface MaterialBaseService {

    /**
     * 拉取用友组织信息
     * @return
     */
    Object pullYYOrgunit(int i);
    /**
     * 拉取用友仓库信息
     * @return
     */
    Object pullYYAccess();

    /**
     * 拉取用友物料分析信息
     * @return
     */
    Object pullYYClassify(int i);

    /**
     * 拉取用友物料档案信息
     * @return
     */
    Object pullYYProduct();

    /**
     * 查询用友库存信息
     * @param dto 查询用友库存条件
     * @return 返回库存数据
     */
    Object getStockInfo(StockDto dto,int i);

    public void getYyMatterTenant(String accessToken,  List<TfMatterP> tms);

    Object pullWzTypeOverOrg(int i);

    public void getYyMatterPrice(String accessToken, List<YyOrgUnit> oulist, List<TfMatterP> tms);

}
