/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.workflow.wzyy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.workflow.wzyy.entity.MaterialOutIn;
import com.tofly.workflow.wzyy.entity.dto.PageInListDto;
import com.tofly.workflow.wzyy.entity.dto.PageOutListDto;
import com.tofly.workflow.wzyy.entity.dto.YyProjectMaterialDto;

import java.util.List;

/**
 * 同步到用友物料出库、入库数据
 *
 * @author xqf
 * @date Tue Dec 20 00:00:00 CST 2022
 */
public interface MaterialOutInService extends IService<MaterialOutIn> {

    /**
     * 工程用友物料出库
     * @param parseLong 出库附属流程Id
     * @param mType
     */
    void materialOut(long parseLong,Short mType);

    /**
     * 工程用友物料退库（其它入库）
     * @param parseLong 退料附属流程Id
     */
    void returnOfMaterial(long parseLong);


    /**
     * 定时同步用友物料出库、退库结果
     * @param i token 失效次数
     */
    void getMaterialOutBearFruit(int i);

    /**
     * 用友物料转库
     * @param parseLong 小仓库附属流程Id
     */
    void stockTransfer(long parseLong);

    /**
     * 定时推送失败的数据
     * @param i token失效次数
     */
    void pushMaterial(int i);

    /**
     * 用友出库工程物料信息（价格等）
     * @param dto 查询条件
     * @return 工程提交到用友的物料信息
     */
    PageOutListDto getYyOutMaterial(YyProjectMaterialDto dto);

    /**
     * 用友入库工程物料信息（价格等）
     * @param dto 查询条件
     * @return 工程提交到用友的物料信息
     */
    PageInListDto getYyInMaterial(YyProjectMaterialDto dto);

    /**
     * 获取材料出库单编码
     * @param id
     * @return
     */
    String getYyCode(String id);


    List<Long> findNotPushTlInfo();
}
